#include "inherit-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &one_server, "one_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &one_server, "one_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &two_server, "two_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &two_server, "two_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &three_server, "three_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &three_server, "three_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &four_server, "four_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &four_server, "four_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &five_server, "five_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &five_server, "five_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_one(flick_marshal_stream_t _stream, const one *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_one(flick_marshal_stream_t _stream, one *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_one_swap(flick_marshal_stream_t _stream, one *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int one_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t27_switch_tag;

    flick_iiop_decode_new_glob(11);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t27_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t27_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t28_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t28_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t28_switch_tag)
            {
            case 'o':
              {
                char _t29_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t29_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t29_switch_tag)
                  {
                  case 'p':
                    {
                      char _t30_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t30_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t30_switch_tag)
                        {
                        case '_':
                          {
                            char _t31_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t31_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t31_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t32_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t32_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t32_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t33_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t33_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t33_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t34_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t34_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t34_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      one _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t35_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t35_storage;
                                                      flick_iiop_decode_end_glob(11);
                                                      flick_corba_init_environment();
                                                      one_op_one(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(11);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(11);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(11);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(11);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(11);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(11);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(11);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(11);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t9_switch_tag;

    flick_iiop_decode_new_glob(11);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t9_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t9_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t10_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t10_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t10_switch_tag)
            {
            case 'o':
              {
                char _t11_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t11_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t11_switch_tag)
                  {
                  case 'p':
                    {
                      char _t12_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t12_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t12_switch_tag)
                        {
                        case '_':
                          {
                            char _t13_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t13_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t13_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t14_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t14_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t14_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t15_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t15_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t15_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t16_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t16_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t16_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      one _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t17_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t17_storage;
                                                      flick_iiop_decode_end_glob(11);
                                                      flick_corba_init_environment();
                                                      one_op_one(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(11);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(11);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(11);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(11);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(11);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(11);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(11);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(11);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_two(flick_marshal_stream_t _stream, const two *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_two(flick_marshal_stream_t _stream, two *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_two_swap(flick_marshal_stream_t _stream, two *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int two_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t75_switch_tag;

    flick_iiop_decode_new_glob(11);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t75_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t75_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t76_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t76_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t76_switch_tag)
            {
            case 'o':
              {
                char _t77_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t77_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t77_switch_tag)
                  {
                  case 'p':
                    {
                      char _t78_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t78_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t78_switch_tag)
                        {
                        case '_':
                          {
                            char _t79_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t79_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t79_switch_tag)
                              {
                              case 't':
                                {
                                  char _t80_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t80_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t80_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t81_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t81_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t81_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t82_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t82_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t82_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      two _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t83_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t83_storage;
                                                      flick_iiop_decode_end_glob(11);
                                                      flick_corba_init_environment();
                                                      two_op_two(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(11);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(11);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(11);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t84_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t84_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t84_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t85_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t85_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t85_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t86_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t86_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t86_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      two _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t87_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t87_storage;
                                                      flick_iiop_decode_end_glob(11);
                                                      flick_corba_init_environment();
                                                      two_op_one(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(11);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(11);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(11);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(11);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(11);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(11);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(11);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(11);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t49_switch_tag;

    flick_iiop_decode_new_glob(11);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t49_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t49_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t50_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t50_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t50_switch_tag)
            {
            case 'o':
              {
                char _t51_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t51_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t51_switch_tag)
                  {
                  case 'p':
                    {
                      char _t52_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t52_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t52_switch_tag)
                        {
                        case '_':
                          {
                            char _t53_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t53_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t53_switch_tag)
                              {
                              case 't':
                                {
                                  char _t54_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t54_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t54_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t55_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t55_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t55_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t56_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t56_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t56_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      two _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t57_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t57_storage;
                                                      flick_iiop_decode_end_glob(11);
                                                      flick_corba_init_environment();
                                                      two_op_two(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(11);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(11);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(11);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t58_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t58_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t58_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t59_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t59_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t59_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t60_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t60_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t60_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      two _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t61_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t61_storage;
                                                      flick_iiop_decode_end_glob(11);
                                                      flick_corba_init_environment();
                                                      two_op_one(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(11);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(11);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(11);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(11);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(11);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(11);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(11);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(11);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_three(flick_marshal_stream_t _stream, const three *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_three(flick_marshal_stream_t _stream, three *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_three_swap(flick_marshal_stream_t _stream, three *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int three_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t145_switch_tag;

    flick_iiop_decode_new_glob(13);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t145_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t145_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t146_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t146_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t146_switch_tag)
            {
            case 'o':
              {
                char _t147_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t147_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t147_switch_tag)
                  {
                  case 'p':
                    {
                      char _t148_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t148_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t148_switch_tag)
                        {
                        case '_':
                          {
                            char _t149_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t149_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t149_switch_tag)
                              {
                              case 't':
                                {
                                  char _t150_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t150_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t150_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t151_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t151_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t151_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t152_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t152_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t152_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t153_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t153_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t153_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t154_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t154_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t154_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  three _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t155_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t155_storage;
                                                                  flick_iiop_decode_end_glob(13);
                                                                  flick_corba_init_environment();
                                                                  three_op_three(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(13);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(13);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t156_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t156_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t156_switch_tag)
            {
            case 'o':
              {
                char _t157_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t157_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t157_switch_tag)
                  {
                  case 'p':
                    {
                      char _t158_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t158_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t158_switch_tag)
                        {
                        case '_':
                          {
                            char _t159_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t159_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t159_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t160_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t160_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t160_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t161_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t161_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t161_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t162_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t162_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t162_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      three _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t163_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t163_storage;
                                                      flick_iiop_decode_end_glob(13);
                                                      flick_corba_init_environment();
                                                      three_op_one(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(13);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t107_switch_tag;

    flick_iiop_decode_new_glob(13);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t107_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t107_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t108_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t108_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t108_switch_tag)
            {
            case 'o':
              {
                char _t109_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t109_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t109_switch_tag)
                  {
                  case 'p':
                    {
                      char _t110_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t110_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t110_switch_tag)
                        {
                        case '_':
                          {
                            char _t111_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t111_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t111_switch_tag)
                              {
                              case 't':
                                {
                                  char _t112_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t112_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t112_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t113_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t113_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t113_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t114_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t114_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t114_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t115_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t115_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t115_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t116_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t116_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t116_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  three _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t117_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t117_storage;
                                                                  flick_iiop_decode_end_glob(13);
                                                                  flick_corba_init_environment();
                                                                  three_op_three(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(13);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(13);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t118_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t118_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t118_switch_tag)
            {
            case 'o':
              {
                char _t119_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t119_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t119_switch_tag)
                  {
                  case 'p':
                    {
                      char _t120_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t120_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t120_switch_tag)
                        {
                        case '_':
                          {
                            char _t121_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t121_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t121_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t122_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t122_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t122_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t123_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t123_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t123_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t124_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t124_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t124_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      three _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t125_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t125_storage;
                                                      flick_iiop_decode_end_glob(13);
                                                      flick_corba_init_environment();
                                                      three_op_one(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(13);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_four(flick_marshal_stream_t _stream, const four *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_four(flick_marshal_stream_t _stream, four *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_four_swap(flick_marshal_stream_t _stream, four *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int four_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t260_switch_tag;

    flick_iiop_decode_new_glob(13);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t260_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t260_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t261_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t261_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t261_switch_tag)
            {
            case 'o':
              {
                char _t262_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t262_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t262_switch_tag)
                  {
                  case 'p':
                    {
                      char _t263_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t263_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t263_switch_tag)
                        {
                        case '_':
                          {
                            char _t264_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t264_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t264_switch_tag)
                              {
                              case 'f':
                                {
                                  char _t265_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t265_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t265_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t266_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t266_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t266_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t267_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t267_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t267_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t268_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t268_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t268_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            four _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t269_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t269_storage;
                                                            flick_iiop_decode_end_glob(13);
                                                            flick_corba_init_environment();
                                                            four_op_four(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(13);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t270_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t270_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t270_switch_tag)
            {
            case 'o':
              {
                char _t271_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t271_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t271_switch_tag)
                  {
                  case 'p':
                    {
                      char _t272_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t272_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t272_switch_tag)
                        {
                        case '_':
                          {
                            char _t273_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t273_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t273_switch_tag)
                              {
                              case 't':
                                {
                                  char _t274_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t274_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t274_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t275_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t275_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t275_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t276_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t276_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t276_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      four _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t277_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t277_storage;
                                                      flick_iiop_decode_end_glob(13);
                                                      flick_corba_init_environment();
                                                      four_op_two(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t278_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t278_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t278_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t279_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t279_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t279_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t280_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t280_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t280_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      four _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t281_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t281_storage;
                                                      flick_iiop_decode_end_glob(13);
                                                      flick_corba_init_environment();
                                                      four_op_one(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t282_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t282_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t282_switch_tag)
            {
            case 'o':
              {
                char _t283_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t283_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t283_switch_tag)
                  {
                  case 'p':
                    {
                      char _t284_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t284_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t284_switch_tag)
                        {
                        case '_':
                          {
                            char _t285_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t285_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t285_switch_tag)
                              {
                              case 't':
                                {
                                  char _t286_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t286_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t286_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t287_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t287_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t287_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t288_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t288_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t288_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t289_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t289_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t289_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t290_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t290_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t290_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  four _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t291_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t291_storage;
                                                                  flick_iiop_decode_end_glob(13);
                                                                  flick_corba_init_environment();
                                                                  four_op_three(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(13);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(13);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(13);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t196_switch_tag;

    flick_iiop_decode_new_glob(13);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t196_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t196_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t197_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t197_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t197_switch_tag)
            {
            case 'o':
              {
                char _t198_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t198_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t198_switch_tag)
                  {
                  case 'p':
                    {
                      char _t199_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t199_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t199_switch_tag)
                        {
                        case '_':
                          {
                            char _t200_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t200_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t200_switch_tag)
                              {
                              case 'f':
                                {
                                  char _t201_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t201_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t201_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t202_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t202_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t202_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t203_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t203_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t203_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t204_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t204_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t204_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            four _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t205_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t205_storage;
                                                            flick_iiop_decode_end_glob(13);
                                                            flick_corba_init_environment();
                                                            four_op_four(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(13);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t206_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t206_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t206_switch_tag)
            {
            case 'o':
              {
                char _t207_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t207_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t207_switch_tag)
                  {
                  case 'p':
                    {
                      char _t208_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t208_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t208_switch_tag)
                        {
                        case '_':
                          {
                            char _t209_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t209_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t209_switch_tag)
                              {
                              case 't':
                                {
                                  char _t210_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t210_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t210_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t211_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t211_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t211_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t212_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t212_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t212_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      four _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t213_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t213_storage;
                                                      flick_iiop_decode_end_glob(13);
                                                      flick_corba_init_environment();
                                                      four_op_two(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t214_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t214_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t214_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t215_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t215_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t215_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t216_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t216_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t216_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      four _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t217_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t217_storage;
                                                      flick_iiop_decode_end_glob(13);
                                                      flick_corba_init_environment();
                                                      four_op_one(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t218_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t218_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t218_switch_tag)
            {
            case 'o':
              {
                char _t219_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t219_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t219_switch_tag)
                  {
                  case 'p':
                    {
                      char _t220_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t220_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t220_switch_tag)
                        {
                        case '_':
                          {
                            char _t221_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t221_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t221_switch_tag)
                              {
                              case 't':
                                {
                                  char _t222_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t222_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t222_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t223_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t223_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t223_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t224_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t224_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t224_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t225_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t225_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t225_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t226_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t226_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t226_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  four _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t227_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t227_storage;
                                                                  flick_iiop_decode_end_glob(13);
                                                                  flick_corba_init_environment();
                                                                  four_op_three(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(13);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(13);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(13);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_five(flick_marshal_stream_t _stream, const five *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_five(flick_marshal_stream_t _stream, five *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_five_swap(flick_marshal_stream_t _stream, five *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int five_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t400_switch_tag;

    flick_iiop_decode_new_glob(13);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t400_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t400_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t401_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t401_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t401_switch_tag)
            {
            case 'o':
              {
                char _t402_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t402_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t402_switch_tag)
                  {
                  case 'p':
                    {
                      char _t403_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t403_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t403_switch_tag)
                        {
                        case '_':
                          {
                            char _t404_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t404_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t404_switch_tag)
                              {
                              case 'f':
                                {
                                  char _t405_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t405_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t405_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t406_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t406_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t406_switch_tag)
                                          {
                                          case 'v':
                                            {
                                              char _t407_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t407_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t407_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t408_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t408_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t408_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            five _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t409_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t409_storage;
                                                            flick_iiop_decode_end_glob(13);
                                                            flick_corba_init_environment();
                                                            five_op_five(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(13);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    case 'o':
                                      {
                                        char _t410_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t410_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t410_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t411_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t411_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t411_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t412_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t412_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t412_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            five _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t413_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t413_storage;
                                                            flick_iiop_decode_end_glob(13);
                                                            flick_corba_init_environment();
                                                            five_op_four(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(13);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t414_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t414_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t414_switch_tag)
            {
            case 'o':
              {
                char _t415_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t415_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t415_switch_tag)
                  {
                  case 'p':
                    {
                      char _t416_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t416_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t416_switch_tag)
                        {
                        case '_':
                          {
                            char _t417_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t417_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t417_switch_tag)
                              {
                              case 't':
                                {
                                  char _t418_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t418_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t418_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t419_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t419_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t419_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t420_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t420_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t420_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      five _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t421_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t421_storage;
                                                      flick_iiop_decode_end_glob(13);
                                                      flick_corba_init_environment();
                                                      five_op_two(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t422_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t422_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t422_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t423_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t423_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t423_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t424_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t424_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t424_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      five _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t425_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t425_storage;
                                                      flick_iiop_decode_end_glob(13);
                                                      flick_corba_init_environment();
                                                      five_op_one(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t426_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t426_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t426_switch_tag)
            {
            case 'o':
              {
                char _t427_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t427_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t427_switch_tag)
                  {
                  case 'p':
                    {
                      char _t428_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t428_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t428_switch_tag)
                        {
                        case '_':
                          {
                            char _t429_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t429_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t429_switch_tag)
                              {
                              case 't':
                                {
                                  char _t430_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t430_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t430_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t431_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t431_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t431_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t432_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t432_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t432_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t433_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t433_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t433_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t434_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t434_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t434_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  five _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t435_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t435_storage;
                                                                  flick_iiop_decode_end_glob(13);
                                                                  flick_corba_init_environment();
                                                                  five_op_three(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(13);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(13);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(13);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t328_switch_tag;

    flick_iiop_decode_new_glob(13);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t328_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t328_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t329_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t329_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t329_switch_tag)
            {
            case 'o':
              {
                char _t330_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t330_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t330_switch_tag)
                  {
                  case 'p':
                    {
                      char _t331_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t331_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t331_switch_tag)
                        {
                        case '_':
                          {
                            char _t332_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t332_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t332_switch_tag)
                              {
                              case 'f':
                                {
                                  char _t333_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t333_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t333_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t334_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t334_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t334_switch_tag)
                                          {
                                          case 'v':
                                            {
                                              char _t335_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t335_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t335_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t336_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t336_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t336_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            five _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t337_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t337_storage;
                                                            flick_iiop_decode_end_glob(13);
                                                            flick_corba_init_environment();
                                                            five_op_five(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(13);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    case 'o':
                                      {
                                        char _t338_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t338_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t338_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t339_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t339_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t339_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t340_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t340_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t340_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            five _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t341_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t341_storage;
                                                            flick_iiop_decode_end_glob(13);
                                                            flick_corba_init_environment();
                                                            five_op_four(_obj, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(13);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t342_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t342_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t342_switch_tag)
            {
            case 'o':
              {
                char _t343_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t343_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t343_switch_tag)
                  {
                  case 'p':
                    {
                      char _t344_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t344_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t344_switch_tag)
                        {
                        case '_':
                          {
                            char _t345_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t345_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t345_switch_tag)
                              {
                              case 't':
                                {
                                  char _t346_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t346_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t346_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t347_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t347_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t347_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t348_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t348_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t348_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      five _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t349_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t349_storage;
                                                      flick_iiop_decode_end_glob(13);
                                                      flick_corba_init_environment();
                                                      five_op_two(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t350_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t350_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t350_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t351_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t351_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t351_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t352_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t352_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t352_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      five _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t353_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t353_storage;
                                                      flick_iiop_decode_end_glob(13);
                                                      flick_corba_init_environment();
                                                      five_op_one(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t354_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t354_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t354_switch_tag)
            {
            case 'o':
              {
                char _t355_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t355_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t355_switch_tag)
                  {
                  case 'p':
                    {
                      char _t356_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t356_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t356_switch_tag)
                        {
                        case '_':
                          {
                            char _t357_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t357_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t357_switch_tag)
                              {
                              case 't':
                                {
                                  char _t358_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t358_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t358_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t359_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t359_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t359_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t360_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t360_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t360_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t361_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t361_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t361_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t362_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t362_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t362_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  five _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t363_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t363_storage;
                                                                  flick_iiop_decode_end_glob(13);
                                                                  flick_corba_init_environment();
                                                                  five_op_three(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(13);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(13);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(13);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(13);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(13);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(13);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(13);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(13);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(13);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(13);
          break;
        }
      }
  }
  }
  return 0;
}
