#include "primtypes-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &ex1_server, "ex1_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &ex1_server, "ex1_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &ex2_server, "ex2_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &ex2_server, "ex2_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_ex1(flick_marshal_stream_t _stream, const ex1 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_ex1_swap(flick_marshal_stream_t _stream, ex1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t141_switch_tag;

    flick_iiop_decode_new_glob(66);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t141_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t141_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t142_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t142_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t142_switch_tag)
            {
            case 'm':
              {
                char _t143_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t143_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t143_switch_tag)
                  {
                  case '1':
                    {
                      char _t144_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t144_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t144_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex1 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_Environment _t145_storage;
                              unsigned int _t146_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t145_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_swap_decode_unsigned32(1, _t146_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_swap_decode_signed32(5, _local_a);
                              flick_iiop_decode_end_chunk(9);
                              flick_iiop_decode_end_glob(66);
                              flick_corba_init_environment();
                              _return = ex1_m1(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(66);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(66);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t147_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t147_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t147_switch_tag)
            {
            case 'm':
              {
                char _t148_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t148_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t148_switch_tag)
                  {
                  case 't':
                    {
                      char _t149_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t149_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t149_switch_tag)
                        {
                        case 'y':
                          {
                            char _t150_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t150_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t150_switch_tag)
                              {
                              case 'p':
                                {
                                  char _t151_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t151_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t151_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t152_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t152_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t152_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t153_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t153_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t153_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex1 _obj;
                                                      CORBA_long _local_a1;
                                                      CORBA_long *_local_a2;
                                                      CORBA_long *_local_a3;
                                                      CORBA_unsigned_long _local_b1;
                                                      CORBA_unsigned_long *_local_b2;
                                                      CORBA_unsigned_long *_local_b3;
                                                      CORBA_short _local_c1;
                                                      CORBA_short *_local_c2;
                                                      CORBA_short *_local_c3;
                                                      CORBA_unsigned_short _local_d1;
                                                      CORBA_unsigned_short *_local_d2;
                                                      CORBA_unsigned_short *_local_d3;
                                                      CORBA_float _local_e1;
                                                      CORBA_float *_local_e2;
                                                      CORBA_float *_local_e3;
                                                      CORBA_double _local_f1;
                                                      CORBA_double *_local_f2;
                                                      CORBA_double *_local_f3;
                                                      CORBA_char _local_g1;
                                                      CORBA_char *_local_g2;
                                                      CORBA_char *_local_g3;
                                                      CORBA_Environment *_ev;
                                                      ex1 _return;
                                                      CORBA_long _t154_storage;
                                                      CORBA_unsigned_long _t155_storage;
                                                      CORBA_short _t156_storage;
                                                      CORBA_unsigned_short _t157_storage;
                                                      CORBA_float _t158_storage;
                                                      CORBA_double _t159_storage;
                                                      CORBA_char _t160_storage;
                                                      CORBA_Environment _t161_storage;
                                                      unsigned int _t162_principal;
                                                      CORBA_long _t163_storage;
                                                      CORBA_unsigned_long _t164_storage;
                                                      CORBA_short _t165_storage;
                                                      CORBA_unsigned_short _t166_storage;
                                                      CORBA_float _t167_storage;
                                                      CORBA_double _t168_storage;
                                                      CORBA_char _t169_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_a3 = &_t154_storage;
                                                      _local_b3 = &_t155_storage;
                                                      _local_c3 = &_t156_storage;
                                                      _local_d3 = &_t157_storage;
                                                      _local_e3 = &_t158_storage;
                                                      _local_f3 = &_t159_storage;
                                                      _local_g3 = &_t160_storage;
                                                      _ev = &_t161_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(37);
                                                      flick_cdr_swap_decode_unsigned32(1, _t162_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_cdr_swap_decode_signed32(5, _local_a1);
                                                      _local_a2 = &_t163_storage;
                                                      flick_cdr_swap_decode_signed32(9, *_local_a2);
                                                      flick_cdr_swap_decode_unsigned32(13, _local_b1);
                                                      _local_b2 = &_t164_storage;
                                                      flick_cdr_swap_decode_unsigned32(17, *_local_b2);
                                                      flick_cdr_swap_decode_signed16(21, _local_c1);
                                                      _local_c2 = &_t165_storage;
                                                      flick_cdr_swap_decode_signed16(23, *_local_c2);
                                                      flick_cdr_swap_decode_unsigned16(25, _local_d1);
                                                      _local_d2 = &_t166_storage;
                                                      flick_cdr_swap_decode_unsigned16(27, *_local_d2);
                                                      flick_cdr_swap_decode_float32(29, _local_e1);
                                                      _local_e2 = &_t167_storage;
                                                      flick_cdr_swap_decode_float32(33, *_local_e2);
                                                      flick_iiop_decode_end_chunk(37);
                                                      flick_iiop_decode_new_chunk_align(18, 3, 2, 0);
                                                      flick_cdr_swap_decode_float64(0, _local_f1);
                                                      _local_f2 = &_t168_storage;
                                                      flick_cdr_swap_decode_float64(8, *_local_f2);
                                                      flick_cdr_swap_decode_char8(16, _local_g1);
                                                      _local_g2 = &_t169_storage;
                                                      flick_cdr_swap_decode_char8(17, *_local_g2);
                                                      flick_iiop_decode_end_chunk(18);
                                                      flick_iiop_decode_end_glob(66);
                                                      flick_corba_init_environment();
                                                      _return = ex1_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(60);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(32);
                                                            flick_cdr_encode_signed32(0, *_local_a2);
                                                            flick_cdr_encode_signed32(4, *_local_a3);
                                                            flick_cdr_encode_unsigned32(8, *_local_b2);
                                                            flick_cdr_encode_unsigned32(12, *_local_b3);
                                                            flick_cdr_encode_signed16(16, *_local_c2);
                                                            flick_cdr_encode_signed16(18, *_local_c3);
                                                            flick_cdr_encode_unsigned16(20, *_local_d2);
                                                            flick_cdr_encode_unsigned16(22, *_local_d3);
                                                            flick_cdr_encode_float32(24, *_local_e2);
                                                            flick_cdr_encode_float32(28, *_local_e3);
                                                            flick_iiop_encode_end_chunk(32);
                                                            flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                                            flick_cdr_encode_float64(0, *_local_f2);
                                                            flick_cdr_encode_float64(8, *_local_f3);
                                                            flick_cdr_encode_char8(16, *_local_g2);
                                                            flick_cdr_encode_char8(17, *_local_g3);
                                                            flick_cdr_encode_port32(20, _return, 1);
                                                            flick_iiop_mark_port_for_cleanup(_return, 1);
                                                            flick_iiop_encode_end_chunk(24);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(60);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(66);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(66);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(66);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(66);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(66);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(66);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t170_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t170_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t170_switch_tag)
            {
            case '_':
              {
                char _t171_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t171_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t171_switch_tag)
                  {
                  case '_':
                    {
                      char _t172_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t172_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t172_switch_tag)
                        {
                        case 'g':
                          {
                            char _t173_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t173_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t173_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t174_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t174_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t174_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t175_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t175_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t175_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t176_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t176_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t176_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t177_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t177_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t177_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t178_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t178_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t178_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex1 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t179_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t179_storage;
                                                                  flick_iiop_decode_end_glob(66);
                                                                  flick_corba_init_environment();
                                                                  _return = ex1__get_l1(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(66);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(66);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(66);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(66);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(66);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(66);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t180_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t180_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t180_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t181_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t181_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t181_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t182_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t182_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t182_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t183_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t183_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t183_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t184_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t184_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t184_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t185_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t185_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t185_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex1 _obj;
                                                                  CORBA_long _local_l1;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t186_storage;
                                                                  unsigned int _t187_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t186_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t187_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_swap_decode_signed32(7, _local_l1);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(66);
                                                                  flick_corba_init_environment();
                                                                  ex1__set_l1(_obj, _local_l1, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(66);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(66);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(66);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(66);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(66);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(66);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(66);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(66);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(66);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t47_switch_tag;

    flick_iiop_decode_new_glob(66);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t47_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t47_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t48_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t48_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t48_switch_tag)
            {
            case 'm':
              {
                char _t49_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t49_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t49_switch_tag)
                  {
                  case '1':
                    {
                      char _t50_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t50_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t50_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex1 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_Environment _t51_storage;
                              unsigned int _t52_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t51_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_decode_unsigned32(1, _t52_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_decode_signed32(5, _local_a);
                              flick_iiop_decode_end_chunk(9);
                              flick_iiop_decode_end_glob(66);
                              flick_corba_init_environment();
                              _return = ex1_m1(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(66);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(66);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t53_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t53_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t53_switch_tag)
            {
            case 'm':
              {
                char _t54_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t54_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t54_switch_tag)
                  {
                  case 't':
                    {
                      char _t55_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t55_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t55_switch_tag)
                        {
                        case 'y':
                          {
                            char _t56_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t56_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t56_switch_tag)
                              {
                              case 'p':
                                {
                                  char _t57_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t57_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t57_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t58_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t58_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t58_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t59_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t59_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t59_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex1 _obj;
                                                      CORBA_long _local_a1;
                                                      CORBA_long *_local_a2;
                                                      CORBA_long *_local_a3;
                                                      CORBA_unsigned_long _local_b1;
                                                      CORBA_unsigned_long *_local_b2;
                                                      CORBA_unsigned_long *_local_b3;
                                                      CORBA_short _local_c1;
                                                      CORBA_short *_local_c2;
                                                      CORBA_short *_local_c3;
                                                      CORBA_unsigned_short _local_d1;
                                                      CORBA_unsigned_short *_local_d2;
                                                      CORBA_unsigned_short *_local_d3;
                                                      CORBA_float _local_e1;
                                                      CORBA_float *_local_e2;
                                                      CORBA_float *_local_e3;
                                                      CORBA_double _local_f1;
                                                      CORBA_double *_local_f2;
                                                      CORBA_double *_local_f3;
                                                      CORBA_char _local_g1;
                                                      CORBA_char *_local_g2;
                                                      CORBA_char *_local_g3;
                                                      CORBA_Environment *_ev;
                                                      ex1 _return;
                                                      CORBA_long _t60_storage;
                                                      CORBA_unsigned_long _t61_storage;
                                                      CORBA_short _t62_storage;
                                                      CORBA_unsigned_short _t63_storage;
                                                      CORBA_float _t64_storage;
                                                      CORBA_double _t65_storage;
                                                      CORBA_char _t66_storage;
                                                      CORBA_Environment _t67_storage;
                                                      unsigned int _t68_principal;
                                                      CORBA_long _t69_storage;
                                                      CORBA_unsigned_long _t70_storage;
                                                      CORBA_short _t71_storage;
                                                      CORBA_unsigned_short _t72_storage;
                                                      CORBA_float _t73_storage;
                                                      CORBA_double _t74_storage;
                                                      CORBA_char _t75_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_a3 = &_t60_storage;
                                                      _local_b3 = &_t61_storage;
                                                      _local_c3 = &_t62_storage;
                                                      _local_d3 = &_t63_storage;
                                                      _local_e3 = &_t64_storage;
                                                      _local_f3 = &_t65_storage;
                                                      _local_g3 = &_t66_storage;
                                                      _ev = &_t67_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(37);
                                                      flick_cdr_decode_unsigned32(1, _t68_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_cdr_decode_signed32(5, _local_a1);
                                                      _local_a2 = &_t69_storage;
                                                      flick_cdr_decode_signed32(9, *_local_a2);
                                                      flick_cdr_decode_unsigned32(13, _local_b1);
                                                      _local_b2 = &_t70_storage;
                                                      flick_cdr_decode_unsigned32(17, *_local_b2);
                                                      flick_cdr_decode_signed16(21, _local_c1);
                                                      _local_c2 = &_t71_storage;
                                                      flick_cdr_decode_signed16(23, *_local_c2);
                                                      flick_cdr_decode_unsigned16(25, _local_d1);
                                                      _local_d2 = &_t72_storage;
                                                      flick_cdr_decode_unsigned16(27, *_local_d2);
                                                      flick_cdr_decode_float32(29, _local_e1);
                                                      _local_e2 = &_t73_storage;
                                                      flick_cdr_decode_float32(33, *_local_e2);
                                                      flick_iiop_decode_end_chunk(37);
                                                      flick_iiop_decode_new_chunk_align(18, 3, 2, 0);
                                                      flick_cdr_decode_float64(0, _local_f1);
                                                      _local_f2 = &_t74_storage;
                                                      flick_cdr_decode_float64(8, *_local_f2);
                                                      flick_cdr_decode_char8(16, _local_g1);
                                                      _local_g2 = &_t75_storage;
                                                      flick_cdr_decode_char8(17, *_local_g2);
                                                      flick_iiop_decode_end_chunk(18);
                                                      flick_iiop_decode_end_glob(66);
                                                      flick_corba_init_environment();
                                                      _return = ex1_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(60);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(32);
                                                            flick_cdr_encode_signed32(0, *_local_a2);
                                                            flick_cdr_encode_signed32(4, *_local_a3);
                                                            flick_cdr_encode_unsigned32(8, *_local_b2);
                                                            flick_cdr_encode_unsigned32(12, *_local_b3);
                                                            flick_cdr_encode_signed16(16, *_local_c2);
                                                            flick_cdr_encode_signed16(18, *_local_c3);
                                                            flick_cdr_encode_unsigned16(20, *_local_d2);
                                                            flick_cdr_encode_unsigned16(22, *_local_d3);
                                                            flick_cdr_encode_float32(24, *_local_e2);
                                                            flick_cdr_encode_float32(28, *_local_e3);
                                                            flick_iiop_encode_end_chunk(32);
                                                            flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                                            flick_cdr_encode_float64(0, *_local_f2);
                                                            flick_cdr_encode_float64(8, *_local_f3);
                                                            flick_cdr_encode_char8(16, *_local_g2);
                                                            flick_cdr_encode_char8(17, *_local_g3);
                                                            flick_cdr_encode_port32(20, _return, 1);
                                                            flick_iiop_mark_port_for_cleanup(_return, 1);
                                                            flick_iiop_encode_end_chunk(24);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(60);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(66);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(66);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(66);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(66);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(66);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(66);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t76_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t76_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t76_switch_tag)
            {
            case '_':
              {
                char _t77_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t77_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t77_switch_tag)
                  {
                  case '_':
                    {
                      char _t78_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t78_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t78_switch_tag)
                        {
                        case 'g':
                          {
                            char _t79_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t79_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t79_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t80_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t80_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t80_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t81_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t81_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t81_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t82_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t82_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t82_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t83_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t83_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t83_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t84_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t84_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t84_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex1 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t85_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t85_storage;
                                                                  flick_iiop_decode_end_glob(66);
                                                                  flick_corba_init_environment();
                                                                  _return = ex1__get_l1(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(66);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(66);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(66);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(66);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(66);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(66);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t86_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t86_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t86_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t87_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t87_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t87_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t88_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t88_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t88_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t89_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t89_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t89_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t90_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t90_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t90_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t91_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t91_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t91_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex1 _obj;
                                                                  CORBA_long _local_l1;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t92_storage;
                                                                  unsigned int _t93_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t92_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t93_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_decode_signed32(7, _local_l1);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(66);
                                                                  flick_corba_init_environment();
                                                                  ex1__set_l1(_obj, _local_l1, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(66);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(66);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(66);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(66);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(66);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(66);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(66);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(66);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(66);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_ex2(flick_marshal_stream_t _stream, const ex2 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_ex2_swap(flick_marshal_stream_t _stream, ex2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t353_switch_tag;

    flick_iiop_decode_new_glob(66);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t353_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t353_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t354_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t354_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t354_switch_tag)
            {
            case 'm':
              {
                char _t355_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t355_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t355_switch_tag)
                  {
                  case '2':
                    {
                      char _t356_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t356_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t356_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_long *_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_long _t357_storage;
                              CORBA_Environment _t358_storage;
                              unsigned int _t359_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t357_storage;
                              _ev = &_t358_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_swap_decode_unsigned32(1, _t359_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_swap_decode_signed32(5, _local_a);
                              flick_iiop_decode_end_chunk(9);
                              flick_iiop_decode_end_glob(66);
                              flick_corba_init_environment();
                              _return = ex2_m2(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(12);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(8);
                                    flick_cdr_encode_signed32(0, *_local_b);
                                    flick_cdr_encode_signed32(4, _return);
                                    flick_iiop_encode_end_chunk(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(12);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  case 'v':
                    {
                      char _t360_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t360_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t360_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t361_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t361_storage;
                              flick_iiop_decode_end_glob(66);
                              flick_corba_init_environment();
                              ex2_mv(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  case '1':
                    {
                      char _t362_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t362_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t362_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_Environment _t363_storage;
                              unsigned int _t364_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t363_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_swap_decode_unsigned32(1, _t364_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_swap_decode_signed32(5, _local_a);
                              flick_iiop_decode_end_chunk(9);
                              flick_iiop_decode_end_glob(66);
                              flick_corba_init_environment();
                              _return = ex2_m1(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(66);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(66);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t365_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t365_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t365_switch_tag)
            {
            case '_':
              {
                char _t366_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t366_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t366_switch_tag)
                  {
                  case '_':
                    {
                      char _t367_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t367_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t367_switch_tag)
                        {
                        case 'g':
                          {
                            char _t368_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t368_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t368_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t369_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t369_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t369_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t370_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t370_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t370_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t371_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t371_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t371_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t372_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t372_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t372_switch_tag)
                                                      {
                                                      case '2':
                                                        {
                                                          char _t373_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t373_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t373_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t374_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t374_storage;
                                                                  flick_iiop_decode_end_glob(66);
                                                                  flick_corba_init_environment();
                                                                  _return = ex2__get_l2(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(66);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '1':
                                                        {
                                                          char _t375_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t375_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t375_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t376_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t376_storage;
                                                                  flick_iiop_decode_end_glob(66);
                                                                  flick_corba_init_environment();
                                                                  _return = ex2__get_l1(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(66);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(66);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(66);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(66);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(66);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(66);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t377_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t377_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t377_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t378_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t378_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t378_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t379_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t379_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t379_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t380_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t380_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t380_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t381_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t381_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t381_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t382_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t382_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t382_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex2 _obj;
                                                                  CORBA_long _local_l1;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t383_storage;
                                                                  unsigned int _t384_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t383_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t384_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_swap_decode_signed32(7, _local_l1);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(66);
                                                                  flick_corba_init_environment();
                                                                  ex2__set_l1(_obj, _local_l1, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(66);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(66);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(66);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(66);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(66);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(66);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(66);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(66);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t385_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t385_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t385_switch_tag)
            {
            case 'm':
              {
                char _t386_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t386_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t386_switch_tag)
                  {
                  case 't':
                    {
                      char _t387_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t387_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t387_switch_tag)
                        {
                        case 'y':
                          {
                            char _t388_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t388_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t388_switch_tag)
                              {
                              case 'p':
                                {
                                  char _t389_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t389_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t389_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t390_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t390_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t390_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t391_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t391_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t391_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex2 _obj;
                                                      CORBA_long _local_a1;
                                                      CORBA_long *_local_a2;
                                                      CORBA_long *_local_a3;
                                                      CORBA_unsigned_long _local_b1;
                                                      CORBA_unsigned_long *_local_b2;
                                                      CORBA_unsigned_long *_local_b3;
                                                      CORBA_short _local_c1;
                                                      CORBA_short *_local_c2;
                                                      CORBA_short *_local_c3;
                                                      CORBA_unsigned_short _local_d1;
                                                      CORBA_unsigned_short *_local_d2;
                                                      CORBA_unsigned_short *_local_d3;
                                                      CORBA_float _local_e1;
                                                      CORBA_float *_local_e2;
                                                      CORBA_float *_local_e3;
                                                      CORBA_double _local_f1;
                                                      CORBA_double *_local_f2;
                                                      CORBA_double *_local_f3;
                                                      CORBA_char _local_g1;
                                                      CORBA_char *_local_g2;
                                                      CORBA_char *_local_g3;
                                                      CORBA_Environment *_ev;
                                                      ex1 _return;
                                                      CORBA_long _t392_storage;
                                                      CORBA_unsigned_long _t393_storage;
                                                      CORBA_short _t394_storage;
                                                      CORBA_unsigned_short _t395_storage;
                                                      CORBA_float _t396_storage;
                                                      CORBA_double _t397_storage;
                                                      CORBA_char _t398_storage;
                                                      CORBA_Environment _t399_storage;
                                                      unsigned int _t400_principal;
                                                      CORBA_long _t401_storage;
                                                      CORBA_unsigned_long _t402_storage;
                                                      CORBA_short _t403_storage;
                                                      CORBA_unsigned_short _t404_storage;
                                                      CORBA_float _t405_storage;
                                                      CORBA_double _t406_storage;
                                                      CORBA_char _t407_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_a3 = &_t392_storage;
                                                      _local_b3 = &_t393_storage;
                                                      _local_c3 = &_t394_storage;
                                                      _local_d3 = &_t395_storage;
                                                      _local_e3 = &_t396_storage;
                                                      _local_f3 = &_t397_storage;
                                                      _local_g3 = &_t398_storage;
                                                      _ev = &_t399_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(37);
                                                      flick_cdr_swap_decode_unsigned32(1, _t400_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_cdr_swap_decode_signed32(5, _local_a1);
                                                      _local_a2 = &_t401_storage;
                                                      flick_cdr_swap_decode_signed32(9, *_local_a2);
                                                      flick_cdr_swap_decode_unsigned32(13, _local_b1);
                                                      _local_b2 = &_t402_storage;
                                                      flick_cdr_swap_decode_unsigned32(17, *_local_b2);
                                                      flick_cdr_swap_decode_signed16(21, _local_c1);
                                                      _local_c2 = &_t403_storage;
                                                      flick_cdr_swap_decode_signed16(23, *_local_c2);
                                                      flick_cdr_swap_decode_unsigned16(25, _local_d1);
                                                      _local_d2 = &_t404_storage;
                                                      flick_cdr_swap_decode_unsigned16(27, *_local_d2);
                                                      flick_cdr_swap_decode_float32(29, _local_e1);
                                                      _local_e2 = &_t405_storage;
                                                      flick_cdr_swap_decode_float32(33, *_local_e2);
                                                      flick_iiop_decode_end_chunk(37);
                                                      flick_iiop_decode_new_chunk_align(18, 3, 2, 0);
                                                      flick_cdr_swap_decode_float64(0, _local_f1);
                                                      _local_f2 = &_t406_storage;
                                                      flick_cdr_swap_decode_float64(8, *_local_f2);
                                                      flick_cdr_swap_decode_char8(16, _local_g1);
                                                      _local_g2 = &_t407_storage;
                                                      flick_cdr_swap_decode_char8(17, *_local_g2);
                                                      flick_iiop_decode_end_chunk(18);
                                                      flick_iiop_decode_end_glob(66);
                                                      flick_corba_init_environment();
                                                      _return = ex2_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(60);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(32);
                                                            flick_cdr_encode_signed32(0, *_local_a2);
                                                            flick_cdr_encode_signed32(4, *_local_a3);
                                                            flick_cdr_encode_unsigned32(8, *_local_b2);
                                                            flick_cdr_encode_unsigned32(12, *_local_b3);
                                                            flick_cdr_encode_signed16(16, *_local_c2);
                                                            flick_cdr_encode_signed16(18, *_local_c3);
                                                            flick_cdr_encode_unsigned16(20, *_local_d2);
                                                            flick_cdr_encode_unsigned16(22, *_local_d3);
                                                            flick_cdr_encode_float32(24, *_local_e2);
                                                            flick_cdr_encode_float32(28, *_local_e3);
                                                            flick_iiop_encode_end_chunk(32);
                                                            flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                                            flick_cdr_encode_float64(0, *_local_f2);
                                                            flick_cdr_encode_float64(8, *_local_f3);
                                                            flick_cdr_encode_char8(16, *_local_g2);
                                                            flick_cdr_encode_char8(17, *_local_g3);
                                                            flick_cdr_encode_port32(20, _return, 1);
                                                            flick_iiop_mark_port_for_cleanup(_return, 1);
                                                            flick_iiop_encode_end_chunk(24);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(60);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(66);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(66);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(66);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(66);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(66);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(66);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(66);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t243_switch_tag;

    flick_iiop_decode_new_glob(66);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t243_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t243_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t244_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t244_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t244_switch_tag)
            {
            case 'm':
              {
                char _t245_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t245_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t245_switch_tag)
                  {
                  case '2':
                    {
                      char _t246_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t246_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t246_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_long *_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_long _t247_storage;
                              CORBA_Environment _t248_storage;
                              unsigned int _t249_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t247_storage;
                              _ev = &_t248_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_decode_unsigned32(1, _t249_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_decode_signed32(5, _local_a);
                              flick_iiop_decode_end_chunk(9);
                              flick_iiop_decode_end_glob(66);
                              flick_corba_init_environment();
                              _return = ex2_m2(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(12);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(8);
                                    flick_cdr_encode_signed32(0, *_local_b);
                                    flick_cdr_encode_signed32(4, _return);
                                    flick_iiop_encode_end_chunk(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(12);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  case 'v':
                    {
                      char _t250_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t250_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t250_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t251_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t251_storage;
                              flick_iiop_decode_end_glob(66);
                              flick_corba_init_environment();
                              ex2_mv(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  case '1':
                    {
                      char _t252_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t252_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t252_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_Environment _t253_storage;
                              unsigned int _t254_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t253_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_decode_unsigned32(1, _t254_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_decode_signed32(5, _local_a);
                              flick_iiop_decode_end_chunk(9);
                              flick_iiop_decode_end_glob(66);
                              flick_corba_init_environment();
                              _return = ex2_m1(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(66);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(66);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t255_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t255_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t255_switch_tag)
            {
            case '_':
              {
                char _t256_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t256_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t256_switch_tag)
                  {
                  case '_':
                    {
                      char _t257_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t257_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t257_switch_tag)
                        {
                        case 'g':
                          {
                            char _t258_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t258_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t258_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t259_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t259_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t259_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t260_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t260_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t260_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t261_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t261_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t261_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t262_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t262_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t262_switch_tag)
                                                      {
                                                      case '2':
                                                        {
                                                          char _t263_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t263_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t263_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t264_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t264_storage;
                                                                  flick_iiop_decode_end_glob(66);
                                                                  flick_corba_init_environment();
                                                                  _return = ex2__get_l2(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(66);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '1':
                                                        {
                                                          char _t265_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t265_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t265_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t266_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t266_storage;
                                                                  flick_iiop_decode_end_glob(66);
                                                                  flick_corba_init_environment();
                                                                  _return = ex2__get_l1(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(66);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(66);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(66);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(66);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(66);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(66);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t267_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t267_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t267_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t268_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t268_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t268_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t269_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t269_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t269_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t270_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t270_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t270_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t271_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t271_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t271_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t272_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t272_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t272_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex2 _obj;
                                                                  CORBA_long _local_l1;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t273_storage;
                                                                  unsigned int _t274_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t273_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t274_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_decode_signed32(7, _local_l1);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(66);
                                                                  flick_corba_init_environment();
                                                                  ex2__set_l1(_obj, _local_l1, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(66);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(66);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(66);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(66);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(66);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(66);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(66);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(66);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t275_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t275_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t275_switch_tag)
            {
            case 'm':
              {
                char _t276_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t276_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t276_switch_tag)
                  {
                  case 't':
                    {
                      char _t277_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t277_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t277_switch_tag)
                        {
                        case 'y':
                          {
                            char _t278_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t278_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t278_switch_tag)
                              {
                              case 'p':
                                {
                                  char _t279_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t279_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t279_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t280_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t280_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t280_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t281_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t281_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t281_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex2 _obj;
                                                      CORBA_long _local_a1;
                                                      CORBA_long *_local_a2;
                                                      CORBA_long *_local_a3;
                                                      CORBA_unsigned_long _local_b1;
                                                      CORBA_unsigned_long *_local_b2;
                                                      CORBA_unsigned_long *_local_b3;
                                                      CORBA_short _local_c1;
                                                      CORBA_short *_local_c2;
                                                      CORBA_short *_local_c3;
                                                      CORBA_unsigned_short _local_d1;
                                                      CORBA_unsigned_short *_local_d2;
                                                      CORBA_unsigned_short *_local_d3;
                                                      CORBA_float _local_e1;
                                                      CORBA_float *_local_e2;
                                                      CORBA_float *_local_e3;
                                                      CORBA_double _local_f1;
                                                      CORBA_double *_local_f2;
                                                      CORBA_double *_local_f3;
                                                      CORBA_char _local_g1;
                                                      CORBA_char *_local_g2;
                                                      CORBA_char *_local_g3;
                                                      CORBA_Environment *_ev;
                                                      ex1 _return;
                                                      CORBA_long _t282_storage;
                                                      CORBA_unsigned_long _t283_storage;
                                                      CORBA_short _t284_storage;
                                                      CORBA_unsigned_short _t285_storage;
                                                      CORBA_float _t286_storage;
                                                      CORBA_double _t287_storage;
                                                      CORBA_char _t288_storage;
                                                      CORBA_Environment _t289_storage;
                                                      unsigned int _t290_principal;
                                                      CORBA_long _t291_storage;
                                                      CORBA_unsigned_long _t292_storage;
                                                      CORBA_short _t293_storage;
                                                      CORBA_unsigned_short _t294_storage;
                                                      CORBA_float _t295_storage;
                                                      CORBA_double _t296_storage;
                                                      CORBA_char _t297_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_a3 = &_t282_storage;
                                                      _local_b3 = &_t283_storage;
                                                      _local_c3 = &_t284_storage;
                                                      _local_d3 = &_t285_storage;
                                                      _local_e3 = &_t286_storage;
                                                      _local_f3 = &_t287_storage;
                                                      _local_g3 = &_t288_storage;
                                                      _ev = &_t289_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(37);
                                                      flick_cdr_decode_unsigned32(1, _t290_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_cdr_decode_signed32(5, _local_a1);
                                                      _local_a2 = &_t291_storage;
                                                      flick_cdr_decode_signed32(9, *_local_a2);
                                                      flick_cdr_decode_unsigned32(13, _local_b1);
                                                      _local_b2 = &_t292_storage;
                                                      flick_cdr_decode_unsigned32(17, *_local_b2);
                                                      flick_cdr_decode_signed16(21, _local_c1);
                                                      _local_c2 = &_t293_storage;
                                                      flick_cdr_decode_signed16(23, *_local_c2);
                                                      flick_cdr_decode_unsigned16(25, _local_d1);
                                                      _local_d2 = &_t294_storage;
                                                      flick_cdr_decode_unsigned16(27, *_local_d2);
                                                      flick_cdr_decode_float32(29, _local_e1);
                                                      _local_e2 = &_t295_storage;
                                                      flick_cdr_decode_float32(33, *_local_e2);
                                                      flick_iiop_decode_end_chunk(37);
                                                      flick_iiop_decode_new_chunk_align(18, 3, 2, 0);
                                                      flick_cdr_decode_float64(0, _local_f1);
                                                      _local_f2 = &_t296_storage;
                                                      flick_cdr_decode_float64(8, *_local_f2);
                                                      flick_cdr_decode_char8(16, _local_g1);
                                                      _local_g2 = &_t297_storage;
                                                      flick_cdr_decode_char8(17, *_local_g2);
                                                      flick_iiop_decode_end_chunk(18);
                                                      flick_iiop_decode_end_glob(66);
                                                      flick_corba_init_environment();
                                                      _return = ex2_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(60);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(32);
                                                            flick_cdr_encode_signed32(0, *_local_a2);
                                                            flick_cdr_encode_signed32(4, *_local_a3);
                                                            flick_cdr_encode_unsigned32(8, *_local_b2);
                                                            flick_cdr_encode_unsigned32(12, *_local_b3);
                                                            flick_cdr_encode_signed16(16, *_local_c2);
                                                            flick_cdr_encode_signed16(18, *_local_c3);
                                                            flick_cdr_encode_unsigned16(20, *_local_d2);
                                                            flick_cdr_encode_unsigned16(22, *_local_d3);
                                                            flick_cdr_encode_float32(24, *_local_e2);
                                                            flick_cdr_encode_float32(28, *_local_e3);
                                                            flick_iiop_encode_end_chunk(32);
                                                            flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                                            flick_cdr_encode_float64(0, *_local_f2);
                                                            flick_cdr_encode_float64(8, *_local_f3);
                                                            flick_cdr_encode_char8(16, *_local_g2);
                                                            flick_cdr_encode_char8(17, *_local_g3);
                                                            flick_cdr_encode_port32(20, _return, 1);
                                                            flick_iiop_mark_port_for_cleanup(_return, 1);
                                                            flick_iiop_encode_end_chunk(24);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(60);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(66);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(66);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(66);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(66);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(66);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(66);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(66);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(66);
          break;
        }
      }
  }
  }
  return 0;
}
