#include "structplain_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &geom_server, "geom_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &geom_server, "geom_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_coord(flick_marshal_stream_t _stream, const struct coord *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed16(0, _data->row);
  flick_cdr_encode_signed16(2, _data->col);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, struct coord *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed16(0, _data->row);
  flick_cdr_decode_signed16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_coord_swap(flick_marshal_stream_t _stream, struct coord *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed16(0, _data->row);
  flick_cdr_swap_decode_signed16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_geom(flick_marshal_stream_t _stream, const geom *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_geom(flick_marshal_stream_t _stream, geom *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_geom_swap(flick_marshal_stream_t _stream, geom *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int geom_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t30_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t30_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t30_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t31_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t31_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t31_switch_tag)
            {
            case 'd':
              {
                char _t32_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t32_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t32_switch_tag)
                  {
                  case 'i':
                    {
                      char _t33_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t33_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t33_switch_tag)
                        {
                        case 's':
                          {
                            char _t34_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t34_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t34_switch_tag)
                              {
                              case 't':
                                {
                                  char _t35_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t35_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t35_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          geom _obj;
                                          struct coord *_local_a;
                                          struct coord *_local_b;
                                          CORBA_Environment *_ev;
                                          CORBA_short _return = 0;
                                          CORBA_Environment _t36_storage;
                                          unsigned int _t37_principal;
                                          struct coord _t38_storage;
                                          struct coord _t39_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _ev = &_t36_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(15);
                                          flick_cdr_swap_decode_unsigned32(3, _t37_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          _local_a = &_t38_storage;
                                          flick_cdr_swap_decode_signed16(7, _local_a->row);
                                          flick_cdr_swap_decode_signed16(9, _local_a->col);
                                          _local_b = &_t39_storage;
                                          flick_cdr_swap_decode_signed16(11, _local_b->row);
                                          flick_cdr_swap_decode_signed16(13, _local_b->col);
                                          flick_iiop_decode_end_chunk(15);
                                          flick_iiop_decode_end_glob(24);
                                          flick_corba_init_environment();
                                          _return = geom_dist(_obj, _local_a, _local_b, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(6);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(2);
                                                flick_cdr_encode_signed16(0, _return);
                                                flick_iiop_encode_end_chunk(2);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(6);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t10_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t10_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t10_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t11_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t11_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t11_switch_tag)
            {
            case 'd':
              {
                char _t12_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t12_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t12_switch_tag)
                  {
                  case 'i':
                    {
                      char _t13_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t13_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t13_switch_tag)
                        {
                        case 's':
                          {
                            char _t14_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t14_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t14_switch_tag)
                              {
                              case 't':
                                {
                                  char _t15_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t15_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t15_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          geom _obj;
                                          struct coord *_local_a;
                                          struct coord *_local_b;
                                          CORBA_Environment *_ev;
                                          CORBA_short _return = 0;
                                          CORBA_Environment _t16_storage;
                                          unsigned int _t17_principal;
                                          struct coord _t18_storage;
                                          struct coord _t19_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _ev = &_t16_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(15);
                                          flick_cdr_decode_unsigned32(3, _t17_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          _local_a = &_t18_storage;
                                          flick_cdr_decode_signed16(7, _local_a->row);
                                          flick_cdr_decode_signed16(9, _local_a->col);
                                          _local_b = &_t19_storage;
                                          flick_cdr_decode_signed16(11, _local_b->row);
                                          flick_cdr_decode_signed16(13, _local_b->col);
                                          flick_iiop_decode_end_chunk(15);
                                          flick_iiop_decode_end_glob(24);
                                          flick_corba_init_environment();
                                          _return = geom_dist(_obj, _local_a, _local_b, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(6);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(2);
                                                flick_cdr_encode_signed16(0, _return);
                                                flick_iiop_encode_end_chunk(2);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(6);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  }
  return 0;
}
