#include "union-5-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &prog_2, "prog_2_instance1");
		CORBA_BOA_obj_is_ready(boa, &prog_2, "prog_2_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->slot_1);
  flick_cdr_encode_signed32(4, _data->slot_2);
  flick_cdr_encode_signed32(8, _data->slot_3);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->slot_1);
  flick_cdr_decode_signed32(4, _data->slot_2);
  flick_cdr_decode_signed32(8, _data->slot_3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->slot_1);
  flick_cdr_swap_decode_signed32(4, _data->slot_2);
  flick_cdr_swap_decode_signed32(8, _data->slot_3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_iiop_encode_new_glob(408);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->discriminator);
  flick_iiop_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned long int _t3_array_iter;

        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->foo_u.one.foo_u_len);
        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
        for (_t3_array_iter = 0; _t3_array_iter < _data->foo_u.one.foo_u_len; _t3_array_iter++)
          {
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _data->foo_u.one.foo_u_val[_t3_array_iter]);
            flick_iiop_encode_end_chunk(4);
          }
#else /* Always bcopy */
        flick_cdr_encode_bcopy(_data->foo_u.one.foo_u_val, sizeof(long) * _data->foo_u.one.foo_u_len, iiop);
#endif /* alway bcopy */
        flick_iiop_encode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_iiop_encode_end_glob(408);
        flick_cdr_encode_longstring(_data->foo_u.two, null_flick_free, iiop);
        break;
      }
    case 3:
      {
        flick_iiop_encode_new_chunk(12);
        flick_cdr_encode_signed32(0, _data->foo_u.three.slot_1);
        flick_cdr_encode_signed32(4, _data->foo_u.three.slot_2);
        flick_cdr_encode_signed32(8, _data->foo_u.three.slot_3);
        flick_iiop_encode_end_chunk(12);
        flick_iiop_encode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        flick_iiop_encode_end_glob(408);
        break;
      }
    }
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(408);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->discriminator);
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned long int _t7_array_iter;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->foo_u.one.foo_u_len);
        _data->foo_u.one.foo_u_val = sun_flick_alloc(_data->foo_u.one.foo_u_len * sizeof(int ));
        flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
        for (_t7_array_iter = 0; _t7_array_iter < _data->foo_u.one.foo_u_len; _t7_array_iter++)
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _data->foo_u.one.foo_u_val[_t7_array_iter]);
            flick_iiop_decode_end_chunk(4);
          }
#else
        flick_cdr_decode_bcopy(_data->foo_u.one.foo_u_val, sizeof(long) * _data->foo_u.one.foo_u_len, iiop);
#endif
        flick_iiop_decode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_iiop_decode_end_glob(408);
        flick_cdr_decode_longstring(_data->foo_u.two, sun_flick_alloc, iiop);
        break;
      }
    case 3:
      {
        flick_iiop_decode_new_chunk(12);
        flick_cdr_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_cdr_decode_signed32(4, _data->foo_u.three.slot_2);
        flick_cdr_decode_signed32(8, _data->foo_u.three.slot_3);
        flick_iiop_decode_end_chunk(12);
        flick_iiop_decode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        flick_iiop_decode_end_glob(408);
        break;
      }
    }
}

void flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(408);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->discriminator);
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned long int _t11_array_iter;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->foo_u.one.foo_u_len);
        _data->foo_u.one.foo_u_val = sun_flick_alloc(_data->foo_u.one.foo_u_len * sizeof(int ));
        flick_iiop_decode_end_chunk(4);
        for (_t11_array_iter = 0; _t11_array_iter < _data->foo_u.one.foo_u_len; _t11_array_iter++)
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->foo_u.one.foo_u_val[_t11_array_iter]);
            flick_iiop_decode_end_chunk(4);
          }
        flick_iiop_decode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_iiop_decode_end_glob(408);
        flick_cdr_swap_decode_longstring(_data->foo_u.two, sun_flick_alloc, iiop);
        break;
      }
    case 3:
      {
        flick_iiop_decode_new_chunk(12);
        flick_cdr_swap_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_cdr_swap_decode_signed32(4, _data->foo_u.three.slot_2);
        flick_cdr_swap_decode_signed32(8, _data->foo_u.three.slot_3);
        flick_iiop_decode_end_chunk(12);
        flick_iiop_decode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        flick_iiop_decode_end_glob(408);
        break;
      }
    }
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t57_switch_tag;

    flick_iiop_decode_new_glob(416);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t57_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t57_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct foo *_local_arg;
            struct svc_req *_obj;
            struct foo *_return = 0;
            unsigned int _t58_principal;
            struct foo _t59_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, _t58_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t59_storage;
            flick_cdr_swap_decode_signed32(4, _local_arg->discriminator);
            flick_iiop_decode_end_chunk(8);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  unsigned long int _t63_array_iter;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _local_arg->foo_u.one.foo_u_len);
                  _local_arg->foo_u.one.foo_u_val = auto_flick_alloc(_local_arg->foo_u.one.foo_u_len * sizeof(int ));
                  flick_iiop_decode_end_chunk(4);
                  for (_t63_array_iter = 0; _t63_array_iter < _local_arg->foo_u.one.foo_u_len; _t63_array_iter++)
                    {
                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.one.foo_u_val[_t63_array_iter]);
                      flick_iiop_decode_end_chunk(4);
                    }
                  flick_iiop_decode_end_glob(416);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_end_glob(416);
                  flick_cdr_swap_decode_auto_string(_local_arg->foo_u.two, auto_flick_alloc, iiop);
                  break;
                }
              case 3:
                {
                  flick_iiop_decode_new_chunk(12);
                  flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.three.slot_1);
                  flick_cdr_swap_decode_signed32(4, _local_arg->foo_u.three.slot_2);
                  flick_cdr_swap_decode_signed32(8, _local_arg->foo_u.three.slot_3);
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(416);
                  break;
                }
              default:
                {
                  flick_sun_decode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
                  flick_iiop_decode_end_glob(416);
                  break;
                }
              }
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(412);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return->discriminator);
                  flick_iiop_encode_end_chunk(4);
                  switch (_return->discriminator)
                    {
                    case 1:
                      {
                        unsigned long int _t71_array_iter;

                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _return->foo_u.one.foo_u_len);
                        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                        for (_t71_array_iter = 0; _t71_array_iter < _return->foo_u.one.foo_u_len; _t71_array_iter++)
                          {
                            flick_iiop_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _return->foo_u.one.foo_u_val[_t71_array_iter]);
                            flick_iiop_encode_end_chunk(4);
                          }
#else /* Always bcopy */
                        flick_cdr_encode_bcopy(_return->foo_u.one.foo_u_val, sizeof(long) * _return->foo_u.one.foo_u_len, iiop);
#endif /* alway bcopy */
                        flick_iiop_encode_end_glob(412);
                        break;
                      }
                    case 2:
                      {
                        flick_iiop_encode_end_glob(412);
                        flick_cdr_encode_longstring(_return->foo_u.two, null_flick_free, iiop);
                        break;
                      }
                    case 3:
                      {
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_signed32(0, _return->foo_u.three.slot_1);
                        flick_cdr_encode_signed32(4, _return->foo_u.three.slot_2);
                        flick_cdr_encode_signed32(8, _return->foo_u.three.slot_3);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(412);
                        break;
                      }
                    default:
                      {
                        flick_sun_encode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(412);
                        break;
                      }
                    }
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  flick_iiop_encode_end_glob(412);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(412);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(416);
          break;
        }
      }
  }
  } else {
  {
    signed int _t27_switch_tag;

    flick_iiop_decode_new_glob(416);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t27_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t27_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct foo *_local_arg;
            struct svc_req *_obj;
            struct foo *_return = 0;
            unsigned int _t28_principal;
            struct foo _t29_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _t28_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t29_storage;
            flick_cdr_decode_signed32(4, _local_arg->discriminator);
            flick_iiop_decode_end_chunk(8);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  unsigned long int _t33_array_iter;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _local_arg->foo_u.one.foo_u_len);
                  _local_arg->foo_u.one.foo_u_val = auto_flick_alloc(_local_arg->foo_u.one.foo_u_len * sizeof(int ));
                  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
                  for (_t33_array_iter = 0; _t33_array_iter < _local_arg->foo_u.one.foo_u_len; _t33_array_iter++)
                    {
                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_signed32(0, _local_arg->foo_u.one.foo_u_val[_t33_array_iter]);
                      flick_iiop_decode_end_chunk(4);
                    }
#else
                  flick_cdr_decode_bcopy(_local_arg->foo_u.one.foo_u_val, sizeof(long) * _local_arg->foo_u.one.foo_u_len, iiop);
#endif
                  flick_iiop_decode_end_glob(416);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_end_glob(416);
                  flick_cdr_decode_auto_string(_local_arg->foo_u.two, auto_flick_alloc, iiop);
                  break;
                }
              case 3:
                {
                  flick_iiop_decode_new_chunk(12);
                  flick_cdr_decode_signed32(0, _local_arg->foo_u.three.slot_1);
                  flick_cdr_decode_signed32(4, _local_arg->foo_u.three.slot_2);
                  flick_cdr_decode_signed32(8, _local_arg->foo_u.three.slot_3);
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(416);
                  break;
                }
              default:
                {
                  flick_sun_decode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                  flick_iiop_decode_end_glob(416);
                  break;
                }
              }
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(412);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return->discriminator);
                  flick_iiop_encode_end_chunk(4);
                  switch (_return->discriminator)
                    {
                    case 1:
                      {
                        unsigned long int _t41_array_iter;

                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _return->foo_u.one.foo_u_len);
                        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                        for (_t41_array_iter = 0; _t41_array_iter < _return->foo_u.one.foo_u_len; _t41_array_iter++)
                          {
                            flick_iiop_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _return->foo_u.one.foo_u_val[_t41_array_iter]);
                            flick_iiop_encode_end_chunk(4);
                          }
#else /* Always bcopy */
                        flick_cdr_encode_bcopy(_return->foo_u.one.foo_u_val, sizeof(long) * _return->foo_u.one.foo_u_len, iiop);
#endif /* alway bcopy */
                        flick_iiop_encode_end_glob(412);
                        break;
                      }
                    case 2:
                      {
                        flick_iiop_encode_end_glob(412);
                        flick_cdr_encode_longstring(_return->foo_u.two, null_flick_free, iiop);
                        break;
                      }
                    case 3:
                      {
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_signed32(0, _return->foo_u.three.slot_1);
                        flick_cdr_encode_signed32(4, _return->foo_u.three.slot_2);
                        flick_cdr_encode_signed32(8, _return->foo_u.three.slot_3);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(412);
                        break;
                      }
                    default:
                      {
                        flick_sun_encode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(412);
                        break;
                      }
                    }
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  flick_iiop_encode_end_glob(412);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(412);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(416);
          break;
        }
      }
  }
  }
  return 0;
}
