#include "union-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &a_server, "a_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &a_server, "a_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Bar(flick_marshal_stream_t _stream, const struct Bar *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->b1);
  flick_cdr_encode_char8(4, _data->b2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(5);
}

void flick_unmarshal_stub_Bar(flick_marshal_stream_t _stream, struct Bar *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->b1);
  flick_cdr_decode_char8(4, _data->b2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_unmarshal_stub_Bar_swap(flick_marshal_stream_t _stream, struct Bar *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->b1);
  flick_cdr_swap_decode_char8(4, _data->b2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_iiop_encode_new_glob(9);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(5);
        flick_cdr_encode_signed32(0, _data->_u.y.b1);
        flick_cdr_encode_char8(4, _data->_u.y.b2);
        flick_iiop_encode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(9);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_iiop_decode_new_glob(9);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(5);
        flick_cdr_decode_signed32(0, _data->_u.y.b1);
        flick_cdr_decode_char8(4, _data->_u.y.b2);
        flick_iiop_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(9);
}

void flick_unmarshal_stub_Foo_swap(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_iiop_decode_new_glob(9);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(5);
        flick_cdr_swap_decode_signed32(0, _data->_u.y.b1);
        flick_cdr_swap_decode_char8(4, _data->_u.y.b2);
        flick_iiop_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(9);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_iiop_encode_new_glob(13);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->_d);
  flick_iiop_encode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->_u.x);
        flick_iiop_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->_u.y._d);
        flick_iiop_encode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->_u.y._u.x);
              flick_iiop_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_encode_new_chunk(5);
              flick_cdr_encode_signed32(0, _data->_u.y._u.y.b1);
              flick_cdr_encode_char8(4, _data->_u.y._u.y.b2);
              flick_iiop_encode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_encode_new_chunk(1);
              flick_cdr_encode_char8(0, _data->_u.y._u.z);
              flick_iiop_encode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_encode_end_glob(13);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_iiop_decode_new_glob(13);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->_d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->_u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->_u.y._d);
        flick_iiop_decode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_iiop_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _data->_u.y._u.x);
              flick_iiop_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_decode_new_chunk(5);
              flick_cdr_decode_signed32(0, _data->_u.y._u.y.b1);
              flick_cdr_decode_char8(4, _data->_u.y._u.y.b2);
              flick_iiop_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _data->_u.y._u.z);
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(13);
}

void flick_unmarshal_stub_Foo2_swap(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_iiop_decode_new_glob(13);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->_d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->_u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->_u.y._d);
        flick_iiop_decode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_iiop_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _data->_u.y._u.x);
              flick_iiop_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_decode_new_chunk(5);
              flick_cdr_swap_decode_signed32(0, _data->_u.y._u.y.b1);
              flick_cdr_swap_decode_char8(4, _data->_u.y._u.y.b2);
              flick_iiop_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _data->_u.y._u.z);
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(13);
}

void flick_marshal_stub_a_astruct(flick_marshal_stream_t _stream, const struct a_astruct *_data)
{
  flick_iiop_encode_new_glob(27);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->a1._d);
  flick_iiop_encode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->a1._u.x);
        flick_iiop_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->a1._u.y._d);
        flick_iiop_encode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->a1._u.y._u.x);
              flick_iiop_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_encode_new_chunk(5);
              flick_cdr_encode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_cdr_encode_char8(4, _data->a1._u.y._u.y.b2);
              flick_iiop_encode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_encode_new_chunk(1);
              flick_cdr_encode_char8(0, _data->a1._u.y._u.z);
              flick_iiop_encode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->a2._d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->a2._u.x);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(5);
        flick_cdr_encode_signed32(0, _data->a2._u.y.b1);
        flick_cdr_encode_char8(4, _data->a2._u.y.b2);
        flick_iiop_encode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->a2._u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->a3.b1);
  flick_cdr_encode_char8(4, _data->a3.b2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(27);
}

void flick_unmarshal_stub_a_astruct(flick_marshal_stream_t _stream, struct a_astruct *_data)
{
  flick_iiop_decode_new_glob(27);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->a1._d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->a1._u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->a1._u.y._d);
        flick_iiop_decode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_iiop_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _data->a1._u.y._u.x);
              flick_iiop_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_decode_new_chunk(5);
              flick_cdr_decode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_cdr_decode_char8(4, _data->a1._u.y._u.y.b2);
              flick_iiop_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _data->a1._u.y._u.z);
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->a2._d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->a2._u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(5);
        flick_cdr_decode_signed32(0, _data->a2._u.y.b1);
        flick_cdr_decode_char8(4, _data->a2._u.y.b2);
        flick_iiop_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->a2._u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->a3.b1);
  flick_cdr_decode_char8(4, _data->a3.b2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(27);
}

void flick_unmarshal_stub_a_astruct_swap(flick_marshal_stream_t _stream, struct a_astruct *_data)
{
  flick_iiop_decode_new_glob(27);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->a1._d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->a1._u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->a1._u.y._d);
        flick_iiop_decode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_iiop_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _data->a1._u.y._u.x);
              flick_iiop_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_decode_new_chunk(5);
              flick_cdr_swap_decode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_cdr_swap_decode_char8(4, _data->a1._u.y._u.y.b2);
              flick_iiop_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _data->a1._u.y._u.z);
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->a2._d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->a2._u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(5);
        flick_cdr_swap_decode_signed32(0, _data->a2._u.y.b1);
        flick_cdr_swap_decode_char8(4, _data->a2._u.y.b2);
        flick_iiop_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->a2._u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->a3.b1);
  flick_cdr_swap_decode_char8(4, _data->a3.b2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(27);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, a *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int a_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t24_switch_tag;

    flick_iiop_decode_new_glob(39);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t24_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t24_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t25_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t25_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t25_switch_tag)
            {
            case 'o':
              {
                char _t26_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t26_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t26_switch_tag)
                  {
                  case 'p':
                    {
                      char _t27_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t27_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t27_switch_tag)
                        {
                        case 'A':
                          {
                            char _t28_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t28_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t28_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    a _obj;
                                    struct a_astruct *_local_b;
                                    CORBA_Environment *_ev;
                                    struct Foo2 _return;
                                    CORBA_Environment _t29_storage;
                                    unsigned int _t30_principal;
                                    struct a_astruct _t31_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t29_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(0, _t30_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_b = &_t31_storage;
                                    flick_cdr_swap_decode_char8(4, _local_b->a1._d);
                                    flick_iiop_decode_end_chunk(5);
                                    switch (_local_b->a1._d)
                                      {
                                      case 'a':
                                        {
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_signed32(3, _local_b->a1._u.x);
                                          flick_iiop_decode_end_chunk(7);
                                          break;
                                        }
                                      case 'b':
                                        {
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_signed32(3, _local_b->a1._u.y._d);
                                          flick_iiop_decode_end_chunk(7);
                                          switch (_local_b->a1._u.y._d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_decode_new_chunk(4);
                                                flick_cdr_swap_decode_signed32(0, _local_b->a1._u.y._u.x);
                                                flick_iiop_decode_end_chunk(4);
                                                break;
                                              }
                                            case 2:
                                              {
                                                flick_iiop_decode_new_chunk(5);
                                                flick_cdr_swap_decode_signed32(0, _local_b->a1._u.y._u.y.b1);
                                                flick_cdr_swap_decode_char8(4, _local_b->a1._u.y._u.y.b2);
                                                flick_iiop_decode_end_chunk(5);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_decode_new_chunk(1);
                                                flick_cdr_swap_decode_char8(0, _local_b->a1._u.y._u.z);
                                                flick_iiop_decode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
                                          break;
                                        }
                                      }
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_swap_decode_signed32(0, _local_b->a2._d);
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_b->a2._d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_b->a2._u.x);
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                        }
                                      case 2:
                                        {
                                          flick_iiop_decode_new_chunk(5);
                                          flick_cdr_swap_decode_signed32(0, _local_b->a2._u.y.b1);
                                          flick_cdr_swap_decode_char8(4, _local_b->a2._u.y.b2);
                                          flick_iiop_decode_end_chunk(5);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _local_b->a2._u.z);
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                    flick_cdr_swap_decode_signed32(0, _local_b->a3.b1);
                                    flick_cdr_swap_decode_char8(4, _local_b->a3.b2);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(39);
                                    flick_corba_init_environment();
                                    _return = a_opA(_obj, _local_b, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(17);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return._d);
                                          flick_iiop_encode_end_chunk(1);
                                          switch (_return._d)
                                            {
                                            case 'a':
                                              {
                                                flick_iiop_encode_new_chunk(7);
                                                flick_cdr_encode_signed32(3, _return._u.x);
                                                flick_iiop_encode_end_chunk(7);
                                                break;
                                              }
                                            case 'b':
                                              {
                                                flick_iiop_encode_new_chunk(7);
                                                flick_cdr_encode_signed32(3, _return._u.y._d);
                                                flick_iiop_encode_end_chunk(7);
                                                switch (_return._u.y._d)
                                                  {
                                                  case 1:
                                                    {
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _return._u.y._u.x);
                                                      flick_iiop_encode_end_chunk(4);
                                                      break;
                                                    }
                                                  case 2:
                                                    {
                                                      flick_iiop_encode_new_chunk(5);
                                                      flick_cdr_encode_signed32(0, _return._u.y._u.y.b1);
                                                      flick_cdr_encode_char8(4, _return._u.y._u.y.b2);
                                                      flick_iiop_encode_end_chunk(5);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_iiop_encode_new_chunk(1);
                                                      flick_cdr_encode_char8(0, _return._u.y._u.z);
                                                      flick_iiop_encode_end_chunk(1);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(17);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(39);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(39);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(39);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(39);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(39);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t8_switch_tag;

    flick_iiop_decode_new_glob(39);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t8_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t8_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t9_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t9_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t9_switch_tag)
            {
            case 'o':
              {
                char _t10_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t10_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t10_switch_tag)
                  {
                  case 'p':
                    {
                      char _t11_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t11_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t11_switch_tag)
                        {
                        case 'A':
                          {
                            char _t12_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t12_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t12_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    a _obj;
                                    struct a_astruct *_local_b;
                                    CORBA_Environment *_ev;
                                    struct Foo2 _return;
                                    CORBA_Environment _t13_storage;
                                    unsigned int _t14_principal;
                                    struct a_astruct _t15_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t13_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(0, _t14_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_b = &_t15_storage;
                                    flick_cdr_decode_char8(4, _local_b->a1._d);
                                    flick_iiop_decode_end_chunk(5);
                                    switch (_local_b->a1._d)
                                      {
                                      case 'a':
                                        {
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_signed32(3, _local_b->a1._u.x);
                                          flick_iiop_decode_end_chunk(7);
                                          break;
                                        }
                                      case 'b':
                                        {
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_signed32(3, _local_b->a1._u.y._d);
                                          flick_iiop_decode_end_chunk(7);
                                          switch (_local_b->a1._u.y._d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_decode_new_chunk(4);
                                                flick_cdr_decode_signed32(0, _local_b->a1._u.y._u.x);
                                                flick_iiop_decode_end_chunk(4);
                                                break;
                                              }
                                            case 2:
                                              {
                                                flick_iiop_decode_new_chunk(5);
                                                flick_cdr_decode_signed32(0, _local_b->a1._u.y._u.y.b1);
                                                flick_cdr_decode_char8(4, _local_b->a1._u.y._u.y.b2);
                                                flick_iiop_decode_end_chunk(5);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_decode_new_chunk(1);
                                                flick_cdr_decode_char8(0, _local_b->a1._u.y._u.z);
                                                flick_iiop_decode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                                          break;
                                        }
                                      }
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_decode_signed32(0, _local_b->a2._d);
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_b->a2._d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, _local_b->a2._u.x);
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                        }
                                      case 2:
                                        {
                                          flick_iiop_decode_new_chunk(5);
                                          flick_cdr_decode_signed32(0, _local_b->a2._u.y.b1);
                                          flick_cdr_decode_char8(4, _local_b->a2._u.y.b2);
                                          flick_iiop_decode_end_chunk(5);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _local_b->a2._u.z);
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                    flick_cdr_decode_signed32(0, _local_b->a3.b1);
                                    flick_cdr_decode_char8(4, _local_b->a3.b2);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(39);
                                    flick_corba_init_environment();
                                    _return = a_opA(_obj, _local_b, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(17);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return._d);
                                          flick_iiop_encode_end_chunk(1);
                                          switch (_return._d)
                                            {
                                            case 'a':
                                              {
                                                flick_iiop_encode_new_chunk(7);
                                                flick_cdr_encode_signed32(3, _return._u.x);
                                                flick_iiop_encode_end_chunk(7);
                                                break;
                                              }
                                            case 'b':
                                              {
                                                flick_iiop_encode_new_chunk(7);
                                                flick_cdr_encode_signed32(3, _return._u.y._d);
                                                flick_iiop_encode_end_chunk(7);
                                                switch (_return._u.y._d)
                                                  {
                                                  case 1:
                                                    {
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _return._u.y._u.x);
                                                      flick_iiop_encode_end_chunk(4);
                                                      break;
                                                    }
                                                  case 2:
                                                    {
                                                      flick_iiop_encode_new_chunk(5);
                                                      flick_cdr_encode_signed32(0, _return._u.y._u.y.b1);
                                                      flick_cdr_encode_char8(4, _return._u.y._u.y.b2);
                                                      flick_iiop_encode_end_chunk(5);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_iiop_encode_new_chunk(1);
                                                      flick_cdr_encode_char8(0, _return._u.y._u.z);
                                                      flick_iiop_encode_end_chunk(1);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(17);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(39);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(39);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(39);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(39);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(39);
          break;
        }
      }
  }
  }
  return 0;
}
