#include "program-6-client.h"

void flick_marshal_stub_sa(flick_marshal_stream_t _stream, const struct sa *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->a);
  flick_mach3mig_encode_signed32(8, _data->b);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_sa(flick_marshal_stream_t _stream, struct sa *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->a);
  flick_mach3mig_decode_signed32(8, _data->b);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_sb(flick_marshal_stream_t _stream, const struct sb *_data)
{
  flick_mach3mig_encode_new_glob(32);
  flick_mach3mig_encode_new_chunk(32);
  flick_mach3mig_encode_signed32(0, _data->a.a);
  flick_mach3mig_encode_signed32(8, _data->a.b);
  flick_mach3mig_encode_signed32(16, _data->b.a);
  flick_mach3mig_encode_signed32(24, _data->b.b);
  flick_mach3mig_encode_end_chunk(32);
  flick_mach3mig_encode_end_glob(32);
}

void flick_unmarshal_stub_sb(flick_marshal_stream_t _stream, struct sb *_data)
{
  flick_mach3mig_decode_new_glob(32);
  flick_mach3mig_decode_new_chunk(32);
  flick_mach3mig_decode_signed32(0, _data->a.a);
  flick_mach3mig_decode_signed32(8, _data->a.b);
  flick_mach3mig_decode_signed32(16, _data->b.a);
  flick_mach3mig_decode_signed32(24, _data->b.b);
  flick_mach3mig_decode_end_chunk(32);
  flick_mach3mig_decode_end_glob(32);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  unsigned long int _t1_array_iter;

  flick_mach3mig_encode_new_glob(20);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->long_list_len);
  flick_mach3mig_array_encode_signed32_type(8, _data->long_list_len * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
  flick_mach3mig_array_encode_end_glob(20);
  flick_mach3mig_array_encode_new_glob(4 * _data->long_list_len);
#if 0 /* We don't need to ever to bit translation */
  for (_t1_array_iter = 0; _t1_array_iter < _data->long_list_len; _t1_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, _data->long_list_val[_t1_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->long_list_val, sizeof(long) * _data->long_list_len, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_array_encode_end_glob(4 * _data->long_list_len);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  unsigned long int _t3_array_iter;

  flick_mach3mig_decode_new_glob(20);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_mach3mig_array_decode_signed32_type(8, _data->long_list_len, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
  flick_mach3mig_array_decode_end_glob(20);
  flick_mach3mig_array_decode_new_glob(4 * _data->long_list_len);
#if 0 /* We don't need to ever to bit translation */
  for (_t3_array_iter = 0; _t3_array_iter < _data->long_list_len; _t3_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, _data->long_list_val[_t3_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->long_list_val, sizeof(long) * _data->long_list_len, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_array_decode_end_glob(4 * _data->long_list_len);
}

void flick_marshal_stub_sb_list(flick_marshal_stream_t _stream, const sb_list *_data)
{
  unsigned long int _t5_array_iter;

  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, _data->sb_list_len);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  flick_mach3mig_encode_new_glob(32 * _data->sb_list_len);
  for (_t5_array_iter = 0; _t5_array_iter < _data->sb_list_len; _t5_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(32);
      flick_mach3mig_encode_signed32(0, _data->sb_list_val[_t5_array_iter].a.a);
      flick_mach3mig_encode_signed32(8, _data->sb_list_val[_t5_array_iter].a.b);
      flick_mach3mig_encode_signed32(16, _data->sb_list_val[_t5_array_iter].b.a);
      flick_mach3mig_encode_signed32(24, _data->sb_list_val[_t5_array_iter].b.b);
      flick_mach3mig_encode_end_chunk(32);
    }
  flick_mach3mig_encode_end_glob(32 * _data->sb_list_len);
}

void flick_unmarshal_stub_sb_list(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned long int _t7_array_iter;

  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, _data->sb_list_len);
  _data->sb_list_val = sun_flick_alloc(_data->sb_list_len * sizeof(struct sb ));
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  flick_mach3mig_decode_new_glob(32 * _data->sb_list_len);
  for (_t7_array_iter = 0; _t7_array_iter < _data->sb_list_len; _t7_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(32);
      flick_mach3mig_decode_signed32(0, _data->sb_list_val[_t7_array_iter].a.a);
      flick_mach3mig_decode_signed32(8, _data->sb_list_val[_t7_array_iter].a.b);
      flick_mach3mig_decode_signed32(16, _data->sb_list_val[_t7_array_iter].b.a);
      flick_mach3mig_decode_signed32(24, _data->sb_list_val[_t7_array_iter].b.b);
      flick_mach3mig_decode_end_chunk(32);
    }
  flick_mach3mig_decode_end_glob(32 * _data->sb_list_len);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *long_test_50(long_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t11_array_iter;

    _stream->msg_buf->Head.msgh_id = 7;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_glob(20);
    flick_mach3mig_encode_new_chunk(20);
    flick_mach3mig_encode_unsigned32(0, arg->long_list_len);
    flick_mach3mig_array_encode_signed32_type(8, arg->long_list_len * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(20);
    flick_mach3mig_array_encode_end_glob(20);
    flick_mach3mig_array_encode_new_glob(4 * arg->long_list_len);
#if 0 /* We don't need to ever to bit translation */
    for (_t11_array_iter = 0; _t11_array_iter < arg->long_list_len; _t11_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, arg->long_list_val[_t11_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(arg->long_list_val, sizeof(long) * arg->long_list_len, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_array_encode_end_glob(4 * arg->long_list_len);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t15_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t15_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t15_switch_tag)
      {
      case (signed int) 1031:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t17_storage;

                _return = &_t17_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *sb_test_50(sb_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t21_array_iter;

    _stream->msg_buf->Head.msgh_id = 8;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_glob(8);
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_unsigned32(0, arg->sb_list_len);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
    flick_mach3mig_encode_new_glob(32 * arg->sb_list_len);
    for (_t21_array_iter = 0; _t21_array_iter < arg->sb_list_len; _t21_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(32);
        flick_mach3mig_encode_signed32(0, arg->sb_list_val[_t21_array_iter].a.a);
        flick_mach3mig_encode_signed32(8, arg->sb_list_val[_t21_array_iter].a.b);
        flick_mach3mig_encode_signed32(16, arg->sb_list_val[_t21_array_iter].b.a);
        flick_mach3mig_encode_signed32(24, arg->sb_list_val[_t21_array_iter].b.b);
        flick_mach3mig_encode_end_chunk(32);
      }
    flick_mach3mig_encode_end_glob(32 * arg->sb_list_len);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t25_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t25_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t25_switch_tag)
      {
      case (signed int) 1032:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t27_storage;

                _return = &_t27_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

