#include "IIOP-server.h"

void flick_marshal_stub_Version(flick_marshal_stream_t _stream, const struct Version *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_char8(0, _data->major);
  flick_xdr_encode_char8(4, _data->minor);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_Version(flick_marshal_stream_t _stream, struct Version *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_char8(0, _data->major);
  flick_xdr_decode_char8(4, _data->minor);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, const IOP_ServiceID *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, IOP_ServiceID *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, const struct IOP_ServiceContext *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned32(0, _data->context_id);
  flick_xdr_encode_unsigned32(4, _data->context_data._length);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  flick_suntcp_encode_new_glob(4 * _data->context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < _data->context_data._length; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->context_data._buffer[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->context_data._buffer, sizeof(char) * _data->context_data._length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->context_data._length);
  CORBA_flick_free(_data->context_data._buffer);
}

void flick_unmarshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, struct IOP_ServiceContext *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned32(0, _data->context_id);
  flick_xdr_decode_unsigned32(4, _data->context_data._length);
  _data->context_data._buffer = CORBA_flick_alloc(_data->context_data._length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  flick_suntcp_decode_new_glob(4 * _data->context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < _data->context_data._length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->context_data._buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->context_data._buffer, sizeof(char) * _data->context_data._length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->context_data._length);
}

void flick_marshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, const IOP_ServiceContextList *_data)
{
  unsigned long int _t9_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      unsigned long int _t13_array_iter;

      flick_suntcp_encode_new_glob(8);
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_unsigned32(0, _data->_buffer[_t9_array_iter].context_id);
      flick_xdr_encode_unsigned32(4, _data->_buffer[_t9_array_iter].context_data._length);
      flick_suntcp_encode_end_chunk(8);
      flick_suntcp_encode_end_glob(8);
      flick_suntcp_encode_new_glob(4 * _data->_buffer[_t9_array_iter].context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t13_array_iter = 0; _t13_array_iter < _data->_buffer[_t9_array_iter].context_data._length; _t13_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_unsigned8(0, _data->_buffer[_t9_array_iter].context_data._buffer[_t13_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->_buffer[_t9_array_iter].context_data._buffer, sizeof(char) * _data->_buffer[_t9_array_iter].context_data._length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_encode_end_glob(4 * _data->_buffer[_t9_array_iter].context_data._length);
      CORBA_flick_free(_data->_buffer[_t9_array_iter].context_data._buffer);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, IOP_ServiceContextList *_data)
{
  unsigned long int _t19_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct IOP_ServiceContext ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t19_array_iter = 0; _t19_array_iter < _data->_length; _t19_array_iter++)
    {
      unsigned long int _t23_array_iter;

      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_unsigned32(0, _data->_buffer[_t19_array_iter].context_id);
      flick_xdr_decode_unsigned32(4, _data->_buffer[_t19_array_iter].context_data._length);
      _data->_buffer[_t19_array_iter].context_data._buffer = CORBA_flick_alloc(_data->_buffer[_t19_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_suntcp_decode_end_chunk(8);
      flick_suntcp_decode_end_glob(8);
      flick_suntcp_decode_new_glob(4 * _data->_buffer[_t19_array_iter].context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t23_array_iter = 0; _t23_array_iter < _data->_buffer[_t19_array_iter].context_data._length; _t23_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_unsigned8(0, _data->_buffer[_t19_array_iter].context_data._buffer[_t23_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->_buffer[_t19_array_iter].context_data._buffer, sizeof(char) * _data->_buffer[_t19_array_iter].context_data._length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_decode_end_glob(4 * _data->_buffer[_t19_array_iter].context_data._length);
    }
}

void flick_marshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, const GIOP_Principal *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, GIOP_Principal *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, const GIOP_MsgType *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, GIOP_MsgType *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, const struct GIOP_MessageHeader *_data)
{
  flick_unsigned8_t _t24_array_length;
  flick_unsigned8_t _t26_array_iter;

  _t24_array_length = 4;
  flick_suntcp_encode_new_glob(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->magic[_t26_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->magic, sizeof(char) * _t24_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk_align(20, 2, 0, 0);
  flick_xdr_encode_char8(0, _data->GIOP_version.major);
  flick_xdr_encode_char8(4, _data->GIOP_version.minor);
  flick_xdr_encode_unsigned8(8, _data->byte_order);
  flick_xdr_encode_unsigned8(12, _data->message_type);
  flick_xdr_encode_unsigned32(16, _data->message_size);
  flick_suntcp_encode_end_chunk(20);
  flick_suntcp_encode_end_glob(24);
}

void flick_unmarshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, struct GIOP_MessageHeader *_data)
{
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t29_array_iter;

  _t27_array_length = 4;
  flick_suntcp_decode_new_glob(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->magic[_t29_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->magic, sizeof(char) * _t27_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk_align(20, 2, 0, 0);
  flick_xdr_decode_char8(0, _data->GIOP_version.major);
  flick_xdr_decode_char8(4, _data->GIOP_version.minor);
  flick_xdr_decode_unsigned8(8, _data->byte_order);
  flick_xdr_decode_unsigned8(12, _data->message_type);
  flick_xdr_decode_unsigned32(16, _data->message_size);
  flick_suntcp_decode_end_chunk(20);
  flick_suntcp_decode_end_glob(24);
}

void flick_marshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, const struct GIOP_RequestHeader *_data)
{
  unsigned long int _t35_array_iter;
  unsigned long int _t41_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->service_context._length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t35_array_iter = 0; _t35_array_iter < _data->service_context._length; _t35_array_iter++)
    {
      unsigned long int _t39_array_iter;

      flick_suntcp_encode_new_glob(8);
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_unsigned32(0, _data->service_context._buffer[_t35_array_iter].context_id);
      flick_xdr_encode_unsigned32(4, _data->service_context._buffer[_t35_array_iter].context_data._length);
      flick_suntcp_encode_end_chunk(8);
      flick_suntcp_encode_end_glob(8);
      flick_suntcp_encode_new_glob(4 * _data->service_context._buffer[_t35_array_iter].context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t39_array_iter = 0; _t39_array_iter < _data->service_context._buffer[_t35_array_iter].context_data._length; _t39_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_unsigned8(0, _data->service_context._buffer[_t35_array_iter].context_data._buffer[_t39_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->service_context._buffer[_t35_array_iter].context_data._buffer, sizeof(char) * _data->service_context._buffer[_t35_array_iter].context_data._length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_encode_end_glob(4 * _data->service_context._buffer[_t35_array_iter].context_data._length);
      CORBA_flick_free(_data->service_context._buffer[_t35_array_iter].context_data._buffer);
    }
  CORBA_flick_free(_data->service_context._buffer);
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_unsigned32(0, _data->request_id);
  flick_xdr_encode_unsigned8(4, _data->response_expected);
  flick_xdr_encode_unsigned32(8, _data->object_key._length);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
  flick_suntcp_encode_new_glob(4 * _data->object_key._length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t41_array_iter = 0; _t41_array_iter < _data->object_key._length; _t41_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->object_key._buffer[_t41_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->object_key._buffer, sizeof(char) * _data->object_key._length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->object_key._length);
  CORBA_flick_free(_data->object_key._buffer);
  flick_xdr_encode_longstring(_data->operation, CORBA_flick_free, suntcp);
  (_stream, &_data->requesting_principal);
}

void flick_unmarshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, struct GIOP_RequestHeader *_data)
{
  unsigned long int _t47_array_iter;
  unsigned long int _t53_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->service_context._length);
  _data->service_context._buffer = CORBA_flick_alloc(_data->service_context._length * sizeof(struct IOP_ServiceContext ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t47_array_iter = 0; _t47_array_iter < _data->service_context._length; _t47_array_iter++)
    {
      unsigned long int _t51_array_iter;

      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_unsigned32(0, _data->service_context._buffer[_t47_array_iter].context_id);
      flick_xdr_decode_unsigned32(4, _data->service_context._buffer[_t47_array_iter].context_data._length);
      _data->service_context._buffer[_t47_array_iter].context_data._buffer = CORBA_flick_alloc(_data->service_context._buffer[_t47_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_suntcp_decode_end_chunk(8);
      flick_suntcp_decode_end_glob(8);
      flick_suntcp_decode_new_glob(4 * _data->service_context._buffer[_t47_array_iter].context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t51_array_iter = 0; _t51_array_iter < _data->service_context._buffer[_t47_array_iter].context_data._length; _t51_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_unsigned8(0, _data->service_context._buffer[_t47_array_iter].context_data._buffer[_t51_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->service_context._buffer[_t47_array_iter].context_data._buffer, sizeof(char) * _data->service_context._buffer[_t47_array_iter].context_data._length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_decode_end_glob(4 * _data->service_context._buffer[_t47_array_iter].context_data._length);
    }
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_unsigned32(0, _data->request_id);
  flick_xdr_decode_unsigned8(4, _data->response_expected);
  flick_xdr_decode_unsigned32(8, _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
  flick_suntcp_decode_new_glob(4 * _data->object_key._length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t53_array_iter = 0; _t53_array_iter < _data->object_key._length; _t53_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->object_key._buffer[_t53_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->object_key._buffer, sizeof(char) * _data->object_key._length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->object_key._length);
  flick_xdr_decode_longstring(_data->operation, CORBA_flick_alloc, suntcp);
  (_stream, &_data->requesting_principal);
}

void flick_marshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, const GIOP_ReplyStatusType *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, GIOP_ReplyStatusType *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_ReplyHeader *_data)
{
  unsigned long int _t59_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->server_context._length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t59_array_iter = 0; _t59_array_iter < _data->server_context._length; _t59_array_iter++)
    {
      unsigned long int _t63_array_iter;

      flick_suntcp_encode_new_glob(8);
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_unsigned32(0, _data->server_context._buffer[_t59_array_iter].context_id);
      flick_xdr_encode_unsigned32(4, _data->server_context._buffer[_t59_array_iter].context_data._length);
      flick_suntcp_encode_end_chunk(8);
      flick_suntcp_encode_end_glob(8);
      flick_suntcp_encode_new_glob(4 * _data->server_context._buffer[_t59_array_iter].context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t63_array_iter = 0; _t63_array_iter < _data->server_context._buffer[_t59_array_iter].context_data._length; _t63_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_unsigned8(0, _data->server_context._buffer[_t59_array_iter].context_data._buffer[_t63_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->server_context._buffer[_t59_array_iter].context_data._buffer, sizeof(char) * _data->server_context._buffer[_t59_array_iter].context_data._length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_encode_end_glob(4 * _data->server_context._buffer[_t59_array_iter].context_data._length);
      CORBA_flick_free(_data->server_context._buffer[_t59_array_iter].context_data._buffer);
    }
  CORBA_flick_free(_data->server_context._buffer);
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned32(0, _data->request_id);
  flick_xdr_encode_unsigned32(4, _data->reply_status);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, struct GIOP_ReplyHeader *_data)
{
  unsigned long int _t69_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->server_context._length);
  _data->server_context._buffer = CORBA_flick_alloc(_data->server_context._length * sizeof(struct IOP_ServiceContext ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t69_array_iter = 0; _t69_array_iter < _data->server_context._length; _t69_array_iter++)
    {
      unsigned long int _t73_array_iter;

      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_unsigned32(0, _data->server_context._buffer[_t69_array_iter].context_id);
      flick_xdr_decode_unsigned32(4, _data->server_context._buffer[_t69_array_iter].context_data._length);
      _data->server_context._buffer[_t69_array_iter].context_data._buffer = CORBA_flick_alloc(_data->server_context._buffer[_t69_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_suntcp_decode_end_chunk(8);
      flick_suntcp_decode_end_glob(8);
      flick_suntcp_decode_new_glob(4 * _data->server_context._buffer[_t69_array_iter].context_data._length);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t73_array_iter = 0; _t73_array_iter < _data->server_context._buffer[_t69_array_iter].context_data._length; _t73_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_unsigned8(0, _data->server_context._buffer[_t69_array_iter].context_data._buffer[_t73_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->server_context._buffer[_t69_array_iter].context_data._buffer, sizeof(char) * _data->server_context._buffer[_t69_array_iter].context_data._length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_decode_end_glob(4 * _data->server_context._buffer[_t69_array_iter].context_data._length);
    }
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned32(0, _data->request_id);
  flick_xdr_decode_unsigned32(4, _data->reply_status);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_CancelRequestHeader *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->request_id);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, struct GIOP_CancelRequestHeader *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->request_id);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateRequestHeader *_data)
{
  unsigned long int _t75_array_iter;

  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned32(0, _data->request_id);
  flick_xdr_encode_unsigned32(4, _data->object_key._length);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  flick_suntcp_encode_new_glob(4 * _data->object_key._length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t75_array_iter = 0; _t75_array_iter < _data->object_key._length; _t75_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->object_key._buffer[_t75_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->object_key._buffer, sizeof(char) * _data->object_key._length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->object_key._length);
  CORBA_flick_free(_data->object_key._buffer);
}

void flick_unmarshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, struct GIOP_LocateRequestHeader *_data)
{
  unsigned long int _t77_array_iter;

  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned32(0, _data->request_id);
  flick_xdr_decode_unsigned32(4, _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  flick_suntcp_decode_new_glob(4 * _data->object_key._length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t77_array_iter = 0; _t77_array_iter < _data->object_key._length; _t77_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->object_key._buffer[_t77_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->object_key._buffer, sizeof(char) * _data->object_key._length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->object_key._length);
}

void flick_marshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, const GIOP_LocateStatusType *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, GIOP_LocateStatusType *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateReplyHeader *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned32(0, _data->request_id);
  flick_xdr_encode_unsigned32(4, _data->locate_status);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, struct GIOP_LocateReplyHeader *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned32(0, _data->request_id);
  flick_xdr_decode_unsigned32(4, _data->locate_status);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, const struct IIOP_ProfileBody *_data)
{
  unsigned long int _t79_array_iter;

  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_char8(0, _data->iiop_version.major);
  flick_xdr_encode_char8(4, _data->iiop_version.minor);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  flick_xdr_encode_longstring(_data->host, CORBA_flick_free, suntcp);
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk_align(8, 2, 0, 0);
  flick_xdr_encode_unsigned16(0, _data->port);
  flick_xdr_encode_unsigned32(4, _data->object_key._length);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  flick_suntcp_encode_new_glob(4 * _data->object_key._length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t79_array_iter = 0; _t79_array_iter < _data->object_key._length; _t79_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->object_key._buffer[_t79_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->object_key._buffer, sizeof(char) * _data->object_key._length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->object_key._length);
  CORBA_flick_free(_data->object_key._buffer);
}

void flick_unmarshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, struct IIOP_ProfileBody *_data)
{
  unsigned long int _t81_array_iter;

  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_char8(0, _data->iiop_version.major);
  flick_xdr_decode_char8(4, _data->iiop_version.minor);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  flick_xdr_decode_longstring(_data->host, CORBA_flick_alloc, suntcp);
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk_align(8, 2, 0, 0);
  flick_xdr_decode_unsigned16(0, _data->port);
  flick_xdr_decode_unsigned32(4, _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  flick_suntcp_decode_new_glob(4 * _data->object_key._length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t81_array_iter = 0; _t81_array_iter < _data->object_key._length; _t81_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->object_key._buffer[_t81_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->object_key._buffer, sizeof(char) * _data->object_key._length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->object_key._length);
}

