#include "arrays-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_arrays;
	s.vers_num = _VERS_arrays;

	assert(flick_server_register(s, &arrays_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->elem1);
  flick_xdr_encode_char8(4, _data->elem2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->elem1);
  flick_xdr_decode_char8(4, _data->elem2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_char8(0, _data->elem1);
  flick_xdr_encode_signed32(4, _data->elem2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_char8(0, _data->elem1);
  flick_xdr_decode_signed32(4, _data->elem2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  flick_suntcp_encode_new_glob(212);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  _t0_array_length = 50;
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->data, sizeof(long) * _t0_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(212);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  flick_suntcp_decode_new_glob(212);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  _t3_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->data, sizeof(long) * _t3_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(212);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  flick_suntcp_encode_new_glob(212);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  _t6_array_length = 50;
  flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t8_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->data, sizeof(long) * _t6_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(212);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_suntcp_decode_new_glob(212);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  _t9_array_length = 50;
  flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t11_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->data, sizeof(long) * _t9_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(212);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;

  flick_suntcp_encode_new_glob(208);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  _t12_array_length = 50;
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t14_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->data, sizeof(long) * _t12_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(208);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;

  flick_suntcp_decode_new_glob(208);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  _t15_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t17_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->data, sizeof(long) * _t15_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(208);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  _t18_array_length = 50;
  flick_suntcp_encode_end_chunk(4);
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t20_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t20_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  _t21_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t23_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t23_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t24_array_length;
  flick_unsigned8_t _t26_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  _t24_array_length = 50;
  flick_suntcp_encode_end_chunk(8);
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t26_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t26_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t29_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  _t27_array_length = 50;
  flick_suntcp_decode_end_chunk(8);
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t29_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t29_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t30_array_length;
  flick_unsigned8_t _t32_array_iter;

  flick_suntcp_encode_new_glob(408);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  _t30_array_length = 50;
  flick_suntcp_encode_end_chunk(4);
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t32_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t32_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(408);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t33_array_length;
  flick_unsigned8_t _t35_array_iter;

  flick_suntcp_decode_new_glob(408);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  _t33_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t35_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t35_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(408);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t36_array_length;
  flick_unsigned8_t _t38_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  _t36_array_length = 50;
  flick_suntcp_encode_end_chunk(4);
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t38_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t38_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t39_array_length;
  flick_unsigned8_t _t41_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  _t39_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t41_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t41_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t42_array_length;
  flick_unsigned8_t _t44_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  _t42_array_length = 50;
  flick_suntcp_encode_end_chunk(8);
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t44_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t44_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t45_array_length;
  flick_unsigned8_t _t47_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  _t45_array_length = 50;
  flick_suntcp_decode_end_chunk(8);
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t47_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t47_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t48_array_length;
  flick_unsigned8_t _t50_array_iter;

  flick_suntcp_encode_new_glob(408);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  _t48_array_length = 50;
  flick_suntcp_encode_end_chunk(4);
  for (_t50_array_iter = 0; _t50_array_iter < _t48_array_length; _t50_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t50_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t50_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(408);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t51_array_length;
  flick_unsigned8_t _t53_array_iter;

  flick_suntcp_decode_new_glob(408);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  _t51_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
  for (_t53_array_iter = 0; _t53_array_iter < _t51_array_length; _t53_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t53_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t53_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(408);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t358_switch_tag;

    flick_suntcp_decode_new_glob(884);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t358_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t358_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t359_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t359_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t359_switch_tag)
            {
            case 't':
              {
                char _t360_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t360_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t360_switch_tag)
                  {
                  case 'e':
                    {
                      char _t361_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t361_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t361_switch_tag)
                        {
                        case 's':
                          {
                            char _t362_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t362_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t362_switch_tag)
                              {
                              case 't':
                                {
                                  char _t363_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t363_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t363_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t364_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t364_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t364_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t365_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t365_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t365_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t366_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t366_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t366_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t367_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t367_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t367_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct cLd *_local_inp;
                                                                  struct cLd *_local_iop;
                                                                  struct cLd *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct cLd _return;
                                                                  struct cLd _t368_storage;
                                                                  CORBA_Environment _t369_storage;
                                                                  unsigned int _t370_ignore;
                                                                  struct cLd _t371_storage;
                                                                  flick_unsigned8_t _t372_array_length;
                                                                  flick_unsigned8_t _t374_array_iter;
                                                                  struct cLd _t375_storage;
                                                                  flick_unsigned8_t _t376_array_length;
                                                                  flick_unsigned8_t _t378_array_iter;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _local_outp = &_t368_storage;
                                                                  _ev = &_t369_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t370_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t370_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t370_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t370_ignore);
                                                                  _local_inp = &_t371_storage;
                                                                  flick_xdr_decode_char8(16, _local_inp->first);
                                                                  _t372_array_length = 50;
                                                                  flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t374_array_iter = 0; _t374_array_iter < _t372_array_length; _t374_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_inp->data[_t374_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_xdr_decode_bcopy(_local_inp->data, sizeof(long) * _t372_array_length, suntcp);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(12);
                                                                  flick_xdr_decode_float64(0, _local_inp->last);
                                                                  _local_iop = &_t375_storage;
                                                                  flick_xdr_decode_char8(8, _local_iop->first);
                                                                  _t376_array_length = 50;
                                                                  flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t378_array_iter = 0; _t378_array_iter < _t376_array_length; _t378_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_iop->data[_t378_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_xdr_decode_bcopy(_local_iop->data, sizeof(long) * _t376_array_length, suntcp);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(8);
                                                                  flick_xdr_decode_float64(0, _local_iop->last);
                                                                  flick_suntcp_decode_end_chunk(8);
                                                                  flick_suntcp_decode_end_glob(884);
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(640);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_unsigned8_t _t388_array_length;
                                                                        flick_unsigned8_t _t390_array_iter;
                                                                        flick_unsigned8_t _t391_array_length;
                                                                        flick_unsigned8_t _t393_array_iter;
                                                                        flick_unsigned8_t _t394_array_length;
                                                                        flick_unsigned8_t _t396_array_iter;

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_char8(0, _local_iop->first);
                                                                        _t388_array_length = 50;
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t390_array_iter = 0; _t390_array_iter < _t388_array_length; _t390_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_iop->data[_t390_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_local_iop->data, sizeof(long) * _t388_array_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(12);
                                                                        flick_xdr_encode_float64(0, _local_iop->last);
                                                                        flick_xdr_encode_char8(8, _local_outp->first);
                                                                        _t391_array_length = 50;
                                                                        flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t393_array_iter = 0; _t393_array_iter < _t391_array_length; _t393_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_outp->data[_t393_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_local_outp->data, sizeof(long) * _t391_array_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(12);
                                                                        flick_xdr_encode_float64(0, _local_outp->last);
                                                                        flick_xdr_encode_char8(8, _return.first);
                                                                        _t394_array_length = 50;
                                                                        flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t396_array_iter = 0; _t396_array_iter < _t394_array_length; _t396_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _return.data[_t396_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_return.data, sizeof(long) * _t394_array_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(8);
                                                                        flick_xdr_encode_float64(0, _return.last);
                                                                        flick_suntcp_encode_end_chunk(8);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(640);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t397_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t397_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t397_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t398_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t398_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t398_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t399_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t399_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t399_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct dLc *_local_inp;
                                                                  struct dLc *_local_iop;
                                                                  struct dLc *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct dLc _return;
                                                                  struct dLc _t400_storage;
                                                                  CORBA_Environment _t401_storage;
                                                                  unsigned int _t402_ignore;
                                                                  struct dLc _t403_storage;
                                                                  flick_unsigned8_t _t404_array_length;
                                                                  flick_unsigned8_t _t406_array_iter;
                                                                  struct dLc _t407_storage;
                                                                  flick_unsigned8_t _t408_array_length;
                                                                  flick_unsigned8_t _t410_array_iter;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _local_outp = &_t400_storage;
                                                                  _ev = &_t401_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(24);
                                                                  flick_xdr_decode_unsigned32(0, _t402_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t402_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t402_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t402_ignore);
                                                                  _local_inp = &_t403_storage;
                                                                  flick_xdr_decode_float64(16, _local_inp->first);
                                                                  _t404_array_length = 50;
                                                                  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t406_array_iter = 0; _t406_array_iter < _t404_array_length; _t406_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_inp->data[_t406_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_xdr_decode_bcopy(_local_inp->data, sizeof(long) * _t404_array_length, suntcp);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(12);
                                                                  flick_xdr_decode_char8(0, _local_inp->last);
                                                                  _local_iop = &_t407_storage;
                                                                  flick_xdr_decode_float64(4, _local_iop->first);
                                                                  _t408_array_length = 50;
                                                                  flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t410_array_iter = 0; _t410_array_iter < _t408_array_length; _t410_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_iop->data[_t410_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_xdr_decode_bcopy(_local_iop->data, sizeof(long) * _t408_array_length, suntcp);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _local_iop->last);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  flick_suntcp_decode_end_glob(884);
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(640);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_unsigned8_t _t420_array_length;
                                                                        flick_unsigned8_t _t422_array_iter;
                                                                        flick_unsigned8_t _t423_array_length;
                                                                        flick_unsigned8_t _t425_array_iter;
                                                                        flick_unsigned8_t _t426_array_length;
                                                                        flick_unsigned8_t _t428_array_iter;

                                                                        flick_suntcp_encode_new_chunk(8);
                                                                        flick_xdr_encode_float64(0, _local_iop->first);
                                                                        _t420_array_length = 50;
                                                                        flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t422_array_iter = 0; _t422_array_iter < _t420_array_length; _t422_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_iop->data[_t422_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_local_iop->data, sizeof(long) * _t420_array_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(12);
                                                                        flick_xdr_encode_char8(0, _local_iop->last);
                                                                        flick_xdr_encode_float64(4, _local_outp->first);
                                                                        _t423_array_length = 50;
                                                                        flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t425_array_iter = 0; _t425_array_iter < _t423_array_length; _t425_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_outp->data[_t425_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_local_outp->data, sizeof(long) * _t423_array_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(12);
                                                                        flick_xdr_encode_char8(0, _local_outp->last);
                                                                        flick_xdr_encode_float64(4, _return.first);
                                                                        _t426_array_length = 50;
                                                                        flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t428_array_iter = 0; _t428_array_iter < _t426_array_length; _t428_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _return.data[_t428_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_return.data, sizeof(long) * _t426_array_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_char8(0, _return.last);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(640);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t429_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t429_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t429_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t430_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t430_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t430_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t431_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t431_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t431_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct sLs *_local_inp;
                                                                  struct sLs *_local_iop;
                                                                  struct sLs *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct sLs _return;
                                                                  struct sLs _t432_storage;
                                                                  CORBA_Environment _t433_storage;
                                                                  unsigned int _t434_ignore;
                                                                  struct sLs _t435_storage;
                                                                  flick_unsigned8_t _t436_array_length;
                                                                  flick_unsigned8_t _t438_array_iter;
                                                                  struct sLs _t439_storage;
                                                                  flick_unsigned8_t _t440_array_length;
                                                                  flick_unsigned8_t _t442_array_iter;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _local_outp = &_t432_storage;
                                                                  _ev = &_t433_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t434_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t434_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t434_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t434_ignore);
                                                                  _local_inp = &_t435_storage;
                                                                  flick_xdr_decode_signed16(16, _local_inp->first);
                                                                  _t436_array_length = 50;
                                                                  flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t438_array_iter = 0; _t438_array_iter < _t436_array_length; _t438_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_inp->data[_t438_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_xdr_decode_bcopy(_local_inp->data, sizeof(long) * _t436_array_length, suntcp);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(8);
                                                                  flick_xdr_decode_signed16(0, _local_inp->last);
                                                                  _local_iop = &_t439_storage;
                                                                  flick_xdr_decode_signed16(4, _local_iop->first);
                                                                  _t440_array_length = 50;
                                                                  flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t442_array_iter = 0; _t442_array_iter < _t440_array_length; _t442_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_iop->data[_t442_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_xdr_decode_bcopy(_local_iop->data, sizeof(long) * _t440_array_length, suntcp);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_signed16(0, _local_iop->last);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  flick_suntcp_decode_end_glob(884);
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(628);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_unsigned8_t _t452_array_length;
                                                                        flick_unsigned8_t _t454_array_iter;
                                                                        flick_unsigned8_t _t455_array_length;
                                                                        flick_unsigned8_t _t457_array_iter;
                                                                        flick_unsigned8_t _t458_array_length;
                                                                        flick_unsigned8_t _t460_array_iter;

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed16(0, _local_iop->first);
                                                                        _t452_array_length = 50;
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t454_array_iter = 0; _t454_array_iter < _t452_array_length; _t454_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_iop->data[_t454_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_local_iop->data, sizeof(long) * _t452_array_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(8);
                                                                        flick_xdr_encode_signed16(0, _local_iop->last);
                                                                        flick_xdr_encode_signed16(4, _local_outp->first);
                                                                        _t455_array_length = 50;
                                                                        flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t457_array_iter = 0; _t457_array_iter < _t455_array_length; _t457_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_outp->data[_t457_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_local_outp->data, sizeof(long) * _t455_array_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(8);
                                                                        flick_xdr_encode_signed16(0, _local_outp->last);
                                                                        flick_xdr_encode_signed16(4, _return.first);
                                                                        _t458_array_length = 50;
                                                                        flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t460_array_iter = 0; _t460_array_iter < _t458_array_length; _t460_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _return.data[_t460_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_return.data, sizeof(long) * _t458_array_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed16(0, _return.last);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(628);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(884);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(884);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(884);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(884);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(884);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(884);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t461_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t461_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t461_switch_tag)
            {
            case 't':
              {
                char _t462_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t462_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t462_switch_tag)
                  {
                  case 'e':
                    {
                      char _t463_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t463_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t463_switch_tag)
                        {
                        case 's':
                          {
                            char _t464_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t464_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t464_switch_tag)
                              {
                              case 't':
                                {
                                  char _t465_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t465_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t465_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t466_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t466_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t466_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t467_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t467_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t467_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t468_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t468_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t468_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t469_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t469_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t469_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t470_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t470_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t470_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct cLCd *_local_inp;
                                                                        struct cLCd *_local_iop;
                                                                        struct cLCd *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct cLCd _return;
                                                                        struct cLCd _t471_storage;
                                                                        CORBA_Environment _t472_storage;
                                                                        unsigned int _t473_ignore;
                                                                        struct cLCd _t474_storage;
                                                                        flick_unsigned8_t _t475_array_length;
                                                                        flick_unsigned8_t _t477_array_iter;
                                                                        struct cLCd _t478_storage;
                                                                        flick_unsigned8_t _t479_array_length;
                                                                        flick_unsigned8_t _t481_array_iter;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _local_outp = &_t471_storage;
                                                                        _ev = &_t472_storage;
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t473_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t473_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t473_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t473_ignore);
                                                                        _local_inp = &_t474_storage;
                                                                        flick_xdr_decode_char8(16, _local_inp->first);
                                                                        _t475_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t477_array_iter = 0; _t477_array_iter < _t475_array_length; _t477_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_inp->data[_t477_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_inp->data[_t477_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_float64(0, _local_inp->last);
                                                                        _local_iop = &_t478_storage;
                                                                        flick_xdr_decode_char8(8, _local_iop->first);
                                                                        _t479_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t481_array_iter = 0; _t481_array_iter < _t479_array_length; _t481_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_iop->data[_t481_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_iop->data[_t481_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_float64(0, _local_iop->last);
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1240);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t491_array_length;
                                                                              flick_unsigned8_t _t493_array_iter;
                                                                              flick_unsigned8_t _t494_array_length;
                                                                              flick_unsigned8_t _t496_array_iter;
                                                                              flick_unsigned8_t _t497_array_length;
                                                                              flick_unsigned8_t _t499_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _local_iop->first);
                                                                              _t491_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              for (_t493_array_iter = 0; _t493_array_iter < _t491_array_length; _t493_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_iop->data[_t493_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_iop->data[_t493_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_float64(0, _local_iop->last);
                                                                              flick_xdr_encode_char8(8, _local_outp->first);
                                                                              _t494_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t496_array_iter = 0; _t496_array_iter < _t494_array_length; _t496_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_outp->data[_t496_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_outp->data[_t496_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_float64(0, _local_outp->last);
                                                                              flick_xdr_encode_char8(8, _return.first);
                                                                              _t497_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t499_array_iter = 0; _t499_array_iter < _t497_array_length; _t499_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _return.data[_t499_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _return.data[_t499_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_float64(0, _return.last);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(1240);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t500_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t500_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t500_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t501_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t501_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t501_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t502_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t502_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t502_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct cCLd *_local_inp;
                                                                        struct cCLd *_local_iop;
                                                                        struct cCLd *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct cCLd _return;
                                                                        struct cCLd _t503_storage;
                                                                        CORBA_Environment _t504_storage;
                                                                        unsigned int _t505_ignore;
                                                                        struct cCLd _t506_storage;
                                                                        flick_unsigned8_t _t507_array_length;
                                                                        flick_unsigned8_t _t509_array_iter;
                                                                        struct cCLd _t510_storage;
                                                                        flick_unsigned8_t _t511_array_length;
                                                                        flick_unsigned8_t _t513_array_iter;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _local_outp = &_t503_storage;
                                                                        _ev = &_t504_storage;
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t505_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t505_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t505_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t505_ignore);
                                                                        _local_inp = &_t506_storage;
                                                                        flick_xdr_decode_char8(16, _local_inp->first);
                                                                        _t507_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t509_array_iter = 0; _t509_array_iter < _t507_array_length; _t509_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_inp->data[_t509_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_inp->data[_t509_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_float64(0, _local_inp->last);
                                                                        _local_iop = &_t510_storage;
                                                                        flick_xdr_decode_char8(8, _local_iop->first);
                                                                        _t511_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t513_array_iter = 0; _t513_array_iter < _t511_array_length; _t513_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_iop->data[_t513_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_iop->data[_t513_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_float64(0, _local_iop->last);
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1240);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t523_array_length;
                                                                              flick_unsigned8_t _t525_array_iter;
                                                                              flick_unsigned8_t _t526_array_length;
                                                                              flick_unsigned8_t _t528_array_iter;
                                                                              flick_unsigned8_t _t529_array_length;
                                                                              flick_unsigned8_t _t531_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _local_iop->first);
                                                                              _t523_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              for (_t525_array_iter = 0; _t525_array_iter < _t523_array_length; _t525_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_iop->data[_t525_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_iop->data[_t525_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_float64(0, _local_iop->last);
                                                                              flick_xdr_encode_char8(8, _local_outp->first);
                                                                              _t526_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t528_array_iter = 0; _t528_array_iter < _t526_array_length; _t528_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_outp->data[_t528_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_outp->data[_t528_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_float64(0, _local_outp->last);
                                                                              flick_xdr_encode_char8(8, _return.first);
                                                                              _t529_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t531_array_iter = 0; _t531_array_iter < _t529_array_length; _t531_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _return.data[_t531_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _return.data[_t531_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_float64(0, _return.last);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(1240);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t532_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t532_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t532_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t533_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t533_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t533_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t534_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t534_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t534_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t535_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t535_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t535_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct dLCc *_local_inp;
                                                                        struct dLCc *_local_iop;
                                                                        struct dLCc *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct dLCc _return;
                                                                        struct dLCc _t536_storage;
                                                                        CORBA_Environment _t537_storage;
                                                                        unsigned int _t538_ignore;
                                                                        struct dLCc _t539_storage;
                                                                        flick_unsigned8_t _t540_array_length;
                                                                        flick_unsigned8_t _t542_array_iter;
                                                                        struct dLCc _t543_storage;
                                                                        flick_unsigned8_t _t544_array_length;
                                                                        flick_unsigned8_t _t546_array_iter;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _local_outp = &_t536_storage;
                                                                        _ev = &_t537_storage;
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t538_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t538_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t538_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t538_ignore);
                                                                        _local_inp = &_t539_storage;
                                                                        flick_xdr_decode_float64(16, _local_inp->first);
                                                                        _t540_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        for (_t542_array_iter = 0; _t542_array_iter < _t540_array_length; _t542_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_inp->data[_t542_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_inp->data[_t542_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_char8(0, _local_inp->last);
                                                                        _local_iop = &_t543_storage;
                                                                        flick_xdr_decode_float64(4, _local_iop->first);
                                                                        _t544_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t546_array_iter = 0; _t546_array_iter < _t544_array_length; _t546_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_iop->data[_t546_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_iop->data[_t546_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_iop->last);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1240);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t556_array_length;
                                                                              flick_unsigned8_t _t558_array_iter;
                                                                              flick_unsigned8_t _t559_array_length;
                                                                              flick_unsigned8_t _t561_array_iter;
                                                                              flick_unsigned8_t _t562_array_length;
                                                                              flick_unsigned8_t _t564_array_iter;

                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_float64(0, _local_iop->first);
                                                                              _t556_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t558_array_iter = 0; _t558_array_iter < _t556_array_length; _t558_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_iop->data[_t558_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_iop->data[_t558_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, _local_iop->last);
                                                                              flick_xdr_encode_float64(4, _local_outp->first);
                                                                              _t559_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t561_array_iter = 0; _t561_array_iter < _t559_array_length; _t561_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_outp->data[_t561_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_outp->data[_t561_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, _local_outp->last);
                                                                              flick_xdr_encode_float64(4, _return.first);
                                                                              _t562_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t564_array_iter = 0; _t564_array_iter < _t562_array_length; _t564_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _return.data[_t564_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _return.data[_t564_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _return.last);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(1240);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t565_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t565_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t565_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t566_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t566_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t566_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t567_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t567_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t567_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct dCLc *_local_inp;
                                                                        struct dCLc *_local_iop;
                                                                        struct dCLc *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct dCLc _return;
                                                                        struct dCLc _t568_storage;
                                                                        CORBA_Environment _t569_storage;
                                                                        unsigned int _t570_ignore;
                                                                        struct dCLc _t571_storage;
                                                                        flick_unsigned8_t _t572_array_length;
                                                                        flick_unsigned8_t _t574_array_iter;
                                                                        struct dCLc _t575_storage;
                                                                        flick_unsigned8_t _t576_array_length;
                                                                        flick_unsigned8_t _t578_array_iter;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _local_outp = &_t568_storage;
                                                                        _ev = &_t569_storage;
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t570_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t570_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t570_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t570_ignore);
                                                                        _local_inp = &_t571_storage;
                                                                        flick_xdr_decode_float64(16, _local_inp->first);
                                                                        _t572_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        for (_t574_array_iter = 0; _t574_array_iter < _t572_array_length; _t574_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_inp->data[_t574_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_inp->data[_t574_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_char8(0, _local_inp->last);
                                                                        _local_iop = &_t575_storage;
                                                                        flick_xdr_decode_float64(4, _local_iop->first);
                                                                        _t576_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t578_array_iter = 0; _t578_array_iter < _t576_array_length; _t578_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_iop->data[_t578_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_iop->data[_t578_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_iop->last);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1240);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t588_array_length;
                                                                              flick_unsigned8_t _t590_array_iter;
                                                                              flick_unsigned8_t _t591_array_length;
                                                                              flick_unsigned8_t _t593_array_iter;
                                                                              flick_unsigned8_t _t594_array_length;
                                                                              flick_unsigned8_t _t596_array_iter;

                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_float64(0, _local_iop->first);
                                                                              _t588_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t590_array_iter = 0; _t590_array_iter < _t588_array_length; _t590_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_iop->data[_t590_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_iop->data[_t590_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, _local_iop->last);
                                                                              flick_xdr_encode_float64(4, _local_outp->first);
                                                                              _t591_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t593_array_iter = 0; _t593_array_iter < _t591_array_length; _t593_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_outp->data[_t593_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_outp->data[_t593_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, _local_outp->last);
                                                                              flick_xdr_encode_float64(4, _return.first);
                                                                              _t594_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t596_array_iter = 0; _t596_array_iter < _t594_array_length; _t596_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _return.data[_t596_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _return.data[_t596_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _return.last);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(1240);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t597_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t597_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t597_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t598_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t598_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t598_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t599_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t599_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t599_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t600_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t600_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t600_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct sLCs *_local_inp;
                                                                        struct sLCs *_local_iop;
                                                                        struct sLCs *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct sLCs _return;
                                                                        struct sLCs _t601_storage;
                                                                        CORBA_Environment _t602_storage;
                                                                        unsigned int _t603_ignore;
                                                                        struct sLCs _t604_storage;
                                                                        flick_unsigned8_t _t605_array_length;
                                                                        flick_unsigned8_t _t607_array_iter;
                                                                        struct sLCs _t608_storage;
                                                                        flick_unsigned8_t _t609_array_length;
                                                                        flick_unsigned8_t _t611_array_iter;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _local_outp = &_t601_storage;
                                                                        _ev = &_t602_storage;
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t603_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t603_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t603_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t603_ignore);
                                                                        _local_inp = &_t604_storage;
                                                                        flick_xdr_decode_signed16(16, _local_inp->first);
                                                                        _t605_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t607_array_iter = 0; _t607_array_iter < _t605_array_length; _t607_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_inp->data[_t607_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_inp->data[_t607_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_signed16(0, _local_inp->last);
                                                                        _local_iop = &_t608_storage;
                                                                        flick_xdr_decode_signed16(4, _local_iop->first);
                                                                        _t609_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        for (_t611_array_iter = 0; _t611_array_iter < _t609_array_length; _t611_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_iop->data[_t611_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_iop->data[_t611_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_signed16(0, _local_iop->last);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1228);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t621_array_length;
                                                                              flick_unsigned8_t _t623_array_iter;
                                                                              flick_unsigned8_t _t624_array_length;
                                                                              flick_unsigned8_t _t626_array_iter;
                                                                              flick_unsigned8_t _t627_array_length;
                                                                              flick_unsigned8_t _t629_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _local_iop->first);
                                                                              _t621_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              for (_t623_array_iter = 0; _t623_array_iter < _t621_array_length; _t623_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_iop->data[_t623_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_iop->data[_t623_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _local_iop->last);
                                                                              flick_xdr_encode_signed16(4, _local_outp->first);
                                                                              _t624_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t626_array_iter = 0; _t626_array_iter < _t624_array_length; _t626_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_outp->data[_t626_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_outp->data[_t626_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _local_outp->last);
                                                                              flick_xdr_encode_signed16(4, _return.first);
                                                                              _t627_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t629_array_iter = 0; _t629_array_iter < _t627_array_length; _t629_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _return.data[_t629_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _return.data[_t629_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _return.last);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(1228);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t630_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t630_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t630_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t631_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t631_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t631_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t632_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t632_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t632_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct sCLs *_local_inp;
                                                                        struct sCLs *_local_iop;
                                                                        struct sCLs *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct sCLs _return;
                                                                        struct sCLs _t633_storage;
                                                                        CORBA_Environment _t634_storage;
                                                                        unsigned int _t635_ignore;
                                                                        struct sCLs _t636_storage;
                                                                        flick_unsigned8_t _t637_array_length;
                                                                        flick_unsigned8_t _t639_array_iter;
                                                                        struct sCLs _t640_storage;
                                                                        flick_unsigned8_t _t641_array_length;
                                                                        flick_unsigned8_t _t643_array_iter;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _local_outp = &_t633_storage;
                                                                        _ev = &_t634_storage;
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t635_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t635_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t635_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t635_ignore);
                                                                        _local_inp = &_t636_storage;
                                                                        flick_xdr_decode_signed16(16, _local_inp->first);
                                                                        _t637_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t639_array_iter = 0; _t639_array_iter < _t637_array_length; _t639_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_inp->data[_t639_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_inp->data[_t639_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_signed16(0, _local_inp->last);
                                                                        _local_iop = &_t640_storage;
                                                                        flick_xdr_decode_signed16(4, _local_iop->first);
                                                                        _t641_array_length = 50;
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        for (_t643_array_iter = 0; _t643_array_iter < _t641_array_length; _t643_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_iop->data[_t643_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_iop->data[_t643_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_signed16(0, _local_iop->last);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1228);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t653_array_length;
                                                                              flick_unsigned8_t _t655_array_iter;
                                                                              flick_unsigned8_t _t656_array_length;
                                                                              flick_unsigned8_t _t658_array_iter;
                                                                              flick_unsigned8_t _t659_array_length;
                                                                              flick_unsigned8_t _t661_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _local_iop->first);
                                                                              _t653_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              for (_t655_array_iter = 0; _t655_array_iter < _t653_array_length; _t655_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_iop->data[_t655_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_iop->data[_t655_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _local_iop->last);
                                                                              flick_xdr_encode_signed16(4, _local_outp->first);
                                                                              _t656_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t658_array_iter = 0; _t658_array_iter < _t656_array_length; _t658_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_outp->data[_t658_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_outp->data[_t658_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _local_outp->last);
                                                                              flick_xdr_encode_signed16(4, _return.first);
                                                                              _t659_array_length = 50;
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t661_array_iter = 0; _t661_array_iter < _t659_array_length; _t661_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _return.data[_t661_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _return.data[_t661_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _return.last);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(1228);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(884);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(884);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(884);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(884);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(884);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(884);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(884);
          break;
        }
      }
  }
  return 0;
}
