#include "ex-client.h"

void flick_marshal_stub_A_B(flick_marshal_stream_t _stream, const A_B *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->a);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_A_B(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->a);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_A(flick_marshal_stream_t _stream, const A *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_A(flick_marshal_stream_t _stream, A *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_short A_op(A _obj, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(36);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_signed16(32, b);
    flick_suntcp_encode_end_chunk(36);
    flick_suntcp_encode_end_glob(36);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned8(0, _ev->_atomic_user_id);
            flick_suntcp_decode_end_chunk(4);
            switch (_ev->_atomic_user_id)
              {
              case 0:
                {
                  (A_B *)(_ev->_except) = CORBA_flick_alloc(sizeof(A_B ));
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed16(0, ((A_B *)(_ev->_except))->a);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(_return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                  break;
                }
              }
          }
        }
      flick_suntcp_decode_end_glob(12);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

