#include "impldef-client.h"

void flick_marshal_stub_Object(flick_marshal_stream_t _stream, const Object *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Object(flick_marshal_stream_t _stream, Object *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, const CORBA_StringSequence *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_xdr_encode_longstring(_data->_buffer[_t1_array_iter], null_flick_free, suntcp);
    }
}

void flick_unmarshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, CORBA_StringSequence *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_xdr_decode_longstring(_data->_buffer[_t3_array_iter], CORBA_flick_alloc, suntcp);
    }
}

void flick_marshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, const CORBA_OctetSequence *_data)
{
  unsigned long int _t5_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t5_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data)
{
  unsigned long int _t7_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t7_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, const CORBA_LongSequence *_data)
{
  unsigned long int _t9_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t9_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, CORBA_LongSequence *_data)
{
  unsigned long int _t11_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
  for (_t11_array_iter = 0; _t11_array_iter < _data->_length; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t11_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, const CORBA_ReferenceData *_data)
{
  unsigned long int _t13_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t13_array_iter = 0; _t13_array_iter < _data->_length; _t13_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t13_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data)
{
  unsigned long int _t15_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t15_array_iter = 0; _t15_array_iter < _data->_length; _t15_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t15_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, const CORBA_ReferenceString *_data)
{
  unsigned long int _t17_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t17_array_iter = 0; _t17_array_iter < _data->_length; _t17_array_iter++)
    {
      flick_xdr_encode_longstring(_data->_buffer[_t17_array_iter], null_flick_free, suntcp);
    }
}

void flick_unmarshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data)
{
  unsigned long int _t19_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t19_array_iter = 0; _t19_array_iter < _data->_length; _t19_array_iter++)
    {
      flick_xdr_decode_longstring(_data->_buffer[_t19_array_iter], CORBA_flick_alloc, suntcp);
    }
}

void flick_marshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, const CORBA_ReferenceLong *_data)
{
  unsigned long int _t21_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
  for (_t21_array_iter = 0; _t21_array_iter < _data->_length; _t21_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t21_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data)
{
  unsigned long int _t23_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
  for (_t23_array_iter = 0; _t23_array_iter < _data->_length; _t23_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t23_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, const CORBA_ImplementationDef *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, CORBA_ImplementationDef *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_char *CORBA_ImplementationDef__get_interface_name(CORBA_ImplementationDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(88);
    flick_suntcp_encode_new_chunk(88);
    flick_xdr_encode_unsigned32(0, 21);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'r');
    flick_xdr_encode_char8(48, 'f');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 'c');
    flick_xdr_encode_char8(60, 'e');
    flick_xdr_encode_char8(64, '_');
    flick_xdr_encode_char8(68, 'n');
    flick_xdr_encode_char8(72, 'a');
    flick_xdr_encode_char8(76, 'm');
    flick_xdr_encode_char8(80, 'e');
    flick_xdr_encode_char8(84, 0);
    flick_suntcp_encode_end_chunk(88);
    flick_suntcp_encode_end_glob(88);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_ImplementationDef__set_interface_name(CORBA_ImplementationDef _obj, CORBA_char *interface_name, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(104);
    flick_suntcp_encode_new_chunk(104);
    flick_xdr_encode_unsigned32(0, 21);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'r');
    flick_xdr_encode_char8(48, 'f');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 'c');
    flick_xdr_encode_char8(60, 'e');
    flick_xdr_encode_char8(64, '_');
    flick_xdr_encode_char8(68, 'n');
    flick_xdr_encode_char8(72, 'a');
    flick_xdr_encode_char8(76, 'm');
    flick_xdr_encode_char8(80, 'e');
    flick_xdr_encode_char8(84, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(104);
    flick_suntcp_encode_end_glob(104);
    flick_xdr_encode_longstring(interface_name, null_flick_free, suntcp);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_char *CORBA_ImplementationDef__get_object_name(CORBA_ImplementationDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(76);
    flick_suntcp_encode_new_chunk(76);
    flick_xdr_encode_unsigned32(0, 18);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'b');
    flick_xdr_encode_char8(36, 'j');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'c');
    flick_xdr_encode_char8(48, 't');
    flick_xdr_encode_char8(52, '_');
    flick_xdr_encode_char8(56, 'n');
    flick_xdr_encode_char8(60, 'a');
    flick_xdr_encode_char8(64, 'm');
    flick_xdr_encode_char8(68, 'e');
    flick_xdr_encode_char8(72, 0);
    flick_suntcp_encode_end_chunk(76);
    flick_suntcp_encode_end_glob(76);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_ImplementationDef__set_object_name(CORBA_ImplementationDef _obj, CORBA_char *object_name, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(92);
    flick_suntcp_encode_new_chunk(92);
    flick_xdr_encode_unsigned32(0, 18);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'b');
    flick_xdr_encode_char8(36, 'j');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'c');
    flick_xdr_encode_char8(48, 't');
    flick_xdr_encode_char8(52, '_');
    flick_xdr_encode_char8(56, 'n');
    flick_xdr_encode_char8(60, 'a');
    flick_xdr_encode_char8(64, 'm');
    flick_xdr_encode_char8(68, 'e');
    flick_xdr_encode_char8(72, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(76, (unsigned int) 0);
    flick_xdr_encode_unsigned32(80, (unsigned int) 0);
    flick_xdr_encode_unsigned32(84, (unsigned int) 0);
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(92);
    flick_suntcp_encode_end_glob(92);
    flick_xdr_encode_longstring(object_name, null_flick_free, suntcp);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_ReferenceData *CORBA_ImplementationDef__get_id(CORBA_ImplementationDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_ReferenceData *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'd');
    flick_xdr_encode_char8(36, 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t27_array_iter;

            _return = CORBA_flick_alloc(sizeof(CORBA_ReferenceData ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            flick_suntcp_decode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t27_array_iter = 0; _t27_array_iter < _return->_length; _t27_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_unsigned8(0, _return->_buffer[_t27_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(_return->_buffer, sizeof(char) * _return->_length, suntcp);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_ImplementationDef__set_id(CORBA_ImplementationDef _obj, CORBA_ReferenceData *id, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t31_array_iter;

    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'd');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, id->_length);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
    flick_suntcp_encode_new_glob(4 * id->_length);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t31_array_iter = 0; _t31_array_iter < id->_length; _t31_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned8(0, id->_buffer[_t31_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_xdr_encode_bcopy(id->_buffer, sizeof(char) * id->_length, suntcp);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * id->_length);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

void flick_marshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, const CORBA_Policy *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, CORBA_Policy *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, const CORBA_CreationImplDef *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, CORBA_CreationImplDef *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_char *CORBA_CreationImplDef__get_path_name(CORBA_CreationImplDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 16);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'p');
    flick_xdr_encode_char8(32, 'a');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'h');
    flick_xdr_encode_char8(44, '_');
    flick_xdr_encode_char8(48, 'n');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 'm');
    flick_xdr_encode_char8(60, 'e');
    flick_xdr_encode_char8(64, 0);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_CreationImplDef__set_path_name(CORBA_CreationImplDef _obj, CORBA_char *path_name, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(84);
    flick_suntcp_encode_new_chunk(84);
    flick_xdr_encode_unsigned32(0, 16);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'p');
    flick_xdr_encode_char8(32, 'a');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'h');
    flick_xdr_encode_char8(44, '_');
    flick_xdr_encode_char8(48, 'n');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 'm');
    flick_xdr_encode_char8(60, 'e');
    flick_xdr_encode_char8(64, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(68, (unsigned int) 0);
    flick_xdr_encode_unsigned32(72, (unsigned int) 0);
    flick_xdr_encode_unsigned32(76, (unsigned int) 0);
    flick_xdr_encode_unsigned32(80, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(84);
    flick_suntcp_encode_end_glob(84);
    flick_xdr_encode_longstring(path_name, null_flick_free, suntcp);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_Policy CORBA_CreationImplDef__get_activation_policy(CORBA_CreationImplDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_Policy _return;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(100);
    flick_suntcp_encode_new_chunk(100);
    flick_xdr_encode_unsigned32(0, 24);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'a');
    flick_xdr_encode_char8(32, 'c');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'i');
    flick_xdr_encode_char8(44, 'v');
    flick_xdr_encode_char8(48, 'a');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 'i');
    flick_xdr_encode_char8(60, 'o');
    flick_xdr_encode_char8(64, 'n');
    flick_xdr_encode_char8(68, '_');
    flick_xdr_encode_char8(72, 'p');
    flick_xdr_encode_char8(76, 'o');
    flick_xdr_encode_char8(80, 'l');
    flick_xdr_encode_char8(84, 'i');
    flick_xdr_encode_char8(88, 'c');
    flick_xdr_encode_char8(92, 'y');
    flick_xdr_encode_char8(96, 0);
    flick_suntcp_encode_end_chunk(100);
    flick_suntcp_encode_end_glob(100);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_CreationImplDef__set_activation_policy(CORBA_CreationImplDef _obj, CORBA_Policy activation_policy, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(120);
    flick_suntcp_encode_new_chunk(120);
    flick_xdr_encode_unsigned32(0, 24);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'a');
    flick_xdr_encode_char8(32, 'c');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'i');
    flick_xdr_encode_char8(44, 'v');
    flick_xdr_encode_char8(48, 'a');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 'i');
    flick_xdr_encode_char8(60, 'o');
    flick_xdr_encode_char8(64, 'n');
    flick_xdr_encode_char8(68, '_');
    flick_xdr_encode_char8(72, 'p');
    flick_xdr_encode_char8(76, 'o');
    flick_xdr_encode_char8(80, 'l');
    flick_xdr_encode_char8(84, 'i');
    flick_xdr_encode_char8(88, 'c');
    flick_xdr_encode_char8(92, 'y');
    flick_xdr_encode_char8(96, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_xdr_encode_unsigned32(104, (unsigned int) 0);
    flick_xdr_encode_unsigned32(108, (unsigned int) 0);
    flick_xdr_encode_unsigned32(112, (unsigned int) 0);
    flick_xdr_encode_unsigned32(116, activation_policy);
    flick_suntcp_encode_end_chunk(120);
    flick_suntcp_encode_end_glob(120);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_StringSequence *CORBA_CreationImplDef__get_args(CORBA_CreationImplDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_StringSequence *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'a');
    flick_xdr_encode_char8(32, 'r');
    flick_xdr_encode_char8(36, 'g');
    flick_xdr_encode_char8(40, 's');
    flick_xdr_encode_char8(44, 0);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t35_array_iter;

            _return = CORBA_flick_alloc(sizeof(CORBA_StringSequence ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_char *));
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            for (_t35_array_iter = 0; _t35_array_iter < _return->_length; _t35_array_iter++)
              {
                flick_xdr_decode_longstring(_return->_buffer[_t35_array_iter], CORBA_flick_alloc, suntcp);
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_CreationImplDef__set_args(CORBA_CreationImplDef _obj, CORBA_StringSequence *args, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t39_array_iter;

    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'a');
    flick_xdr_encode_char8(32, 'r');
    flick_xdr_encode_char8(36, 'g');
    flick_xdr_encode_char8(40, 's');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, args->_length);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
    for (_t39_array_iter = 0; _t39_array_iter < args->_length; _t39_array_iter++)
      {
        flick_xdr_encode_longstring(args->_buffer[_t39_array_iter], null_flick_free, suntcp);
      }
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_StringSequence *CORBA_CreationImplDef__get_env(CORBA_CreationImplDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_StringSequence *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'e');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 'v');
    flick_xdr_encode_char8(40, 0);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t43_array_iter;

            _return = CORBA_flick_alloc(sizeof(CORBA_StringSequence ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_char *));
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            for (_t43_array_iter = 0; _t43_array_iter < _return->_length; _t43_array_iter++)
              {
                flick_xdr_decode_longstring(_return->_buffer[_t43_array_iter], CORBA_flick_alloc, suntcp);
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_CreationImplDef__set_env(CORBA_CreationImplDef _obj, CORBA_StringSequence *env, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t47_array_iter;

    flick_suntcp_encode_new_glob(64);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'e');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 'v');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, env->_length);
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
    for (_t47_array_iter = 0; _t47_array_iter < env->_length; _t47_array_iter++)
      {
        flick_xdr_encode_longstring(env->_buffer[_t47_array_iter], null_flick_free, suntcp);
      }
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_char *CORBA_CreationImplDef__get_interface_name(CORBA_CreationImplDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(88);
    flick_suntcp_encode_new_chunk(88);
    flick_xdr_encode_unsigned32(0, 21);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'r');
    flick_xdr_encode_char8(48, 'f');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 'c');
    flick_xdr_encode_char8(60, 'e');
    flick_xdr_encode_char8(64, '_');
    flick_xdr_encode_char8(68, 'n');
    flick_xdr_encode_char8(72, 'a');
    flick_xdr_encode_char8(76, 'm');
    flick_xdr_encode_char8(80, 'e');
    flick_xdr_encode_char8(84, 0);
    flick_suntcp_encode_end_chunk(88);
    flick_suntcp_encode_end_glob(88);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_CreationImplDef__set_interface_name(CORBA_CreationImplDef _obj, CORBA_char *interface_name, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(104);
    flick_suntcp_encode_new_chunk(104);
    flick_xdr_encode_unsigned32(0, 21);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'r');
    flick_xdr_encode_char8(48, 'f');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 'c');
    flick_xdr_encode_char8(60, 'e');
    flick_xdr_encode_char8(64, '_');
    flick_xdr_encode_char8(68, 'n');
    flick_xdr_encode_char8(72, 'a');
    flick_xdr_encode_char8(76, 'm');
    flick_xdr_encode_char8(80, 'e');
    flick_xdr_encode_char8(84, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(104);
    flick_suntcp_encode_end_glob(104);
    flick_xdr_encode_longstring(interface_name, null_flick_free, suntcp);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_char *CORBA_CreationImplDef__get_object_name(CORBA_CreationImplDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(76);
    flick_suntcp_encode_new_chunk(76);
    flick_xdr_encode_unsigned32(0, 18);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'b');
    flick_xdr_encode_char8(36, 'j');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'c');
    flick_xdr_encode_char8(48, 't');
    flick_xdr_encode_char8(52, '_');
    flick_xdr_encode_char8(56, 'n');
    flick_xdr_encode_char8(60, 'a');
    flick_xdr_encode_char8(64, 'm');
    flick_xdr_encode_char8(68, 'e');
    flick_xdr_encode_char8(72, 0);
    flick_suntcp_encode_end_chunk(76);
    flick_suntcp_encode_end_glob(76);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_CreationImplDef__set_object_name(CORBA_CreationImplDef _obj, CORBA_char *object_name, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(92);
    flick_suntcp_encode_new_chunk(92);
    flick_xdr_encode_unsigned32(0, 18);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'b');
    flick_xdr_encode_char8(36, 'j');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'c');
    flick_xdr_encode_char8(48, 't');
    flick_xdr_encode_char8(52, '_');
    flick_xdr_encode_char8(56, 'n');
    flick_xdr_encode_char8(60, 'a');
    flick_xdr_encode_char8(64, 'm');
    flick_xdr_encode_char8(68, 'e');
    flick_xdr_encode_char8(72, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(76, (unsigned int) 0);
    flick_xdr_encode_unsigned32(80, (unsigned int) 0);
    flick_xdr_encode_unsigned32(84, (unsigned int) 0);
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(92);
    flick_suntcp_encode_end_glob(92);
    flick_xdr_encode_longstring(object_name, null_flick_free, suntcp);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_ReferenceData *CORBA_CreationImplDef__get_id(CORBA_CreationImplDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_ReferenceData *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'd');
    flick_xdr_encode_char8(36, 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t51_array_iter;

            _return = CORBA_flick_alloc(sizeof(CORBA_ReferenceData ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            flick_suntcp_decode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t51_array_iter = 0; _t51_array_iter < _return->_length; _t51_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_unsigned8(0, _return->_buffer[_t51_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(_return->_buffer, sizeof(char) * _return->_length, suntcp);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_CreationImplDef__set_id(CORBA_CreationImplDef _obj, CORBA_ReferenceData *id, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t55_array_iter;

    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'd');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, id->_length);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
    flick_suntcp_encode_new_glob(4 * id->_length);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t55_array_iter = 0; _t55_array_iter < id->_length; _t55_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned8(0, id->_buffer[_t55_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_xdr_encode_bcopy(id->_buffer, sizeof(char) * id->_length, suntcp);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * id->_length);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

void flick_marshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, const CORBA_Activator *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, CORBA_Activator *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

Object CORBA_Activator_activate(CORBA_Activator _obj, CORBA_ImplementationDef impl, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  Object _return;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 'a');
    flick_xdr_encode_char8(8, 'c');
    flick_xdr_encode_char8(12, 't');
    flick_xdr_encode_char8(16, 'i');
    flick_xdr_encode_char8(20, 'v');
    flick_xdr_encode_char8(24, 'a');
    flick_xdr_encode_char8(28, 't');
    flick_xdr_encode_char8(32, 'e');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_port32(56, impl, 0);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_port32(0, _return, 1);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_Activator_deactivate(CORBA_Activator _obj, Object obj, CORBA_ImplementationDef impl, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(72);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 'd');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 'a');
    flick_xdr_encode_char8(16, 'c');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, 'i');
    flick_xdr_encode_char8(28, 'v');
    flick_xdr_encode_char8(32, 'a');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_port32(64, obj, 0);
    flick_xdr_encode_port32(68, impl, 0);
    flick_suntcp_encode_end_chunk(72);
    flick_suntcp_encode_end_glob(72);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

void flick_marshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, const CORBA_ActivationImplDef *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, CORBA_ActivationImplDef *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_Activator CORBA_ActivationImplDef__get_activator_obj(CORBA_ActivationImplDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_Activator _return;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(84);
    flick_suntcp_encode_new_chunk(84);
    flick_xdr_encode_unsigned32(0, 20);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'a');
    flick_xdr_encode_char8(32, 'c');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'i');
    flick_xdr_encode_char8(44, 'v');
    flick_xdr_encode_char8(48, 'a');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 'o');
    flick_xdr_encode_char8(60, 'r');
    flick_xdr_encode_char8(64, '_');
    flick_xdr_encode_char8(68, 'o');
    flick_xdr_encode_char8(72, 'b');
    flick_xdr_encode_char8(76, 'j');
    flick_xdr_encode_char8(80, 0);
    flick_suntcp_encode_end_chunk(84);
    flick_suntcp_encode_end_glob(84);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_port32(0, _return, 1);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_ActivationImplDef__set_activator_obj(CORBA_ActivationImplDef _obj, CORBA_Activator activator_obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(104);
    flick_suntcp_encode_new_chunk(104);
    flick_xdr_encode_unsigned32(0, 20);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'a');
    flick_xdr_encode_char8(32, 'c');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'i');
    flick_xdr_encode_char8(44, 'v');
    flick_xdr_encode_char8(48, 'a');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 'o');
    flick_xdr_encode_char8(60, 'r');
    flick_xdr_encode_char8(64, '_');
    flick_xdr_encode_char8(68, 'o');
    flick_xdr_encode_char8(72, 'b');
    flick_xdr_encode_char8(76, 'j');
    flick_xdr_encode_char8(80, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(84, (unsigned int) 0);
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_port32(100, activator_obj, 0);
    flick_suntcp_encode_end_chunk(104);
    flick_suntcp_encode_end_glob(104);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_char *CORBA_ActivationImplDef__get_interface_name(CORBA_ActivationImplDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(88);
    flick_suntcp_encode_new_chunk(88);
    flick_xdr_encode_unsigned32(0, 21);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'r');
    flick_xdr_encode_char8(48, 'f');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 'c');
    flick_xdr_encode_char8(60, 'e');
    flick_xdr_encode_char8(64, '_');
    flick_xdr_encode_char8(68, 'n');
    flick_xdr_encode_char8(72, 'a');
    flick_xdr_encode_char8(76, 'm');
    flick_xdr_encode_char8(80, 'e');
    flick_xdr_encode_char8(84, 0);
    flick_suntcp_encode_end_chunk(88);
    flick_suntcp_encode_end_glob(88);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_ActivationImplDef__set_interface_name(CORBA_ActivationImplDef _obj, CORBA_char *interface_name, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(104);
    flick_suntcp_encode_new_chunk(104);
    flick_xdr_encode_unsigned32(0, 21);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'r');
    flick_xdr_encode_char8(48, 'f');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 'c');
    flick_xdr_encode_char8(60, 'e');
    flick_xdr_encode_char8(64, '_');
    flick_xdr_encode_char8(68, 'n');
    flick_xdr_encode_char8(72, 'a');
    flick_xdr_encode_char8(76, 'm');
    flick_xdr_encode_char8(80, 'e');
    flick_xdr_encode_char8(84, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(104);
    flick_suntcp_encode_end_glob(104);
    flick_xdr_encode_longstring(interface_name, null_flick_free, suntcp);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_char *CORBA_ActivationImplDef__get_object_name(CORBA_ActivationImplDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(76);
    flick_suntcp_encode_new_chunk(76);
    flick_xdr_encode_unsigned32(0, 18);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'b');
    flick_xdr_encode_char8(36, 'j');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'c');
    flick_xdr_encode_char8(48, 't');
    flick_xdr_encode_char8(52, '_');
    flick_xdr_encode_char8(56, 'n');
    flick_xdr_encode_char8(60, 'a');
    flick_xdr_encode_char8(64, 'm');
    flick_xdr_encode_char8(68, 'e');
    flick_xdr_encode_char8(72, 0);
    flick_suntcp_encode_end_chunk(76);
    flick_suntcp_encode_end_glob(76);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_ActivationImplDef__set_object_name(CORBA_ActivationImplDef _obj, CORBA_char *object_name, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(92);
    flick_suntcp_encode_new_chunk(92);
    flick_xdr_encode_unsigned32(0, 18);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'b');
    flick_xdr_encode_char8(36, 'j');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'c');
    flick_xdr_encode_char8(48, 't');
    flick_xdr_encode_char8(52, '_');
    flick_xdr_encode_char8(56, 'n');
    flick_xdr_encode_char8(60, 'a');
    flick_xdr_encode_char8(64, 'm');
    flick_xdr_encode_char8(68, 'e');
    flick_xdr_encode_char8(72, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(76, (unsigned int) 0);
    flick_xdr_encode_unsigned32(80, (unsigned int) 0);
    flick_xdr_encode_unsigned32(84, (unsigned int) 0);
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(92);
    flick_suntcp_encode_end_glob(92);
    flick_xdr_encode_longstring(object_name, null_flick_free, suntcp);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_ReferenceData *CORBA_ActivationImplDef__get_id(CORBA_ActivationImplDef _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_ReferenceData *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'd');
    flick_xdr_encode_char8(36, 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t59_array_iter;

            _return = CORBA_flick_alloc(sizeof(CORBA_ReferenceData ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            flick_suntcp_decode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t59_array_iter = 0; _t59_array_iter < _return->_length; _t59_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_unsigned8(0, _return->_buffer[_t59_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(_return->_buffer, sizeof(char) * _return->_length, suntcp);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void CORBA_ActivationImplDef__set_id(CORBA_ActivationImplDef _obj, CORBA_ReferenceData *id, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t63_array_iter;

    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'd');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, id->_length);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
    flick_suntcp_encode_new_glob(4 * id->_length);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t63_array_iter = 0; _t63_array_iter < id->_length; _t63_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned8(0, id->_buffer[_t63_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_xdr_encode_bcopy(id->_buffer, sizeof(char) * id->_length, suntcp);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * id->_length);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

