#include "interface_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_math;
	s.vers_num = _VERS_math;

	assert(flick_server_register(s, &math_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_math(flick_marshal_stream_t _stream, const math *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int math_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t102_switch_tag;

    flick_suntcp_decode_new_glob(116);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t102_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t102_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t103_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t103_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t103_switch_tag)
            {
            case 'a':
              {
                char _t104_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t104_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t104_switch_tag)
                  {
                  case 'd':
                    {
                      char _t105_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t105_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t105_switch_tag)
                        {
                        case 'd':
                          {
                            char _t106_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t106_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t106_switch_tag)
                              {
                              case 's':
                                {
                                  char _t107_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t107_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t107_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t108_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t108_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t108_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t109_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t109_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t109_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t110_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t110_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t110_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t111_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t111_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t111_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  CORBA_short _local_a;
                                                                  CORBA_short _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_short _return = 0;
                                                                  CORBA_Environment _t112_storage;
                                                                  unsigned int _t113_ignore;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t112_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(24);
                                                                  flick_xdr_decode_unsigned32(0, _t113_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t113_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t113_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t113_ignore);
                                                                  flick_xdr_decode_signed16(16, _local_a);
                                                                  flick_xdr_decode_signed16(20, _local_b);
                                                                  flick_suntcp_decode_end_chunk(24);
                                                                  flick_suntcp_decode_end_glob(116);
                                                                  flick_corba_init_environment();
                                                                  _return = math_addshort(_obj, _local_a, _local_b, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed16(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t114_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t114_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t114_switch_tag)
                  {
                  case 'u':
                    {
                      char _t115_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t115_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t115_switch_tag)
                        {
                        case 'b':
                          {
                            char _t116_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t116_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t116_switch_tag)
                              {
                              case 's':
                                {
                                  char _t117_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t117_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t117_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t118_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t118_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t118_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t119_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t119_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t119_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t120_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t120_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t120_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t121_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t121_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t121_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  CORBA_short _local_a;
                                                                  CORBA_short _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_short _return = 0;
                                                                  CORBA_Environment _t122_storage;
                                                                  unsigned int _t123_ignore;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t122_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(24);
                                                                  flick_xdr_decode_unsigned32(0, _t123_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t123_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t123_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t123_ignore);
                                                                  flick_xdr_decode_signed16(16, _local_a);
                                                                  flick_xdr_decode_signed16(20, _local_b);
                                                                  flick_suntcp_decode_end_chunk(24);
                                                                  flick_suntcp_decode_end_glob(116);
                                                                  flick_corba_init_environment();
                                                                  _return = math_subshort(_obj, _local_a, _local_b, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed16(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            case 'm':
              {
                char _t124_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t124_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t124_switch_tag)
                  {
                  case 'u':
                    {
                      char _t125_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t125_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t125_switch_tag)
                        {
                        case 'l':
                          {
                            char _t126_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t126_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t126_switch_tag)
                              {
                              case 't':
                                {
                                  char _t127_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t127_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t127_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t128_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t128_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t128_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t129_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t129_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t129_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t130_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t130_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t130_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t131_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t131_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t131_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  CORBA_long _local_a;
                                                                  CORBA_long _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t132_storage;
                                                                  unsigned int _t133_ignore;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t132_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(24);
                                                                  flick_xdr_decode_unsigned32(0, _t133_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t133_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t133_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t133_ignore);
                                                                  flick_xdr_decode_signed32(16, _local_a);
                                                                  flick_xdr_decode_signed32(20, _local_b);
                                                                  flick_suntcp_decode_end_chunk(24);
                                                                  flick_suntcp_decode_end_glob(116);
                                                                  flick_corba_init_environment();
                                                                  _return = math_multlong(_obj, _local_a, _local_b, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t134_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t134_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t134_switch_tag)
            {
            case 'm':
              {
                char _t135_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t135_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t135_switch_tag)
                  {
                  case 'u':
                    {
                      char _t136_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t136_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t136_switch_tag)
                        {
                        case 'l':
                          {
                            char _t137_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t137_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t137_switch_tag)
                              {
                              case 't':
                                {
                                  char _t138_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t138_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t138_switch_tag)
                                    {
                                    case 's':
                                      {
                                        char _t139_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t139_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t139_switch_tag)
                                          {
                                          case 'h':
                                            {
                                              char _t140_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t140_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t140_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t141_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t141_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t141_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t142_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t142_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t142_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t143_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t143_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t143_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        math _obj;
                                                                        CORBA_short _local_a;
                                                                        CORBA_short _local_b;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_short _return = 0;
                                                                        CORBA_Environment _t144_storage;
                                                                        unsigned int _t145_ignore;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _ev = &_t144_storage;
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t145_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t145_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t145_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t145_ignore);
                                                                        flick_xdr_decode_signed16(16, _local_a);
                                                                        flick_xdr_decode_signed16(20, _local_b);
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        flick_suntcp_decode_end_glob(116);
                                                                        flick_corba_init_environment();
                                                                        _return = math_multshort(_obj, _local_a, _local_b, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(8);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _return);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t146_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t146_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t146_switch_tag)
            {
            case 'a':
              {
                char _t147_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t147_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t147_switch_tag)
                  {
                  case 'd':
                    {
                      char _t148_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t148_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t148_switch_tag)
                        {
                        case 'd':
                          {
                            char _t149_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t149_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t149_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t150_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t150_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t150_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t151_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t151_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t151_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t152_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t152_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t152_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t153_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t153_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t153_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            math _obj;
                                                            CORBA_long _local_a;
                                                            CORBA_long _local_b;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t154_storage;
                                                            unsigned int _t155_ignore;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            _ev = &_t154_storage;
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t155_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t155_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t155_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t155_ignore);
                                                            flick_xdr_decode_signed32(16, _local_a);
                                                            flick_xdr_decode_signed32(20, _local_b);
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(116);
                                                            flick_corba_init_environment();
                                                            _return = math_addlong(_obj, _local_a, _local_b, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t156_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t156_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t156_switch_tag)
                  {
                  case 'u':
                    {
                      char _t157_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t157_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t157_switch_tag)
                        {
                        case 'b':
                          {
                            char _t158_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t158_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t158_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t159_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t159_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t159_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t160_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t160_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t160_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t161_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t161_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t161_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t162_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t162_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t162_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            math _obj;
                                                            CORBA_long _local_a;
                                                            CORBA_long _local_b;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t163_storage;
                                                            unsigned int _t164_ignore;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            _ev = &_t163_storage;
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t164_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t164_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t164_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t164_ignore);
                                                            flick_xdr_decode_signed32(16, _local_a);
                                                            flick_xdr_decode_signed32(20, _local_b);
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(116);
                                                            flick_corba_init_environment();
                                                            _return = math_sublong(_obj, _local_a, _local_b, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t165_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t165_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t165_switch_tag)
            {
            case 'a':
              {
                char _t166_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t166_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t166_switch_tag)
                  {
                  case 'd':
                    {
                      char _t167_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t167_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t167_switch_tag)
                        {
                        case 'd':
                          {
                            char _t168_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t168_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t168_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t169_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t169_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t169_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t170_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t170_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t170_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t171_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t171_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t171_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t172_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t172_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t172_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t173_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t173_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t173_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t174_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t174_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t174_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t175_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t175_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t175_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t176_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t176_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t176_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    math _obj;
                                                                                    long10 *_local_a;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_long _return = 0;
                                                                                    CORBA_Environment _t177_storage;
                                                                                    unsigned int _t178_ignore;
                                                                                    long10 _t179_storage;
                                                                                    unsigned long int _t181_array_iter;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    _ev = &_t177_storage;
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(20);
                                                                                    flick_xdr_decode_unsigned32(0, _t178_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t178_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t178_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t178_ignore);
                                                                                    _local_a = &_t179_storage;
                                                                                    flick_xdr_decode_unsigned32(16, _local_a->_length);
                                                                                    _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                                    flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                                    for (_t181_array_iter = 0; _t181_array_iter < _local_a->_length; _t181_array_iter++)
                                                                                      {
                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_signed32(0, _local_a->_buffer[_t181_array_iter]);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                      }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                    flick_xdr_decode_bcopy(_local_a->_buffer, sizeof(long) * _local_a->_length, suntcp);
#endif /* ENDIANness */
                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                    flick_corba_init_environment();
                                                                                    _return = math_addlonglist(_obj, _local_a, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(8);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _return);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          char _t182_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t182_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t182_switch_tag)
            {
            case 'm':
              {
                char _t183_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t183_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t183_switch_tag)
                  {
                  case 'u':
                    {
                      char _t184_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t184_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t184_switch_tag)
                        {
                        case 'l':
                          {
                            char _t185_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t185_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t185_switch_tag)
                              {
                              case 't':
                                {
                                  char _t186_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t186_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t186_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t187_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t187_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t187_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t188_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t188_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t188_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t189_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t189_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t189_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t190_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t190_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t190_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t191_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t191_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t191_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t192_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t192_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t192_switch_tag)
                                                                        {
                                                                        case 's':
                                                                          {
                                                                            char _t193_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t193_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t193_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t194_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t194_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t194_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        {
                                                                                          math _obj;
                                                                                          long10 *_local_a;
                                                                                          CORBA_Environment *_ev;
                                                                                          CORBA_long _return = 0;
                                                                                          CORBA_Environment _t195_storage;
                                                                                          unsigned int _t196_ignore;
                                                                                          long10 _t197_storage;
                                                                                          unsigned long int _t199_array_iter;

                                                                                          {
                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                          }
                                                                                          _ev = &_t195_storage;
                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                          flick_suntcp_decode_new_chunk(20);
                                                                                          flick_xdr_decode_unsigned32(0, _t196_ignore);
                                                                                          flick_xdr_decode_unsigned32(4, _t196_ignore);
                                                                                          flick_xdr_decode_unsigned32(8, _t196_ignore);
                                                                                          flick_xdr_decode_unsigned32(12, _t196_ignore);
                                                                                          _local_a = &_t197_storage;
                                                                                          flick_xdr_decode_unsigned32(16, _local_a->_length);
                                                                                          _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                                          flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                                          for (_t199_array_iter = 0; _t199_array_iter < _local_a->_length; _t199_array_iter++)
                                                                                            {
                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_signed32(0, _local_a->_buffer[_t199_array_iter]);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                          flick_xdr_decode_bcopy(_local_a->_buffer, sizeof(long) * _local_a->_length, suntcp);
#endif /* ENDIANness */
                                                                                          flick_suntcp_decode_end_glob(116);
                                                                                          flick_corba_init_environment();
                                                                                          _return = math_multlonglist(_obj, _local_a, _ev);
                                                                                          flick_suntcp_server_start_encode();
                                                                                          {
                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                          }
                                                                                          flick_suntcp_encode_new_glob(8);
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          switch (_ev->_major)
                                                                                            {
                                                                                            case CORBA_NO_EXCEPTION:
                                                                                              {
                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                flick_xdr_encode_signed32(0, _return);
                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                break;
                                                                                              }
                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                              {
                                                                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                              }
                                                                                            }
                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                          flick_suntcp_server_end_encode();
                                                                                        }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(116);
          break;
        }
      }
  }
  return 0;
}
