#include "string_-client.h"

void flick_marshal_stub_str(flick_marshal_stream_t _stream, const struct str *_data)
{
  flick_xdr_encode_string(_data->s10, null_flick_free, suntcp, 10);
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_signed32(0, _data->a);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_xdr_encode_longstring(_data->sx, null_flick_free, suntcp);
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_signed16(0, _data->b);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_str(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_xdr_decode_string(_data->s10, CORBA_flick_alloc, suntcp, 10);
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_signed32(0, _data->a);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_xdr_decode_longstring(_data->sx, CORBA_flick_alloc, suntcp);
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_signed16(0, _data->b);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_char *test_String(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 7);
    flick_xdr_encode_char8(4, 'S');
    flick_xdr_encode_char8(8, 't');
    flick_xdr_encode_char8(12, 'r');
    flick_xdr_encode_char8(16, 'i');
    flick_xdr_encode_char8(20, 'n');
    flick_xdr_encode_char8(24, 'g');
    flick_xdr_encode_char8(28, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
    flick_xdr_encode_longstring(a, null_flick_free, suntcp);
    flick_xdr_encode_longstring(*b, CORBA_flick_free, suntcp);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(*b, CORBA_flick_alloc, suntcp);
            flick_xdr_decode_longstring(*c, CORBA_flick_alloc, suntcp);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

struct str *test_Struct(test _obj, struct str *a, struct str *b, struct str **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct str *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 7);
    flick_xdr_encode_char8(4, 'S');
    flick_xdr_encode_char8(8, 't');
    flick_xdr_encode_char8(12, 'r');
    flick_xdr_encode_char8(16, 'u');
    flick_xdr_encode_char8(20, 'c');
    flick_xdr_encode_char8(24, 't');
    flick_xdr_encode_char8(28, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
    flick_xdr_encode_string(a->s10, null_flick_free, suntcp, 10);
    flick_suntcp_encode_new_glob(4);
    flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
    flick_xdr_encode_signed32(0, a->a);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(4);
    flick_xdr_encode_longstring(a->sx, null_flick_free, suntcp);
    flick_suntcp_encode_new_glob(4);
    flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
    flick_xdr_encode_signed16(0, a->b);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(4);
    flick_xdr_encode_string(b->s10, null_flick_free, suntcp, 10);
    flick_suntcp_encode_new_glob(4);
    flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
    flick_xdr_encode_signed32(0, b->a);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(4);
    flick_xdr_encode_longstring(b->sx, null_flick_free, suntcp);
    flick_suntcp_encode_new_glob(4);
    flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
    flick_xdr_encode_signed16(0, b->b);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(4);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_string(b->s10, CORBA_flick_alloc, suntcp, 10);
            flick_suntcp_decode_new_glob(4);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed32(0, b->a);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(b->sx, CORBA_flick_alloc, suntcp);
            flick_suntcp_decode_new_glob(4);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed16(0, b->b);
            *c = CORBA_flick_alloc(sizeof(struct str ));
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_string((*c)->s10, CORBA_flick_alloc, suntcp, 10);
            flick_suntcp_decode_new_glob(4);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed32(0, (*c)->a);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring((*c)->sx, CORBA_flick_alloc, suntcp);
            flick_suntcp_decode_new_glob(4);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed16(0, (*c)->b);
            _return = CORBA_flick_alloc(sizeof(struct str ));
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_string(_return->s10, CORBA_flick_alloc, suntcp, 10);
            flick_suntcp_decode_new_glob(4);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed32(0, _return->a);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return->sx, CORBA_flick_alloc, suntcp);
            flick_suntcp_decode_new_glob(4);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed16(0, _return->b);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

