#include "structplain_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_geom;
	s.vers_num = _VERS_geom;

	assert(flick_server_register(s, &geom_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_coord(flick_marshal_stream_t _stream, const struct coord *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed16(0, _data->row);
  flick_xdr_encode_signed16(4, _data->col);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, struct coord *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed16(0, _data->row);
  flick_xdr_decode_signed16(4, _data->col);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_geom(flick_marshal_stream_t _stream, const geom *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_geom(flick_marshal_stream_t _stream, geom *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int geom_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t10_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t10_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t10_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t11_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t11_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t11_switch_tag)
            {
            case 'd':
              {
                char _t12_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t12_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t12_switch_tag)
                  {
                  case 'i':
                    {
                      char _t13_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t13_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t13_switch_tag)
                        {
                        case 's':
                          {
                            char _t14_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t14_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t14_switch_tag)
                              {
                              case 't':
                                {
                                  char _t15_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t15_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t15_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          geom _obj;
                                          struct coord *_local_a;
                                          struct coord *_local_b;
                                          CORBA_Environment *_ev;
                                          CORBA_short _return = 0;
                                          CORBA_Environment _t16_storage;
                                          unsigned int _t17_ignore;
                                          struct coord _t18_storage;
                                          struct coord _t19_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          _ev = &_t16_storage;
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(32);
                                          flick_xdr_decode_unsigned32(0, _t17_ignore);
                                          flick_xdr_decode_unsigned32(4, _t17_ignore);
                                          flick_xdr_decode_unsigned32(8, _t17_ignore);
                                          flick_xdr_decode_unsigned32(12, _t17_ignore);
                                          _local_a = &_t18_storage;
                                          flick_xdr_decode_signed16(16, _local_a->row);
                                          flick_xdr_decode_signed16(20, _local_a->col);
                                          _local_b = &_t19_storage;
                                          flick_xdr_decode_signed16(24, _local_b->row);
                                          flick_xdr_decode_signed16(28, _local_b->col);
                                          flick_suntcp_decode_end_chunk(32);
                                          flick_suntcp_decode_end_glob(56);
                                          flick_corba_init_environment();
                                          _return = geom_dist(_obj, _local_a, _local_b, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(8);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed16(0, _return);
                                                flick_suntcp_encode_end_chunk(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                              }
                                            }
                                          flick_suntcp_encode_end_glob(8);
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return 0;
}
