#include "test1-client.h"

void flick_marshal_stub_test1_ushort(flick_marshal_stream_t _stream, const test1_ushort *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned16(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_ushort(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned16(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1_ulong(flick_marshal_stream_t _stream, const test1_ulong *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_ulong(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1_x1(flick_marshal_stream_t _stream, const test1_x1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->case_num);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_x1(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->case_num);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1_x2(flick_marshal_stream_t _stream, const test1_x2 *_data)
{
  flick_xdr_encode_longstring(_data->name, null_flick_free, suntcp);
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_signed32(0, _data->value);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_x2(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  flick_xdr_decode_longstring(_data->name, CORBA_flick_alloc, suntcp);
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_signed32(0, _data->value);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1(flick_marshal_stream_t _stream, const test1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1(flick_marshal_stream_t _stream, test1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void test1_test_void(test1 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'v');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'i');
    flick_xdr_encode_char8(36, 'd');
    flick_xdr_encode_char8(40, 0);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_short test1_test_short(test1 _obj, CORBA_short a1, CORBA_short *a2, CORBA_short *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(72);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 'h');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'r');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_signed16(64, a1);
    flick_xdr_encode_signed16(68, *a3);
    flick_suntcp_encode_end_chunk(72);
    flick_suntcp_encode_end_glob(72);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed16(0, *a2);
            flick_xdr_decode_signed16(4, *a3);
            flick_xdr_decode_signed16(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long test1_test_long(test1 _obj, CORBA_long a1, CORBA_long *a2, CORBA_long *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'l');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 'g');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_signed32(60, a1);
    flick_xdr_encode_signed32(64, *a3);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, *a2);
            flick_xdr_decode_signed32(4, *a3);
            flick_xdr_decode_signed32(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

test1_ushort test1_test_ushort(test1 _obj, test1_ushort a1, test1_ushort *a2, test1_ushort *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  test1_ushort _return;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(76);
    flick_suntcp_encode_new_chunk(76);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'u');
    flick_xdr_encode_char8(28, 's');
    flick_xdr_encode_char8(32, 'h');
    flick_xdr_encode_char8(36, 'o');
    flick_xdr_encode_char8(40, 'r');
    flick_xdr_encode_char8(44, 't');
    flick_xdr_encode_char8(48, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_xdr_encode_unsigned16(68, a1);
    flick_xdr_encode_unsigned16(72, *a3);
    flick_suntcp_encode_end_chunk(76);
    flick_suntcp_encode_end_glob(76);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned16(0, *a2);
            flick_xdr_decode_unsigned16(4, *a3);
            flick_xdr_decode_unsigned16(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

test1_ulong test1_test_ulong(test1 _obj, test1_ulong a1, test1_ulong *a2, test1_ulong *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  test1_ulong _return;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(72);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'u');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'n');
    flick_xdr_encode_char8(40, 'g');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, a1);
    flick_xdr_encode_unsigned32(68, *a3);
    flick_suntcp_encode_end_chunk(72);
    flick_suntcp_encode_end_glob(72);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned32(0, *a2);
            flick_xdr_decode_unsigned32(4, *a3);
            flick_xdr_decode_unsigned32(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_float test1_test_float(test1 _obj, CORBA_float a1, CORBA_float *a2, CORBA_float *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(72);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'f');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'a');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_float32(64, a1);
    flick_xdr_encode_float32(68, *a3);
    flick_suntcp_encode_end_chunk(72);
    flick_suntcp_encode_end_glob(72);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float32(0, *a2);
            flick_xdr_decode_float32(4, *a3);
            flick_xdr_decode_float32(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_double test1_test_double(test1 _obj, CORBA_double a1, CORBA_double *a2, CORBA_double *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_double _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(84);
    flick_suntcp_encode_new_chunk(84);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'd');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'u');
    flick_xdr_encode_char8(36, 'b');
    flick_xdr_encode_char8(40, 'l');
    flick_xdr_encode_char8(44, 'e');
    flick_xdr_encode_char8(48, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_xdr_encode_float64(68, a1);
    flick_xdr_encode_float64(76, *a3);
    flick_suntcp_encode_end_chunk(84);
    flick_suntcp_encode_end_glob(84);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(28);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_float64(0, *a2);
            flick_xdr_decode_float64(8, *a3);
            flick_xdr_decode_float64(16, _return);
            flick_suntcp_decode_end_chunk(24);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(28);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_boolean test1_test_boolean(test1 _obj, CORBA_boolean a1, CORBA_boolean *a2, CORBA_boolean *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_boolean _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(80);
    flick_suntcp_encode_new_chunk(80);
    flick_xdr_encode_unsigned32(0, 13);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'b');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'l');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'a');
    flick_xdr_encode_char8(48, 'n');
    flick_xdr_encode_char8(52, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_xdr_encode_unsigned32(68, (unsigned int) 0);
    flick_xdr_encode_unsigned8(72, a1);
    flick_xdr_encode_unsigned8(76, *a3);
    flick_suntcp_encode_end_chunk(80);
    flick_suntcp_encode_end_glob(80);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned8(0, *a2);
            flick_xdr_decode_unsigned8(4, *a3);
            flick_xdr_decode_unsigned8(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_char test1_test_char(test1 _obj, CORBA_char a1, CORBA_char *a2, CORBA_char *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'c');
    flick_xdr_encode_char8(28, 'h');
    flick_xdr_encode_char8(32, 'a');
    flick_xdr_encode_char8(36, 'r');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_char8(60, a1);
    flick_xdr_encode_char8(64, *a3);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, *a2);
            flick_xdr_decode_char8(4, *a3);
            flick_xdr_decode_char8(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_octet test1_test_octet(test1 _obj, CORBA_octet a1, CORBA_octet *a2, CORBA_octet *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_octet _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(72);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'o');
    flick_xdr_encode_char8(28, 'c');
    flick_xdr_encode_char8(32, 't');
    flick_xdr_encode_char8(36, 'e');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned8(64, a1);
    flick_xdr_encode_unsigned8(68, *a3);
    flick_suntcp_encode_end_chunk(72);
    flick_suntcp_encode_end_glob(72);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned8(0, *a2);
            flick_xdr_decode_unsigned8(4, *a3);
            flick_xdr_decode_unsigned8(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_char *test1_test_string(test1 _obj, CORBA_char *a1, CORBA_char **a2, CORBA_char **a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 't');
    flick_xdr_encode_char8(32, 'r');
    flick_xdr_encode_char8(36, 'i');
    flick_xdr_encode_char8(40, 'n');
    flick_xdr_encode_char8(44, 'g');
    flick_xdr_encode_char8(48, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
    flick_xdr_encode_longstring(a1, null_flick_free, suntcp);
    flick_xdr_encode_longstring(*a3, CORBA_flick_free, suntcp);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(*a2, CORBA_flick_alloc, suntcp);
            flick_xdr_decode_longstring(*a3, CORBA_flick_alloc, suntcp);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void test1_test_throw(test1 _obj, CORBA_long case_num, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 't');
    flick_xdr_encode_char8(28, 'h');
    flick_xdr_encode_char8(32, 'r');
    flick_xdr_encode_char8(36, 'o');
    flick_xdr_encode_char8(40, 'w');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_signed32(64, case_num);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned8(0, _ev->_atomic_user_id);
            flick_suntcp_decode_end_chunk(4);
            switch (_ev->_atomic_user_id)
              {
              case 0:
                {
                  (test1_x1 *)(_ev->_except) = CORBA_flick_alloc(sizeof(test1_x1 ));
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed32(0, ((test1_x1 *)(_ev->_except))->case_num);
                  flick_suntcp_decode_end_chunk(4);
                  flick_suntcp_decode_end_glob(12);
                  break;
                }
              case 1:
                {
                  (test1_x2 *)(_ev->_except) = CORBA_flick_alloc(sizeof(test1_x2 ));
                  flick_suntcp_decode_end_glob(12);
                  flick_xdr_decode_longstring(((test1_x2 *)(_ev->_except))->name, CORBA_flick_alloc, suntcp);
                  flick_suntcp_decode_new_glob(4);
                  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                  flick_xdr_decode_signed32(0, ((test1_x2 *)(_ev->_except))->value);
                  flick_suntcp_decode_end_chunk(4);
                  flick_suntcp_decode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                  flick_suntcp_decode_end_glob(12);
                  break;
                }
              }
          }
        }
    }
  flick_suntcp_client_end_decode();
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void test1_please_exit(test1 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(52);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, 'p');
    flick_xdr_encode_char8(8, 'l');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 'a');
    flick_xdr_encode_char8(20, 's');
    flick_xdr_encode_char8(24, 'e');
    flick_xdr_encode_char8(28, '_');
    flick_xdr_encode_char8(32, 'e');
    flick_xdr_encode_char8(36, 'x');
    flick_xdr_encode_char8(40, 'i');
    flick_xdr_encode_char8(44, 't');
    flick_xdr_encode_char8(48, 0);
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

