#include "ttcp-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_ttcp;
	s.vers_num = _VERS_ttcp;

	assert(flick_server_register(s, &ttcp_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->xx);
  flick_xdr_encode_signed32(4, _data->yy);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->xx);
  flick_xdr_decode_signed32(4, _data->yy);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_suntcp_encode_new_glob(16);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->x.xx);
  flick_xdr_encode_signed32(4, _data->x.yy);
  flick_xdr_encode_signed32(8, _data->y.xx);
  flick_xdr_encode_signed32(12, _data->y.yy);
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->x.xx);
  flick_xdr_decode_signed32(4, _data->x.yy);
  flick_xdr_decode_signed32(8, _data->y.xx);
  flick_xdr_decode_signed32(12, _data->y.yy);
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
}

void flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, const structBuffer *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->_length);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->_buffer[_t1_array_iter].x.xx);
      flick_xdr_encode_signed32(4, _data->_buffer[_t1_array_iter].x.yy);
      flick_xdr_encode_signed32(8, _data->_buffer[_t1_array_iter].y.xx);
      flick_xdr_encode_signed32(12, _data->_buffer[_t1_array_iter].y.yy);
      flick_suntcp_encode_end_chunk(16);
    }
  flick_suntcp_encode_end_glob(16 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct b ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->_length);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->_buffer[_t3_array_iter].x.xx);
      flick_xdr_decode_signed32(4, _data->_buffer[_t3_array_iter].x.yy);
      flick_xdr_decode_signed32(8, _data->_buffer[_t3_array_iter].y.xx);
      flick_xdr_decode_signed32(12, _data->_buffer[_t3_array_iter].y.yy);
      flick_suntcp_decode_end_chunk(16);
    }
  flick_suntcp_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, const intBuffer *_data)
{
  unsigned long int _t5_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t5_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
  unsigned long int _t7_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t7_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_useless(flick_marshal_stream_t _stream, const useless *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->baloney);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->baloney);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_ttcp(flick_marshal_stream_t _stream, const ttcp *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int ttcp_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t38_switch_tag;

    flick_suntcp_decode_new_glob(68);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t38_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t38_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t39_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t39_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t39_switch_tag)
            {
            case 'i':
              {
                char _t40_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t40_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t40_switch_tag)
                  {
                  case 'n':
                    {
                      char _t41_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t41_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t41_switch_tag)
                        {
                        case 't':
                          {
                            char _t42_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t42_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t42_switch_tag)
                              {
                              case 't':
                                {
                                  char _t43_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t43_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t43_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t44_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t44_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t44_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t45_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t45_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t45_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t46_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t46_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t46_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ttcp _obj;
                                                            intBuffer *_local_data;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t47_storage;
                                                            unsigned int _t48_ignore;
                                                            intBuffer _t49_storage;
                                                            unsigned long int _t51_array_iter;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            _ev = &_t47_storage;
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t48_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t48_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t48_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t48_ignore);
                                                            _local_data = &_t49_storage;
                                                            flick_xdr_decode_unsigned32(16, _local_data->_length);
                                                            _local_data->_buffer = auto_flick_alloc(_local_data->_length * sizeof(CORBA_long ));
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(68);
                                                            flick_suntcp_decode_new_glob(4 * _local_data->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                            for (_t51_array_iter = 0; _t51_array_iter < _local_data->_length; _t51_array_iter++)
                                                              {
                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_signed32(0, _local_data->_buffer[_t51_array_iter]);
                                                                flick_suntcp_decode_end_chunk(4);
                                                              }
#else /* BIG_ENDIAN - do a bcopy*/
                                                            flick_xdr_decode_bcopy(_local_data->_buffer, sizeof(long) * _local_data->_length, suntcp);
#endif /* ENDIANness */
                                                            flick_suntcp_decode_end_glob(4 * _local_data->_length);
                                                            flick_corba_init_environment();
                                                            _return = ttcp_inttest(_obj, _local_data, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(12);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_atomic_user_id)
                                                                    {
                                                                    case 0:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, ((useless *)(_ev->_except))->baloney);
                                                                        CORBA_flick_free((useless *)(_ev->_except));
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    }
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(12);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t52_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t52_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t52_switch_tag)
            {
            case 's':
              {
                char _t53_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t53_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t53_switch_tag)
                  {
                  case 't':
                    {
                      char _t54_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t54_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t54_switch_tag)
                        {
                        case 'r':
                          {
                            char _t55_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t55_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t55_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t56_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t56_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t56_switch_tag)
                                    {
                                    case 'c':
                                      {
                                        char _t57_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t57_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t57_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t58_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t58_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t58_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t59_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t59_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t59_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t60_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t60_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t60_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t61_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t61_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t61_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t62_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t62_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t62_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              ttcp _obj;
                                                                              structBuffer *_local_data;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_long _return = 0;
                                                                              CORBA_Environment _t63_storage;
                                                                              unsigned int _t64_ignore;
                                                                              structBuffer _t65_storage;
                                                                              unsigned long int _t67_array_iter;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              _ev = &_t63_storage;
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t64_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t64_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t64_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t64_ignore);
                                                                              _local_data = &_t65_storage;
                                                                              flick_xdr_decode_unsigned32(16, _local_data->_length);
                                                                              _local_data->_buffer = auto_flick_alloc(_local_data->_length * sizeof(struct b ));
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              flick_suntcp_decode_end_glob(68);
                                                                              flick_suntcp_decode_new_glob(16 * _local_data->_length);
                                                                              for (_t67_array_iter = 0; _t67_array_iter < _local_data->_length; _t67_array_iter++)
                                                                                {
                                                                                  flick_suntcp_decode_new_chunk(16);
                                                                                  flick_xdr_decode_signed32(0, _local_data->_buffer[_t67_array_iter].x.xx);
                                                                                  flick_xdr_decode_signed32(4, _local_data->_buffer[_t67_array_iter].x.yy);
                                                                                  flick_xdr_decode_signed32(8, _local_data->_buffer[_t67_array_iter].y.xx);
                                                                                  flick_xdr_decode_signed32(12, _local_data->_buffer[_t67_array_iter].y.yy);
                                                                                  flick_suntcp_decode_end_chunk(16);
                                                                                }
                                                                              flick_suntcp_decode_end_glob(16 * _local_data->_length);
                                                                              flick_corba_init_environment();
                                                                              _return = ttcp_structtest(_obj, _local_data, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(12);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _return);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_atomic_user_id)
                                                                                      {
                                                                                      case 0:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, ((useless *)(_ev->_except))->baloney);
                                                                                          CORBA_flick_free((useless *)(_ev->_except));
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(12);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(68);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(68);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(68);
          break;
        }
      }
  }
  return 0;
}
