#include "parm_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &test_server, "test_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &test_server, "test_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration_swap(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_FStruct_swap(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data)
{
  flick_cdr_encode_longstring(_data->a, CORBA_flick_free, iiop);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_cdr_decode_longstring(_data->a, CORBA_flick_alloc, iiop);
}

void flick_unmarshal_stub_VStruct_swap(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_cdr_swap_decode_longstring(_data->a, CORBA_flick_alloc, iiop);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_FUnion_swap(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_end_glob(5);
        flick_cdr_encode_longstring(_data->_u.a, CORBA_flick_free, iiop);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_end_glob(5);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(5);
        flick_cdr_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        flick_iiop_decode_end_glob(5);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion_swap(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(5);
        flick_cdr_swap_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        flick_iiop_decode_end_glob(5);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 10;
  flick_iiop_encode_new_glob(40);
#if 0 /* We never byte swap on encoding */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t0_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(40);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 10;
  flick_iiop_decode_new_glob(40);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t3_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(40);
}

void flick_unmarshal_stub_test_arr_swap(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  _t6_array_length = 10;
  flick_iiop_decode_new_glob(40);
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t8_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(40);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
  unsigned long int _t10_array_iter;

  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t10_array_iter = 0; _t10_array_iter < _data->_length; _t10_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->_buffer[_t10_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif /* alway bcopy */
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  unsigned long int _t12_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t12_array_iter = 0; _t12_array_iter < _data->_length; _t12_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->_buffer[_t12_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_test_seq_swap(flick_marshal_stream_t _stream, test_seq *_data)
{
  unsigned long int _t14_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
  for (_t14_array_iter = 0; _t14_array_iter < _data->_length; _t14_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t14_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t714_switch_tag;

    flick_iiop_decode_new_glob(108);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t714_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t714_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t715_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t715_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t715_switch_tag)
            {
            case 'S':
              {
                char _t716_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t716_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t716_switch_tag)
                  {
                  case 'h':
                    {
                      char _t717_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t717_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t717_switch_tag)
                        {
                        case 'o':
                          {
                            char _t718_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t718_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t718_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t719_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t719_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t719_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t720_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t720_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t720_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_short _local_a;
                                                CORBA_short *_local_b;
                                                CORBA_short *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_short _return = 0;
                                                CORBA_short _t721_storage;
                                                CORBA_Environment _t722_storage;
                                                unsigned int _t723_principal;
                                                CORBA_short _t724_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t721_storage;
                                                _ev = &_t722_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(10);
                                                flick_cdr_swap_decode_unsigned32(2, _t723_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_swap_decode_signed16(6, _local_a);
                                                _local_b = &_t724_storage;
                                                flick_cdr_swap_decode_signed16(8, *_local_b);
                                                flick_iiop_decode_end_chunk(10);
                                                flick_iiop_decode_end_glob(108);
                                                flick_corba_init_environment();
                                                _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(10);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(6);
                                                      flick_cdr_encode_signed16(0, *_local_b);
                                                      flick_cdr_encode_signed16(2, *_local_c);
                                                      flick_cdr_encode_signed16(4, _return);
                                                      flick_iiop_encode_end_chunk(6);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(10);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'U':
              {
                char _t725_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t725_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t725_switch_tag)
                  {
                  case 'L':
                    {
                      char _t726_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t726_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t726_switch_tag)
                        {
                        case 'o':
                          {
                            char _t727_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t727_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t727_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t728_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t728_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t728_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t729_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t729_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t729_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_unsigned_long _local_a;
                                                CORBA_unsigned_long *_local_b;
                                                CORBA_unsigned_long *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_unsigned_long _return = 0;
                                                CORBA_unsigned_long _t730_storage;
                                                CORBA_Environment _t731_storage;
                                                unsigned int _t732_principal;
                                                CORBA_unsigned_long _t733_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t730_storage;
                                                _ev = &_t731_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(14);
                                                flick_cdr_swap_decode_unsigned32(2, _t732_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_swap_decode_unsigned32(6, _local_a);
                                                _local_b = &_t733_storage;
                                                flick_cdr_swap_decode_unsigned32(10, *_local_b);
                                                flick_iiop_decode_end_chunk(14);
                                                flick_iiop_decode_end_glob(108);
                                                flick_corba_init_environment();
                                                _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(16);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(12);
                                                      flick_cdr_encode_unsigned32(0, *_local_b);
                                                      flick_cdr_encode_unsigned32(4, *_local_c);
                                                      flick_cdr_encode_unsigned32(8, _return);
                                                      flick_iiop_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(16);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'F':
              {
                char _t734_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t734_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t734_switch_tag)
                  {
                  case 'l':
                    {
                      char _t735_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t735_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t735_switch_tag)
                        {
                        case 'o':
                          {
                            char _t736_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t736_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t736_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t737_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t737_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t737_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t738_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t738_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t738_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_float _local_a;
                                                CORBA_float *_local_b;
                                                CORBA_float *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_float _return = 0.000000;
                                                CORBA_float _t739_storage;
                                                CORBA_Environment _t740_storage;
                                                unsigned int _t741_principal;
                                                CORBA_float _t742_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t739_storage;
                                                _ev = &_t740_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(14);
                                                flick_cdr_swap_decode_unsigned32(2, _t741_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_swap_decode_float32(6, _local_a);
                                                _local_b = &_t742_storage;
                                                flick_cdr_swap_decode_float32(10, *_local_b);
                                                flick_iiop_decode_end_chunk(14);
                                                flick_iiop_decode_end_glob(108);
                                                flick_corba_init_environment();
                                                _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(16);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(12);
                                                      flick_cdr_encode_float32(0, *_local_b);
                                                      flick_cdr_encode_float32(4, *_local_c);
                                                      flick_cdr_encode_float32(8, _return);
                                                      flick_iiop_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(16);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'O':
              {
                char _t743_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t743_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t743_switch_tag)
                  {
                  case 'c':
                    {
                      char _t744_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t744_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t744_switch_tag)
                        {
                        case 't':
                          {
                            char _t745_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t745_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t745_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t746_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t746_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t746_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t747_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t747_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t747_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_octet _local_a;
                                                CORBA_octet *_local_b;
                                                CORBA_octet *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_octet _return = 0;
                                                CORBA_octet _t748_storage;
                                                CORBA_Environment _t749_storage;
                                                unsigned int _t750_principal;
                                                CORBA_octet _t751_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t748_storage;
                                                _ev = &_t749_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(8);
                                                flick_cdr_swap_decode_unsigned32(2, _t750_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_swap_decode_unsigned8(6, _local_a);
                                                _local_b = &_t751_storage;
                                                flick_cdr_swap_decode_unsigned8(7, *_local_b);
                                                flick_iiop_decode_end_chunk(8);
                                                flick_iiop_decode_end_glob(108);
                                                flick_corba_init_environment();
                                                _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(7);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(3);
                                                      flick_cdr_encode_unsigned8(0, *_local_b);
                                                      flick_cdr_encode_unsigned8(1, *_local_c);
                                                      flick_cdr_encode_unsigned8(2, _return);
                                                      flick_iiop_encode_end_chunk(3);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(7);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'A':
              {
                char _t752_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t752_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t752_switch_tag)
                  {
                  case 'r':
                    {
                      char _t753_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t753_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t753_switch_tag)
                        {
                        case 'r':
                          {
                            char _t754_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t754_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t754_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t755_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t755_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t755_switch_tag)
                                    {
                                    case 'y':
                                      {
                                        char _t756_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t756_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t756_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                test_arr _local_a;
                                                test_arr _local_b;
                                                test_arr _local_c;
                                                CORBA_Environment *_ev;
                                                test_arr *_return = 0;
                                                CORBA_Environment _t757_storage;
                                                unsigned int _t758_principal;
                                                flick_unsigned8_t _t759_array_length;
                                                flick_unsigned8_t _t761_array_iter;
                                                flick_unsigned8_t _t762_array_length;
                                                flick_unsigned8_t _t764_array_iter;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _ev = &_t757_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t758_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                _t759_array_length = 10;
                                                flick_iiop_decode_end_chunk(6);
                                                for (_t761_array_iter = 0; _t761_array_iter < _t759_array_length; _t761_array_iter++)
                                                  {
                                                    flick_iiop_decode_new_chunk(4);
                                                    flick_cdr_swap_decode_signed32(0, _local_a[_t761_array_iter]);
                                                    flick_iiop_decode_end_chunk(4);
                                                  }
                                                _t762_array_length = 10;
                                                for (_t764_array_iter = 0; _t764_array_iter < _t762_array_length; _t764_array_iter++)
                                                  {
                                                    flick_iiop_decode_new_chunk(4);
                                                    flick_cdr_swap_decode_signed32(0, _local_b[_t764_array_iter]);
                                                    flick_iiop_decode_end_chunk(4);
                                                  }
                                                flick_iiop_decode_end_glob(108);
                                                flick_corba_init_environment();
                                                _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(124);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_unsigned8_t _t774_array_length;
                                                      flick_unsigned8_t _t776_array_iter;
                                                      flick_unsigned8_t _t777_array_length;
                                                      flick_unsigned8_t _t779_array_iter;
                                                      flick_unsigned8_t _t780_array_length;
                                                      flick_unsigned8_t _t782_array_iter;

                                                      /* Begin encode phase on parameters */
                                                      _t774_array_length = 10;
#if 0 /* We never byte swap on encoding */
                                                      for (_t776_array_iter = 0; _t776_array_iter < _t774_array_length; _t776_array_iter++)
                                                        {
                                                          flick_iiop_encode_new_chunk(4);
                                                          flick_cdr_encode_signed32(0, _local_b[_t776_array_iter]);
                                                          flick_iiop_encode_end_chunk(4);
                                                        }
#else /* Always bcopy */
                                                      flick_cdr_encode_bcopy(_local_b, sizeof(long) * _t774_array_length, iiop);
#endif /* alway bcopy */
                                                      _t777_array_length = 10;
#if 0 /* We never byte swap on encoding */
                                                      for (_t779_array_iter = 0; _t779_array_iter < _t777_array_length; _t779_array_iter++)
                                                        {
                                                          flick_iiop_encode_new_chunk(4);
                                                          flick_cdr_encode_signed32(0, _local_c[_t779_array_iter]);
                                                          flick_iiop_encode_end_chunk(4);
                                                        }
#else /* Always bcopy */
                                                      flick_cdr_encode_bcopy(_local_c, sizeof(long) * _t777_array_length, iiop);
#endif /* alway bcopy */
                                                      _t780_array_length = 10;
#if 0 /* We never byte swap on encoding */
                                                      for (_t782_array_iter = 0; _t782_array_iter < _t780_array_length; _t782_array_iter++)
                                                        {
                                                          flick_iiop_encode_new_chunk(4);
                                                          flick_cdr_encode_signed32(0, (*_return)[_t782_array_iter]);
                                                          flick_iiop_encode_end_chunk(4);
                                                        }
#else /* Always bcopy */
                                                      flick_cdr_encode_bcopy(*_return, sizeof(long) * _t780_array_length, iiop);
#endif /* alway bcopy */
                                                      CORBA_flick_free(_return);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(124);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t783_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t783_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t783_switch_tag)
            {
            case 'L':
              {
                char _t784_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t784_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t784_switch_tag)
                  {
                  case 'o':
                    {
                      char _t785_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t785_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t785_switch_tag)
                        {
                        case 'n':
                          {
                            char _t786_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t786_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t786_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t787_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t787_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t787_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          CORBA_long _local_a;
                                          CORBA_long *_local_b;
                                          CORBA_long *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          CORBA_long _t788_storage;
                                          CORBA_Environment _t789_storage;
                                          unsigned int _t790_principal;
                                          CORBA_long _t791_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_c = &_t788_storage;
                                          _ev = &_t789_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(15);
                                          flick_cdr_swap_decode_unsigned32(3, _t790_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_swap_decode_signed32(7, _local_a);
                                          _local_b = &_t791_storage;
                                          flick_cdr_swap_decode_signed32(11, *_local_b);
                                          flick_iiop_decode_end_chunk(15);
                                          flick_iiop_decode_end_glob(108);
                                          flick_corba_init_environment();
                                          _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(16);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(12);
                                                flick_cdr_encode_signed32(0, *_local_b);
                                                flick_cdr_encode_signed32(4, *_local_c);
                                                flick_cdr_encode_signed32(8, _return);
                                                flick_iiop_encode_end_chunk(12);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(16);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'C':
              {
                char _t792_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t792_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t792_switch_tag)
                  {
                  case 'h':
                    {
                      char _t793_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t793_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t793_switch_tag)
                        {
                        case 'a':
                          {
                            char _t794_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t794_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t794_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t795_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t795_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t795_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          CORBA_char _local_a;
                                          CORBA_char *_local_b;
                                          CORBA_char *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_char _return = 0;
                                          CORBA_char _t796_storage;
                                          CORBA_Environment _t797_storage;
                                          unsigned int _t798_principal;
                                          CORBA_char _t799_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_c = &_t796_storage;
                                          _ev = &_t797_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(9);
                                          flick_cdr_swap_decode_unsigned32(3, _t798_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_swap_decode_char8(7, _local_a);
                                          _local_b = &_t799_storage;
                                          flick_cdr_swap_decode_char8(8, *_local_b);
                                          flick_iiop_decode_end_chunk(9);
                                          flick_iiop_decode_end_glob(108);
                                          flick_corba_init_environment();
                                          _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(7);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(3);
                                                flick_cdr_encode_char8(0, *_local_b);
                                                flick_cdr_encode_char8(1, *_local_c);
                                                flick_cdr_encode_char8(2, _return);
                                                flick_iiop_encode_end_chunk(3);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'E':
              {
                char _t800_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t800_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t800_switch_tag)
                  {
                  case 'n':
                    {
                      char _t801_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t801_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t801_switch_tag)
                        {
                        case 'u':
                          {
                            char _t802_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t802_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t802_switch_tag)
                              {
                              case 'm':
                                {
                                  char _t803_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t803_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t803_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          Enumeration _local_a;
                                          Enumeration *_local_b;
                                          Enumeration *_local_c;
                                          CORBA_Environment *_ev;
                                          Enumeration _return;
                                          Enumeration _t804_storage;
                                          CORBA_Environment _t805_storage;
                                          unsigned int _t806_principal;
                                          Enumeration _t807_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_c = &_t804_storage;
                                          _ev = &_t805_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(15);
                                          flick_cdr_swap_decode_unsigned32(3, _t806_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_swap_decode_unsigned32(7, _local_a);
                                          _local_b = &_t807_storage;
                                          flick_cdr_swap_decode_unsigned32(11, *_local_b);
                                          flick_iiop_decode_end_chunk(15);
                                          flick_iiop_decode_end_glob(108);
                                          flick_corba_init_environment();
                                          _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(16);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(12);
                                                flick_cdr_encode_unsigned32(0, *_local_b);
                                                flick_cdr_encode_unsigned32(4, *_local_c);
                                                flick_cdr_encode_unsigned32(8, _return);
                                                flick_iiop_encode_end_chunk(12);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(16);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t808_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t808_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t808_switch_tag)
            {
            case 'U':
              {
                char _t809_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t809_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t809_switch_tag)
                  {
                  case 'S':
                    {
                      char _t810_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t810_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t810_switch_tag)
                        {
                        case 'h':
                          {
                            char _t811_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t811_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t811_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t812_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t812_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t812_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t813_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t813_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t813_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t814_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t814_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t814_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      CORBA_unsigned_short _local_a;
                                                      CORBA_unsigned_short *_local_b;
                                                      CORBA_unsigned_short *_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_unsigned_short _return = 0;
                                                      CORBA_unsigned_short _t815_storage;
                                                      CORBA_Environment _t816_storage;
                                                      unsigned int _t817_principal;
                                                      CORBA_unsigned_short _t818_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_c = &_t815_storage;
                                                      _ev = &_t816_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(9);
                                                      flick_cdr_swap_decode_unsigned32(1, _t817_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_cdr_swap_decode_unsigned16(5, _local_a);
                                                      _local_b = &_t818_storage;
                                                      flick_cdr_swap_decode_unsigned16(7, *_local_b);
                                                      flick_iiop_decode_end_chunk(9);
                                                      flick_iiop_decode_end_glob(108);
                                                      flick_corba_init_environment();
                                                      _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(10);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(6);
                                                            flick_cdr_encode_unsigned16(0, *_local_b);
                                                            flick_cdr_encode_unsigned16(2, *_local_c);
                                                            flick_cdr_encode_unsigned16(4, _return);
                                                            flick_iiop_encode_end_chunk(6);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(10);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'S':
              {
                char _t819_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t819_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t819_switch_tag)
                  {
                  case 't':
                    {
                      char _t820_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t820_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t820_switch_tag)
                        {
                        case 'r':
                          {
                            char _t821_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t821_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t821_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t822_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t822_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t822_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t823_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t823_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t823_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t824_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t824_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t824_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      CORBA_char *_local_a;
                                                      CORBA_char **_local_b;
                                                      CORBA_char **_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_char *_return = 0;
                                                      CORBA_char *_t825_storage;
                                                      CORBA_Environment _t826_storage;
                                                      unsigned int _t827_principal;
                                                      CORBA_char *_t828_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_c = &_t825_storage;
                                                      _ev = &_t826_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t827_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(108);
                                                      flick_cdr_swap_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                                                      _local_b = &_t828_storage;
                                                      flick_cdr_swap_decode_longstring(*_local_b, CORBA_flick_alloc, iiop);
                                                      flick_corba_init_environment();
                                                      _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_cdr_encode_longstring(*_local_b, CORBA_flick_free, iiop);
                                                            flick_cdr_encode_longstring(*_local_c, CORBA_flick_free, iiop);
                                                            flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t829_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t829_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t829_switch_tag)
            {
            case 'B':
              {
                char _t830_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t830_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t830_switch_tag)
                  {
                  case 'o':
                    {
                      char _t831_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t831_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t831_switch_tag)
                        {
                        case 'o':
                          {
                            char _t832_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t832_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t832_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t833_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t833_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t833_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t834_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t834_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t834_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t835_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t835_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t835_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t836_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t836_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t836_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            test _obj;
                                                            CORBA_boolean _local_a;
                                                            CORBA_boolean *_local_b;
                                                            CORBA_boolean *_local_c;
                                                            CORBA_Environment *_ev;
                                                            CORBA_boolean _return = 0;
                                                            CORBA_boolean _t837_storage;
                                                            CORBA_Environment _t838_storage;
                                                            unsigned int _t839_principal;
                                                            CORBA_boolean _t840_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _local_c = &_t837_storage;
                                                            _ev = &_t838_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(0, _t839_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_swap_decode_unsigned8(4, _local_a);
                                                            _local_b = &_t840_storage;
                                                            flick_cdr_swap_decode_unsigned8(5, *_local_b);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(108);
                                                            flick_corba_init_environment();
                                                            _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(7);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(3);
                                                                  flick_cdr_encode_unsigned8(0, *_local_b);
                                                                  flick_cdr_encode_unsigned8(1, *_local_c);
                                                                  flick_cdr_encode_unsigned8(2, _return);
                                                                  flick_iiop_encode_end_chunk(3);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(7);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t841_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t841_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t841_switch_tag)
            {
            case 'F':
              {
                char _t842_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t842_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t842_switch_tag)
                  {
                  case 'i':
                    {
                      char _t843_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t843_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t843_switch_tag)
                        {
                        case 'x':
                          {
                            char _t844_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t844_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t844_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t845_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t845_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t845_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t846_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t846_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t846_switch_tag)
                                          {
                                          case 'S':
                                            {
                                              char _t847_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t847_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t847_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t848_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t848_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t848_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t849_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t849_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t849_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t850_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t850_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t850_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t851_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t851_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t851_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t852_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t852_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t852_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test _obj;
                                                                                    struct FStruct *_local_a;
                                                                                    struct FStruct *_local_b;
                                                                                    struct FStruct *_local_c;
                                                                                    CORBA_Environment *_ev;
                                                                                    struct FStruct _return;
                                                                                    struct FStruct _t853_storage;
                                                                                    CORBA_Environment _t854_storage;
                                                                                    unsigned int _t855_principal;
                                                                                    struct FStruct _t856_storage;
                                                                                    struct FStruct _t857_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _local_c = &_t853_storage;
                                                                                    _ev = &_t854_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(8);
                                                                                    flick_cdr_swap_decode_unsigned32(0, _t855_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    _local_a = &_t856_storage;
                                                                                    flick_cdr_swap_decode_signed16(4, _local_a->a);
                                                                                    _local_b = &_t857_storage;
                                                                                    flick_cdr_swap_decode_signed16(6, _local_b->a);
                                                                                    flick_iiop_decode_end_chunk(8);
                                                                                    flick_iiop_decode_end_glob(108);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(10);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_new_chunk(6);
                                                                                          flick_cdr_encode_signed16(0, _local_b->a);
                                                                                          flick_cdr_encode_signed16(2, _local_c->a);
                                                                                          flick_cdr_encode_signed16(4, _return.a);
                                                                                          flick_iiop_encode_end_chunk(6);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_end_glob(10);
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(108);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(108);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(108);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(108);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'B':
              {
                char _t858_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t858_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t858_switch_tag)
                  {
                  case 'o':
                    {
                      char _t859_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t859_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t859_switch_tag)
                        {
                        case 'u':
                          {
                            char _t860_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t860_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t860_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t861_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t861_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t861_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t862_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t862_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t862_switch_tag)
                                          {
                                          case 'S':
                                            {
                                              char _t863_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t863_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t863_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t864_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t864_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t864_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t865_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t865_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t865_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t866_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t866_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t866_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t867_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t867_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t867_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t868_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t868_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t868_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test _obj;
                                                                                    CORBA_char *_local_a;
                                                                                    CORBA_char **_local_b;
                                                                                    CORBA_char **_local_c;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_char *_return = 0;
                                                                                    CORBA_char *_t869_storage;
                                                                                    CORBA_Environment _t870_storage;
                                                                                    unsigned int _t871_principal;
                                                                                    CORBA_char *_t872_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _local_c = &_t869_storage;
                                                                                    _ev = &_t870_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(4);
                                                                                    flick_cdr_swap_decode_unsigned32(0, _t871_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    flick_iiop_decode_end_chunk(4);
                                                                                    flick_iiop_decode_end_glob(108);
                                                                                    flick_cdr_swap_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                                                                                    _local_b = &_t872_storage;
                                                                                    flick_cdr_swap_decode_string(*_local_b, CORBA_flick_alloc, iiop, 20);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(4);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                          flick_cdr_encode_string(*_local_b, CORBA_flick_free, iiop, 20);
                                                                                          flick_cdr_encode_string(*_local_c, CORBA_flick_free, iiop, 20);
                                                                                          flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 20);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(108);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(108);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(108);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(108);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t873_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t873_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t873_switch_tag)
            {
            case 'V':
              {
                char _t874_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t874_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t874_switch_tag)
                  {
                  case 'a':
                    {
                      char _t875_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t875_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t875_switch_tag)
                        {
                        case 'r':
                          {
                            char _t876_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t876_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t876_switch_tag)
                              {
                              case 'S':
                                {
                                  char _t877_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t877_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t877_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t878_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t878_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t878_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t879_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t879_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t879_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t880_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t880_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t880_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t881_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t881_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t881_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t882_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t882_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t882_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test _obj;
                                                                        struct VStruct *_local_a;
                                                                        struct VStruct *_local_b;
                                                                        struct VStruct **_local_c;
                                                                        CORBA_Environment *_ev;
                                                                        struct VStruct *_return = 0;
                                                                        struct VStruct *_t883_storage;
                                                                        CORBA_Environment _t884_storage;
                                                                        unsigned int _t885_principal;
                                                                        struct VStruct _t886_storage;
                                                                        struct VStruct _t887_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_c = &_t883_storage;
                                                                        _ev = &_t884_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(6);
                                                                        flick_cdr_swap_decode_unsigned32(2, _t885_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_a = &_t886_storage;
                                                                        flick_iiop_decode_end_chunk(6);
                                                                        flick_iiop_decode_end_glob(108);
                                                                        flick_cdr_swap_decode_auto_string(_local_a->a, auto_flick_alloc, iiop);
                                                                        _local_b = &_t887_storage;
                                                                        flick_cdr_swap_decode_longstring(_local_b->a, CORBA_flick_alloc, iiop);
                                                                        flick_corba_init_environment();
                                                                        _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(4);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_end_glob(4);
                                                                              flick_cdr_encode_longstring(_local_b->a, CORBA_flick_free, iiop);
                                                                              flick_cdr_encode_longstring((*_local_c)->a, CORBA_flick_free, iiop);
                                                                              CORBA_flick_free(*_local_c);
                                                                              flick_cdr_encode_longstring(_return->a, CORBA_flick_free, iiop);
                                                                              CORBA_flick_free(_return);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              flick_iiop_encode_end_glob(4);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                              flick_iiop_encode_end_glob(4);
                                                                            }
                                                                          }
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(108);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(108);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t888_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t888_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t888_switch_tag)
            {
            case 'F':
              {
                char _t889_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t889_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t889_switch_tag)
                  {
                  case 'i':
                    {
                      char _t890_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t890_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t890_switch_tag)
                        {
                        case 'x':
                          {
                            char _t891_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t891_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t891_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t892_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t892_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t892_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t893_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t893_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t893_switch_tag)
                                          {
                                          case 'U':
                                            {
                                              char _t894_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t894_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t894_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t895_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t895_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t895_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t896_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t896_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t896_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t897_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t897_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t897_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t898_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t898_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t898_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test _obj;
                                                                              struct FUnion *_local_a;
                                                                              struct FUnion *_local_b;
                                                                              struct FUnion *_local_c;
                                                                              CORBA_Environment *_ev;
                                                                              struct FUnion _return;
                                                                              struct FUnion _t899_storage;
                                                                              CORBA_Environment _t900_storage;
                                                                              unsigned int _t901_principal;
                                                                              struct FUnion _t902_storage;
                                                                              struct FUnion _t903_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _local_c = &_t899_storage;
                                                                              _ev = &_t900_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(9);
                                                                              flick_cdr_swap_decode_unsigned32(1, _t901_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              _local_a = &_t902_storage;
                                                                              flick_cdr_swap_decode_signed32(5, _local_a->_d);
                                                                              flick_iiop_decode_end_chunk(9);
                                                                              switch (_local_a->_d)
                                                                                {
                                                                                case 1:
                                                                                  {
                                                                                    flick_iiop_decode_new_chunk(4);
                                                                                    flick_cdr_swap_decode_signed32(0, _local_a->_u.x);
                                                                                    flick_iiop_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                    flick_cdr_swap_decode_char8(0, _local_a->_u.z);
                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              _local_b = &_t903_storage;
                                                                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                                              flick_cdr_swap_decode_signed32(0, _local_b->_d);
                                                                              flick_iiop_decode_end_chunk(4);
                                                                              switch (_local_b->_d)
                                                                                {
                                                                                case 1:
                                                                                  {
                                                                                    flick_iiop_decode_new_chunk(4);
                                                                                    flick_cdr_swap_decode_signed32(0, _local_b->_u.x);
                                                                                    flick_iiop_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                    flick_cdr_swap_decode_char8(0, _local_b->_u.z);
                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              flick_iiop_decode_end_glob(108);
                                                                              flick_corba_init_environment();
                                                                              _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(28);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _local_b->_d);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_local_b->_d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_signed32(0, _local_b->_u.x);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(1);
                                                                                          flick_cdr_encode_char8(0, _local_b->_u.z);
                                                                                          flick_iiop_encode_end_chunk(1);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                                    flick_cdr_encode_signed32(0, _local_c->_d);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_local_c->_d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_signed32(0, _local_c->_u.x);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(1);
                                                                                          flick_cdr_encode_char8(0, _local_c->_u.z);
                                                                                          flick_iiop_encode_end_chunk(1);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                                    flick_cdr_encode_signed32(0, _return._d);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_return._d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_signed32(0, _return._u.x);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(1);
                                                                                          flick_cdr_encode_char8(0, _return._u.z);
                                                                                          flick_iiop_encode_end_chunk(1);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(28);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(108);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(108);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(108);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t904_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t904_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t904_switch_tag)
            {
            case 'V':
              {
                char _t905_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t905_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t905_switch_tag)
                  {
                  case 'a':
                    {
                      char _t906_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t906_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t906_switch_tag)
                        {
                        case 'r':
                          {
                            char _t907_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t907_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t907_switch_tag)
                              {
                              case 'U':
                                {
                                  char _t908_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t908_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t908_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t909_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t909_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t909_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t910_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t910_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t910_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t911_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t911_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t911_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t912_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t912_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t912_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  struct VUnion *_local_a;
                                                                  struct VUnion *_local_b;
                                                                  struct VUnion **_local_c;
                                                                  CORBA_Environment *_ev;
                                                                  struct VUnion *_return = 0;
                                                                  struct VUnion *_t913_storage;
                                                                  CORBA_Environment _t914_storage;
                                                                  unsigned int _t915_principal;
                                                                  struct VUnion _t916_storage;
                                                                  struct VUnion _t917_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _local_c = &_t913_storage;
                                                                  _ev = &_t914_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t915_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_a = &_t916_storage;
                                                                  flick_cdr_swap_decode_signed32(7, _local_a->_d);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  switch (_local_a->_d)
                                                                    {
                                                                    case 1:
                                                                      {
                                                                        flick_iiop_decode_end_glob(108);
                                                                        flick_cdr_swap_decode_auto_string(_local_a->_u.a, auto_flick_alloc, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_iiop_decode_new_chunk(1);
                                                                        flick_cdr_swap_decode_char8(0, _local_a->_u.z);
                                                                        flick_iiop_decode_end_chunk(1);
                                                                        flick_iiop_decode_end_glob(108);
                                                                        break;
                                                                      }
                                                                    }
                                                                  _local_b = &_t917_storage;
                                                                  flick_iiop_decode_new_glob(5);
                                                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                                  flick_cdr_swap_decode_signed32(0, _local_b->_d);
                                                                  flick_iiop_decode_end_chunk(4);
                                                                  switch (_local_b->_d)
                                                                    {
                                                                    case 1:
                                                                      {
                                                                        flick_iiop_decode_end_glob(5);
                                                                        flick_cdr_swap_decode_longstring(_local_b->_u.a, CORBA_flick_alloc, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_iiop_decode_new_chunk(1);
                                                                        flick_cdr_swap_decode_char8(0, _local_b->_u.z);
                                                                        flick_iiop_decode_end_chunk(1);
                                                                        flick_iiop_decode_end_glob(5);
                                                                        break;
                                                                      }
                                                                    }
                                                                  flick_corba_init_environment();
                                                                  _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(9);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _local_b->_d);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_local_b->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_iiop_encode_end_glob(9);
                                                                              flick_cdr_encode_longstring(_local_b->_u.a, CORBA_flick_free, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_b->_u.z);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_end_glob(9);
                                                                              break;
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_new_glob(5);
                                                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                        flick_cdr_encode_signed32(0, (*_local_c)->_d);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch ((*_local_c)->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_iiop_encode_end_glob(5);
                                                                              flick_cdr_encode_longstring((*_local_c)->_u.a, CORBA_flick_free, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, (*_local_c)->_u.z);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_end_glob(5);
                                                                              break;
                                                                            }
                                                                          }
                                                                        CORBA_flick_free(*_local_c);
                                                                        flick_iiop_encode_new_glob(5);
                                                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                        flick_cdr_encode_signed32(0, _return->_d);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_return->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_iiop_encode_end_glob(5);
                                                                              flick_cdr_encode_longstring(_return->_u.a, CORBA_flick_free, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _return->_u.z);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_end_glob(5);
                                                                              break;
                                                                            }
                                                                          }
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        flick_iiop_encode_end_glob(9);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                        flick_iiop_encode_end_glob(9);
                                                                      }
                                                                    }
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(108);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'S':
              {
                char _t918_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t918_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t918_switch_tag)
                  {
                  case 'e':
                    {
                      char _t919_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t919_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t919_switch_tag)
                        {
                        case 'q':
                          {
                            char _t920_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t920_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t920_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t921_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t921_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t921_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t922_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t922_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t922_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t923_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t923_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t923_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t924_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t924_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t924_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t925_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t925_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t925_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  test_seq *_local_a;
                                                                  test_seq *_local_b;
                                                                  test_seq **_local_c;
                                                                  CORBA_Environment *_ev;
                                                                  test_seq *_return = 0;
                                                                  test_seq *_t926_storage;
                                                                  CORBA_Environment _t927_storage;
                                                                  unsigned int _t928_principal;
                                                                  test_seq _t929_storage;
                                                                  unsigned long int _t931_array_iter;
                                                                  test_seq _t932_storage;
                                                                  unsigned long int _t934_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _local_c = &_t926_storage;
                                                                  _ev = &_t927_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t928_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_a = &_t929_storage;
                                                                  flick_cdr_swap_decode_unsigned32(7, _local_a->_length);
                                                                  _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  for (_t931_array_iter = 0; _t931_array_iter < _local_a->_length; _t931_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(4);
                                                                      flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t931_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
                                                                  _local_b = &_t932_storage;
                                                                  flick_iiop_decode_new_chunk(4);
                                                                  flick_cdr_swap_decode_unsigned32(0, _local_b->_length);
                                                                  _local_b->_buffer = CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long ));
                                                                  flick_iiop_decode_end_chunk(4);
                                                                  for (_t934_array_iter = 0; _t934_array_iter < _local_b->_length; _t934_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(4);
                                                                      flick_cdr_swap_decode_signed32(0, _local_b->_buffer[_t934_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
                                                                  flick_iiop_decode_end_glob(108);
                                                                  flick_corba_init_environment();
                                                                  _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(136);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t942_array_iter;
                                                                        unsigned long int _t944_array_iter;
                                                                        unsigned long int _t946_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, _local_b->_length);
                                                                        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t942_array_iter = 0; _t942_array_iter < _local_b->_length; _t942_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _local_b->_buffer[_t942_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_b->_buffer, sizeof(long) * _local_b->_length, iiop);
#endif /* alway bcopy */
                                                                        CORBA_flick_free(_local_b->_buffer);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, (*_local_c)->_length);
                                                                        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t944_array_iter = 0; _t944_array_iter < (*_local_c)->_length; _t944_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, (*_local_c)->_buffer[_t944_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy((*_local_c)->_buffer, sizeof(long) * (*_local_c)->_length, iiop);
#endif /* alway bcopy */
                                                                        CORBA_flick_free((*_local_c)->_buffer);
                                                                        CORBA_flick_free(*_local_c);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, _return->_length);
                                                                        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t946_array_iter = 0; _t946_array_iter < _return->_length; _t946_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _return->_buffer[_t946_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return->_buffer, sizeof(long) * _return->_length, iiop);
#endif /* alway bcopy */
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(136);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(108);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(108);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t248_switch_tag;

    flick_iiop_decode_new_glob(108);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t248_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t248_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t249_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t249_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t249_switch_tag)
            {
            case 'S':
              {
                char _t250_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t250_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t250_switch_tag)
                  {
                  case 'h':
                    {
                      char _t251_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t251_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t251_switch_tag)
                        {
                        case 'o':
                          {
                            char _t252_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t252_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t252_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t253_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t253_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t253_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t254_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t254_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t254_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_short _local_a;
                                                CORBA_short *_local_b;
                                                CORBA_short *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_short _return = 0;
                                                CORBA_short _t255_storage;
                                                CORBA_Environment _t256_storage;
                                                unsigned int _t257_principal;
                                                CORBA_short _t258_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t255_storage;
                                                _ev = &_t256_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(10);
                                                flick_cdr_decode_unsigned32(2, _t257_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_decode_signed16(6, _local_a);
                                                _local_b = &_t258_storage;
                                                flick_cdr_decode_signed16(8, *_local_b);
                                                flick_iiop_decode_end_chunk(10);
                                                flick_iiop_decode_end_glob(108);
                                                flick_corba_init_environment();
                                                _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(10);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(6);
                                                      flick_cdr_encode_signed16(0, *_local_b);
                                                      flick_cdr_encode_signed16(2, *_local_c);
                                                      flick_cdr_encode_signed16(4, _return);
                                                      flick_iiop_encode_end_chunk(6);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(10);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'U':
              {
                char _t259_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t259_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t259_switch_tag)
                  {
                  case 'L':
                    {
                      char _t260_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t260_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t260_switch_tag)
                        {
                        case 'o':
                          {
                            char _t261_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t261_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t261_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t262_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t262_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t262_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t263_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t263_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t263_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_unsigned_long _local_a;
                                                CORBA_unsigned_long *_local_b;
                                                CORBA_unsigned_long *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_unsigned_long _return = 0;
                                                CORBA_unsigned_long _t264_storage;
                                                CORBA_Environment _t265_storage;
                                                unsigned int _t266_principal;
                                                CORBA_unsigned_long _t267_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t264_storage;
                                                _ev = &_t265_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(14);
                                                flick_cdr_decode_unsigned32(2, _t266_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_decode_unsigned32(6, _local_a);
                                                _local_b = &_t267_storage;
                                                flick_cdr_decode_unsigned32(10, *_local_b);
                                                flick_iiop_decode_end_chunk(14);
                                                flick_iiop_decode_end_glob(108);
                                                flick_corba_init_environment();
                                                _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(16);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(12);
                                                      flick_cdr_encode_unsigned32(0, *_local_b);
                                                      flick_cdr_encode_unsigned32(4, *_local_c);
                                                      flick_cdr_encode_unsigned32(8, _return);
                                                      flick_iiop_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(16);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'F':
              {
                char _t268_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t268_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t268_switch_tag)
                  {
                  case 'l':
                    {
                      char _t269_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t269_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t269_switch_tag)
                        {
                        case 'o':
                          {
                            char _t270_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t270_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t270_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t271_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t271_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t271_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t272_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t272_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t272_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_float _local_a;
                                                CORBA_float *_local_b;
                                                CORBA_float *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_float _return = 0.000000;
                                                CORBA_float _t273_storage;
                                                CORBA_Environment _t274_storage;
                                                unsigned int _t275_principal;
                                                CORBA_float _t276_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t273_storage;
                                                _ev = &_t274_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(14);
                                                flick_cdr_decode_unsigned32(2, _t275_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_decode_float32(6, _local_a);
                                                _local_b = &_t276_storage;
                                                flick_cdr_decode_float32(10, *_local_b);
                                                flick_iiop_decode_end_chunk(14);
                                                flick_iiop_decode_end_glob(108);
                                                flick_corba_init_environment();
                                                _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(16);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(12);
                                                      flick_cdr_encode_float32(0, *_local_b);
                                                      flick_cdr_encode_float32(4, *_local_c);
                                                      flick_cdr_encode_float32(8, _return);
                                                      flick_iiop_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(16);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'O':
              {
                char _t277_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t277_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t277_switch_tag)
                  {
                  case 'c':
                    {
                      char _t278_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t278_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t278_switch_tag)
                        {
                        case 't':
                          {
                            char _t279_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t279_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t279_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t280_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t280_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t280_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t281_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t281_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t281_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_octet _local_a;
                                                CORBA_octet *_local_b;
                                                CORBA_octet *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_octet _return = 0;
                                                CORBA_octet _t282_storage;
                                                CORBA_Environment _t283_storage;
                                                unsigned int _t284_principal;
                                                CORBA_octet _t285_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t282_storage;
                                                _ev = &_t283_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(8);
                                                flick_cdr_decode_unsigned32(2, _t284_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_decode_unsigned8(6, _local_a);
                                                _local_b = &_t285_storage;
                                                flick_cdr_decode_unsigned8(7, *_local_b);
                                                flick_iiop_decode_end_chunk(8);
                                                flick_iiop_decode_end_glob(108);
                                                flick_corba_init_environment();
                                                _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(7);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(3);
                                                      flick_cdr_encode_unsigned8(0, *_local_b);
                                                      flick_cdr_encode_unsigned8(1, *_local_c);
                                                      flick_cdr_encode_unsigned8(2, _return);
                                                      flick_iiop_encode_end_chunk(3);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(7);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'A':
              {
                char _t286_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t286_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t286_switch_tag)
                  {
                  case 'r':
                    {
                      char _t287_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t287_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t287_switch_tag)
                        {
                        case 'r':
                          {
                            char _t288_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t288_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t288_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t289_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t289_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t289_switch_tag)
                                    {
                                    case 'y':
                                      {
                                        char _t290_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t290_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t290_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                test_arr _local_a;
                                                test_arr _local_b;
                                                test_arr _local_c;
                                                CORBA_Environment *_ev;
                                                test_arr *_return = 0;
                                                CORBA_Environment _t291_storage;
                                                unsigned int _t292_principal;
                                                flick_unsigned8_t _t293_array_length;
                                                flick_unsigned8_t _t295_array_iter;
                                                flick_unsigned8_t _t296_array_length;
                                                flick_unsigned8_t _t298_array_iter;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _ev = &_t291_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t292_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                _t293_array_length = 10;
                                                flick_iiop_decode_end_chunk(6);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                for (_t295_array_iter = 0; _t295_array_iter < _t293_array_length; _t295_array_iter++)
                                                  {
                                                    flick_iiop_decode_new_chunk(4);
                                                    flick_cdr_decode_signed32(0, _local_a[_t295_array_iter]);
                                                    flick_iiop_decode_end_chunk(4);
                                                  }
#else
                                                flick_cdr_decode_bcopy(_local_a, sizeof(long) * _t293_array_length, iiop);
#endif
                                                _t296_array_length = 10;
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                for (_t298_array_iter = 0; _t298_array_iter < _t296_array_length; _t298_array_iter++)
                                                  {
                                                    flick_iiop_decode_new_chunk(4);
                                                    flick_cdr_decode_signed32(0, _local_b[_t298_array_iter]);
                                                    flick_iiop_decode_end_chunk(4);
                                                  }
#else
                                                flick_cdr_decode_bcopy(_local_b, sizeof(long) * _t296_array_length, iiop);
#endif
                                                flick_iiop_decode_end_glob(108);
                                                flick_corba_init_environment();
                                                _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(124);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_unsigned8_t _t308_array_length;
                                                      flick_unsigned8_t _t310_array_iter;
                                                      flick_unsigned8_t _t311_array_length;
                                                      flick_unsigned8_t _t313_array_iter;
                                                      flick_unsigned8_t _t314_array_length;
                                                      flick_unsigned8_t _t316_array_iter;

                                                      /* Begin encode phase on parameters */
                                                      _t308_array_length = 10;
#if 0 /* We never byte swap on encoding */
                                                      for (_t310_array_iter = 0; _t310_array_iter < _t308_array_length; _t310_array_iter++)
                                                        {
                                                          flick_iiop_encode_new_chunk(4);
                                                          flick_cdr_encode_signed32(0, _local_b[_t310_array_iter]);
                                                          flick_iiop_encode_end_chunk(4);
                                                        }
#else /* Always bcopy */
                                                      flick_cdr_encode_bcopy(_local_b, sizeof(long) * _t308_array_length, iiop);
#endif /* alway bcopy */
                                                      _t311_array_length = 10;
#if 0 /* We never byte swap on encoding */
                                                      for (_t313_array_iter = 0; _t313_array_iter < _t311_array_length; _t313_array_iter++)
                                                        {
                                                          flick_iiop_encode_new_chunk(4);
                                                          flick_cdr_encode_signed32(0, _local_c[_t313_array_iter]);
                                                          flick_iiop_encode_end_chunk(4);
                                                        }
#else /* Always bcopy */
                                                      flick_cdr_encode_bcopy(_local_c, sizeof(long) * _t311_array_length, iiop);
#endif /* alway bcopy */
                                                      _t314_array_length = 10;
#if 0 /* We never byte swap on encoding */
                                                      for (_t316_array_iter = 0; _t316_array_iter < _t314_array_length; _t316_array_iter++)
                                                        {
                                                          flick_iiop_encode_new_chunk(4);
                                                          flick_cdr_encode_signed32(0, (*_return)[_t316_array_iter]);
                                                          flick_iiop_encode_end_chunk(4);
                                                        }
#else /* Always bcopy */
                                                      flick_cdr_encode_bcopy(*_return, sizeof(long) * _t314_array_length, iiop);
#endif /* alway bcopy */
                                                      CORBA_flick_free(_return);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(124);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t317_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t317_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t317_switch_tag)
            {
            case 'L':
              {
                char _t318_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t318_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t318_switch_tag)
                  {
                  case 'o':
                    {
                      char _t319_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t319_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t319_switch_tag)
                        {
                        case 'n':
                          {
                            char _t320_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t320_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t320_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t321_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t321_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t321_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          CORBA_long _local_a;
                                          CORBA_long *_local_b;
                                          CORBA_long *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          CORBA_long _t322_storage;
                                          CORBA_Environment _t323_storage;
                                          unsigned int _t324_principal;
                                          CORBA_long _t325_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_c = &_t322_storage;
                                          _ev = &_t323_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(15);
                                          flick_cdr_decode_unsigned32(3, _t324_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_decode_signed32(7, _local_a);
                                          _local_b = &_t325_storage;
                                          flick_cdr_decode_signed32(11, *_local_b);
                                          flick_iiop_decode_end_chunk(15);
                                          flick_iiop_decode_end_glob(108);
                                          flick_corba_init_environment();
                                          _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(16);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(12);
                                                flick_cdr_encode_signed32(0, *_local_b);
                                                flick_cdr_encode_signed32(4, *_local_c);
                                                flick_cdr_encode_signed32(8, _return);
                                                flick_iiop_encode_end_chunk(12);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(16);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'C':
              {
                char _t326_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t326_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t326_switch_tag)
                  {
                  case 'h':
                    {
                      char _t327_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t327_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t327_switch_tag)
                        {
                        case 'a':
                          {
                            char _t328_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t328_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t328_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t329_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t329_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t329_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          CORBA_char _local_a;
                                          CORBA_char *_local_b;
                                          CORBA_char *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_char _return = 0;
                                          CORBA_char _t330_storage;
                                          CORBA_Environment _t331_storage;
                                          unsigned int _t332_principal;
                                          CORBA_char _t333_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_c = &_t330_storage;
                                          _ev = &_t331_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(9);
                                          flick_cdr_decode_unsigned32(3, _t332_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_decode_char8(7, _local_a);
                                          _local_b = &_t333_storage;
                                          flick_cdr_decode_char8(8, *_local_b);
                                          flick_iiop_decode_end_chunk(9);
                                          flick_iiop_decode_end_glob(108);
                                          flick_corba_init_environment();
                                          _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(7);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(3);
                                                flick_cdr_encode_char8(0, *_local_b);
                                                flick_cdr_encode_char8(1, *_local_c);
                                                flick_cdr_encode_char8(2, _return);
                                                flick_iiop_encode_end_chunk(3);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'E':
              {
                char _t334_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t334_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t334_switch_tag)
                  {
                  case 'n':
                    {
                      char _t335_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t335_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t335_switch_tag)
                        {
                        case 'u':
                          {
                            char _t336_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t336_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t336_switch_tag)
                              {
                              case 'm':
                                {
                                  char _t337_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t337_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t337_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          Enumeration _local_a;
                                          Enumeration *_local_b;
                                          Enumeration *_local_c;
                                          CORBA_Environment *_ev;
                                          Enumeration _return;
                                          Enumeration _t338_storage;
                                          CORBA_Environment _t339_storage;
                                          unsigned int _t340_principal;
                                          Enumeration _t341_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_c = &_t338_storage;
                                          _ev = &_t339_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(15);
                                          flick_cdr_decode_unsigned32(3, _t340_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_decode_unsigned32(7, _local_a);
                                          _local_b = &_t341_storage;
                                          flick_cdr_decode_unsigned32(11, *_local_b);
                                          flick_iiop_decode_end_chunk(15);
                                          flick_iiop_decode_end_glob(108);
                                          flick_corba_init_environment();
                                          _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(16);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(12);
                                                flick_cdr_encode_unsigned32(0, *_local_b);
                                                flick_cdr_encode_unsigned32(4, *_local_c);
                                                flick_cdr_encode_unsigned32(8, _return);
                                                flick_iiop_encode_end_chunk(12);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(16);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t342_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t342_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t342_switch_tag)
            {
            case 'U':
              {
                char _t343_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t343_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t343_switch_tag)
                  {
                  case 'S':
                    {
                      char _t344_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t344_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t344_switch_tag)
                        {
                        case 'h':
                          {
                            char _t345_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t345_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t345_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t346_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t346_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t346_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t347_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t347_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t347_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t348_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t348_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t348_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      CORBA_unsigned_short _local_a;
                                                      CORBA_unsigned_short *_local_b;
                                                      CORBA_unsigned_short *_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_unsigned_short _return = 0;
                                                      CORBA_unsigned_short _t349_storage;
                                                      CORBA_Environment _t350_storage;
                                                      unsigned int _t351_principal;
                                                      CORBA_unsigned_short _t352_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_c = &_t349_storage;
                                                      _ev = &_t350_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(9);
                                                      flick_cdr_decode_unsigned32(1, _t351_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_cdr_decode_unsigned16(5, _local_a);
                                                      _local_b = &_t352_storage;
                                                      flick_cdr_decode_unsigned16(7, *_local_b);
                                                      flick_iiop_decode_end_chunk(9);
                                                      flick_iiop_decode_end_glob(108);
                                                      flick_corba_init_environment();
                                                      _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(10);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(6);
                                                            flick_cdr_encode_unsigned16(0, *_local_b);
                                                            flick_cdr_encode_unsigned16(2, *_local_c);
                                                            flick_cdr_encode_unsigned16(4, _return);
                                                            flick_iiop_encode_end_chunk(6);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(10);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'S':
              {
                char _t353_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t353_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t353_switch_tag)
                  {
                  case 't':
                    {
                      char _t354_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t354_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t354_switch_tag)
                        {
                        case 'r':
                          {
                            char _t355_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t355_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t355_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t356_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t356_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t356_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t357_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t357_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t357_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t358_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t358_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t358_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      CORBA_char *_local_a;
                                                      CORBA_char **_local_b;
                                                      CORBA_char **_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_char *_return = 0;
                                                      CORBA_char *_t359_storage;
                                                      CORBA_Environment _t360_storage;
                                                      unsigned int _t361_principal;
                                                      CORBA_char *_t362_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_c = &_t359_storage;
                                                      _ev = &_t360_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t361_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(108);
                                                      flick_cdr_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                                                      _local_b = &_t362_storage;
                                                      flick_cdr_decode_longstring(*_local_b, CORBA_flick_alloc, iiop);
                                                      flick_corba_init_environment();
                                                      _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_cdr_encode_longstring(*_local_b, CORBA_flick_free, iiop);
                                                            flick_cdr_encode_longstring(*_local_c, CORBA_flick_free, iiop);
                                                            flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t363_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t363_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t363_switch_tag)
            {
            case 'B':
              {
                char _t364_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t364_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t364_switch_tag)
                  {
                  case 'o':
                    {
                      char _t365_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t365_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t365_switch_tag)
                        {
                        case 'o':
                          {
                            char _t366_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t366_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t366_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t367_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t367_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t367_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t368_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t368_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t368_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t369_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t369_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t369_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t370_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t370_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t370_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            test _obj;
                                                            CORBA_boolean _local_a;
                                                            CORBA_boolean *_local_b;
                                                            CORBA_boolean *_local_c;
                                                            CORBA_Environment *_ev;
                                                            CORBA_boolean _return = 0;
                                                            CORBA_boolean _t371_storage;
                                                            CORBA_Environment _t372_storage;
                                                            unsigned int _t373_principal;
                                                            CORBA_boolean _t374_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _local_c = &_t371_storage;
                                                            _ev = &_t372_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(0, _t373_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_decode_unsigned8(4, _local_a);
                                                            _local_b = &_t374_storage;
                                                            flick_cdr_decode_unsigned8(5, *_local_b);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(108);
                                                            flick_corba_init_environment();
                                                            _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(7);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(3);
                                                                  flick_cdr_encode_unsigned8(0, *_local_b);
                                                                  flick_cdr_encode_unsigned8(1, *_local_c);
                                                                  flick_cdr_encode_unsigned8(2, _return);
                                                                  flick_iiop_encode_end_chunk(3);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(7);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t375_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t375_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t375_switch_tag)
            {
            case 'F':
              {
                char _t376_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t376_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t376_switch_tag)
                  {
                  case 'i':
                    {
                      char _t377_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t377_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t377_switch_tag)
                        {
                        case 'x':
                          {
                            char _t378_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t378_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t378_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t379_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t379_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t379_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t380_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t380_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t380_switch_tag)
                                          {
                                          case 'S':
                                            {
                                              char _t381_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t381_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t381_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t382_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t382_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t382_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t383_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t383_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t383_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t384_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t384_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t384_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t385_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t385_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t385_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t386_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t386_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t386_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test _obj;
                                                                                    struct FStruct *_local_a;
                                                                                    struct FStruct *_local_b;
                                                                                    struct FStruct *_local_c;
                                                                                    CORBA_Environment *_ev;
                                                                                    struct FStruct _return;
                                                                                    struct FStruct _t387_storage;
                                                                                    CORBA_Environment _t388_storage;
                                                                                    unsigned int _t389_principal;
                                                                                    struct FStruct _t390_storage;
                                                                                    struct FStruct _t391_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _local_c = &_t387_storage;
                                                                                    _ev = &_t388_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(8);
                                                                                    flick_cdr_decode_unsigned32(0, _t389_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    _local_a = &_t390_storage;
                                                                                    flick_cdr_decode_signed16(4, _local_a->a);
                                                                                    _local_b = &_t391_storage;
                                                                                    flick_cdr_decode_signed16(6, _local_b->a);
                                                                                    flick_iiop_decode_end_chunk(8);
                                                                                    flick_iiop_decode_end_glob(108);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(10);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_new_chunk(6);
                                                                                          flick_cdr_encode_signed16(0, _local_b->a);
                                                                                          flick_cdr_encode_signed16(2, _local_c->a);
                                                                                          flick_cdr_encode_signed16(4, _return.a);
                                                                                          flick_iiop_encode_end_chunk(6);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_end_glob(10);
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(108);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(108);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(108);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(108);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'B':
              {
                char _t392_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t392_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t392_switch_tag)
                  {
                  case 'o':
                    {
                      char _t393_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t393_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t393_switch_tag)
                        {
                        case 'u':
                          {
                            char _t394_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t394_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t394_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t395_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t395_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t395_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t396_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t396_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t396_switch_tag)
                                          {
                                          case 'S':
                                            {
                                              char _t397_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t397_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t397_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t398_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t398_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t398_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t399_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t399_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t399_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t400_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t400_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t400_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t401_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t401_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t401_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t402_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t402_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t402_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test _obj;
                                                                                    CORBA_char *_local_a;
                                                                                    CORBA_char **_local_b;
                                                                                    CORBA_char **_local_c;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_char *_return = 0;
                                                                                    CORBA_char *_t403_storage;
                                                                                    CORBA_Environment _t404_storage;
                                                                                    unsigned int _t405_principal;
                                                                                    CORBA_char *_t406_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _local_c = &_t403_storage;
                                                                                    _ev = &_t404_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(4);
                                                                                    flick_cdr_decode_unsigned32(0, _t405_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    flick_iiop_decode_end_chunk(4);
                                                                                    flick_iiop_decode_end_glob(108);
                                                                                    flick_cdr_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                                                                                    _local_b = &_t406_storage;
                                                                                    flick_cdr_decode_string(*_local_b, CORBA_flick_alloc, iiop, 20);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(4);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                          flick_cdr_encode_string(*_local_b, CORBA_flick_free, iiop, 20);
                                                                                          flick_cdr_encode_string(*_local_c, CORBA_flick_free, iiop, 20);
                                                                                          flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 20);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(108);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(108);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(108);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(108);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t407_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t407_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t407_switch_tag)
            {
            case 'V':
              {
                char _t408_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t408_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t408_switch_tag)
                  {
                  case 'a':
                    {
                      char _t409_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t409_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t409_switch_tag)
                        {
                        case 'r':
                          {
                            char _t410_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t410_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t410_switch_tag)
                              {
                              case 'S':
                                {
                                  char _t411_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t411_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t411_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t412_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t412_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t412_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t413_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t413_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t413_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t414_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t414_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t414_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t415_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t415_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t415_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t416_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t416_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t416_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test _obj;
                                                                        struct VStruct *_local_a;
                                                                        struct VStruct *_local_b;
                                                                        struct VStruct **_local_c;
                                                                        CORBA_Environment *_ev;
                                                                        struct VStruct *_return = 0;
                                                                        struct VStruct *_t417_storage;
                                                                        CORBA_Environment _t418_storage;
                                                                        unsigned int _t419_principal;
                                                                        struct VStruct _t420_storage;
                                                                        struct VStruct _t421_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_c = &_t417_storage;
                                                                        _ev = &_t418_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(6);
                                                                        flick_cdr_decode_unsigned32(2, _t419_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_a = &_t420_storage;
                                                                        flick_iiop_decode_end_chunk(6);
                                                                        flick_iiop_decode_end_glob(108);
                                                                        flick_cdr_decode_auto_string(_local_a->a, auto_flick_alloc, iiop);
                                                                        _local_b = &_t421_storage;
                                                                        flick_cdr_decode_longstring(_local_b->a, CORBA_flick_alloc, iiop);
                                                                        flick_corba_init_environment();
                                                                        _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(4);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_end_glob(4);
                                                                              flick_cdr_encode_longstring(_local_b->a, CORBA_flick_free, iiop);
                                                                              flick_cdr_encode_longstring((*_local_c)->a, CORBA_flick_free, iiop);
                                                                              CORBA_flick_free(*_local_c);
                                                                              flick_cdr_encode_longstring(_return->a, CORBA_flick_free, iiop);
                                                                              CORBA_flick_free(_return);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              flick_iiop_encode_end_glob(4);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                              flick_iiop_encode_end_glob(4);
                                                                            }
                                                                          }
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(108);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(108);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t422_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t422_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t422_switch_tag)
            {
            case 'F':
              {
                char _t423_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t423_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t423_switch_tag)
                  {
                  case 'i':
                    {
                      char _t424_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t424_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t424_switch_tag)
                        {
                        case 'x':
                          {
                            char _t425_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t425_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t425_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t426_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t426_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t426_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t427_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t427_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t427_switch_tag)
                                          {
                                          case 'U':
                                            {
                                              char _t428_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t428_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t428_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t429_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t429_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t429_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t430_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t430_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t430_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t431_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t431_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t431_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t432_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t432_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t432_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test _obj;
                                                                              struct FUnion *_local_a;
                                                                              struct FUnion *_local_b;
                                                                              struct FUnion *_local_c;
                                                                              CORBA_Environment *_ev;
                                                                              struct FUnion _return;
                                                                              struct FUnion _t433_storage;
                                                                              CORBA_Environment _t434_storage;
                                                                              unsigned int _t435_principal;
                                                                              struct FUnion _t436_storage;
                                                                              struct FUnion _t437_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _local_c = &_t433_storage;
                                                                              _ev = &_t434_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(9);
                                                                              flick_cdr_decode_unsigned32(1, _t435_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              _local_a = &_t436_storage;
                                                                              flick_cdr_decode_signed32(5, _local_a->_d);
                                                                              flick_iiop_decode_end_chunk(9);
                                                                              switch (_local_a->_d)
                                                                                {
                                                                                case 1:
                                                                                  {
                                                                                    flick_iiop_decode_new_chunk(4);
                                                                                    flick_cdr_decode_signed32(0, _local_a->_u.x);
                                                                                    flick_iiop_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                    flick_cdr_decode_char8(0, _local_a->_u.z);
                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              _local_b = &_t437_storage;
                                                                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                                              flick_cdr_decode_signed32(0, _local_b->_d);
                                                                              flick_iiop_decode_end_chunk(4);
                                                                              switch (_local_b->_d)
                                                                                {
                                                                                case 1:
                                                                                  {
                                                                                    flick_iiop_decode_new_chunk(4);
                                                                                    flick_cdr_decode_signed32(0, _local_b->_u.x);
                                                                                    flick_iiop_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                    flick_cdr_decode_char8(0, _local_b->_u.z);
                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              flick_iiop_decode_end_glob(108);
                                                                              flick_corba_init_environment();
                                                                              _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(28);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _local_b->_d);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_local_b->_d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_signed32(0, _local_b->_u.x);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(1);
                                                                                          flick_cdr_encode_char8(0, _local_b->_u.z);
                                                                                          flick_iiop_encode_end_chunk(1);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                                    flick_cdr_encode_signed32(0, _local_c->_d);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_local_c->_d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_signed32(0, _local_c->_u.x);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(1);
                                                                                          flick_cdr_encode_char8(0, _local_c->_u.z);
                                                                                          flick_iiop_encode_end_chunk(1);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                                    flick_cdr_encode_signed32(0, _return._d);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_return._d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_signed32(0, _return._u.x);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(1);
                                                                                          flick_cdr_encode_char8(0, _return._u.z);
                                                                                          flick_iiop_encode_end_chunk(1);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(28);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(108);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(108);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(108);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t438_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t438_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t438_switch_tag)
            {
            case 'V':
              {
                char _t439_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t439_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t439_switch_tag)
                  {
                  case 'a':
                    {
                      char _t440_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t440_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t440_switch_tag)
                        {
                        case 'r':
                          {
                            char _t441_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t441_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t441_switch_tag)
                              {
                              case 'U':
                                {
                                  char _t442_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t442_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t442_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t443_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t443_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t443_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t444_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t444_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t444_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t445_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t445_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t445_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t446_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t446_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t446_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  struct VUnion *_local_a;
                                                                  struct VUnion *_local_b;
                                                                  struct VUnion **_local_c;
                                                                  CORBA_Environment *_ev;
                                                                  struct VUnion *_return = 0;
                                                                  struct VUnion *_t447_storage;
                                                                  CORBA_Environment _t448_storage;
                                                                  unsigned int _t449_principal;
                                                                  struct VUnion _t450_storage;
                                                                  struct VUnion _t451_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _local_c = &_t447_storage;
                                                                  _ev = &_t448_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t449_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_a = &_t450_storage;
                                                                  flick_cdr_decode_signed32(7, _local_a->_d);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  switch (_local_a->_d)
                                                                    {
                                                                    case 1:
                                                                      {
                                                                        flick_iiop_decode_end_glob(108);
                                                                        flick_cdr_decode_auto_string(_local_a->_u.a, auto_flick_alloc, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_iiop_decode_new_chunk(1);
                                                                        flick_cdr_decode_char8(0, _local_a->_u.z);
                                                                        flick_iiop_decode_end_chunk(1);
                                                                        flick_iiop_decode_end_glob(108);
                                                                        break;
                                                                      }
                                                                    }
                                                                  _local_b = &_t451_storage;
                                                                  flick_iiop_decode_new_glob(5);
                                                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                                  flick_cdr_decode_signed32(0, _local_b->_d);
                                                                  flick_iiop_decode_end_chunk(4);
                                                                  switch (_local_b->_d)
                                                                    {
                                                                    case 1:
                                                                      {
                                                                        flick_iiop_decode_end_glob(5);
                                                                        flick_cdr_decode_longstring(_local_b->_u.a, CORBA_flick_alloc, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_iiop_decode_new_chunk(1);
                                                                        flick_cdr_decode_char8(0, _local_b->_u.z);
                                                                        flick_iiop_decode_end_chunk(1);
                                                                        flick_iiop_decode_end_glob(5);
                                                                        break;
                                                                      }
                                                                    }
                                                                  flick_corba_init_environment();
                                                                  _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(9);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _local_b->_d);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_local_b->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_iiop_encode_end_glob(9);
                                                                              flick_cdr_encode_longstring(_local_b->_u.a, CORBA_flick_free, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_b->_u.z);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_end_glob(9);
                                                                              break;
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_new_glob(5);
                                                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                        flick_cdr_encode_signed32(0, (*_local_c)->_d);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch ((*_local_c)->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_iiop_encode_end_glob(5);
                                                                              flick_cdr_encode_longstring((*_local_c)->_u.a, CORBA_flick_free, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, (*_local_c)->_u.z);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_end_glob(5);
                                                                              break;
                                                                            }
                                                                          }
                                                                        CORBA_flick_free(*_local_c);
                                                                        flick_iiop_encode_new_glob(5);
                                                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                        flick_cdr_encode_signed32(0, _return->_d);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_return->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_iiop_encode_end_glob(5);
                                                                              flick_cdr_encode_longstring(_return->_u.a, CORBA_flick_free, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _return->_u.z);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_end_glob(5);
                                                                              break;
                                                                            }
                                                                          }
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        flick_iiop_encode_end_glob(9);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                        flick_iiop_encode_end_glob(9);
                                                                      }
                                                                    }
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(108);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            case 'S':
              {
                char _t452_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t452_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t452_switch_tag)
                  {
                  case 'e':
                    {
                      char _t453_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t453_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t453_switch_tag)
                        {
                        case 'q':
                          {
                            char _t454_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t454_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t454_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t455_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t455_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t455_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t456_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t456_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t456_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t457_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t457_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t457_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t458_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t458_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t458_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t459_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t459_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t459_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  test_seq *_local_a;
                                                                  test_seq *_local_b;
                                                                  test_seq **_local_c;
                                                                  CORBA_Environment *_ev;
                                                                  test_seq *_return = 0;
                                                                  test_seq *_t460_storage;
                                                                  CORBA_Environment _t461_storage;
                                                                  unsigned int _t462_principal;
                                                                  test_seq _t463_storage;
                                                                  unsigned long int _t465_array_iter;
                                                                  test_seq _t466_storage;
                                                                  unsigned long int _t468_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _local_c = &_t460_storage;
                                                                  _ev = &_t461_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t462_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_a = &_t463_storage;
                                                                  flick_cdr_decode_unsigned32(7, _local_a->_length);
                                                                  _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                  flick_iiop_decode_end_chunk(11);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                  for (_t465_array_iter = 0; _t465_array_iter < _local_a->_length; _t465_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(4);
                                                                      flick_cdr_decode_signed32(0, _local_a->_buffer[_t465_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
#else
                                                                  flick_cdr_decode_bcopy(_local_a->_buffer, sizeof(long) * _local_a->_length, iiop);
#endif
                                                                  _local_b = &_t466_storage;
                                                                  flick_iiop_decode_new_chunk(4);
                                                                  flick_cdr_decode_unsigned32(0, _local_b->_length);
                                                                  _local_b->_buffer = CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long ));
                                                                  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                  for (_t468_array_iter = 0; _t468_array_iter < _local_b->_length; _t468_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(4);
                                                                      flick_cdr_decode_signed32(0, _local_b->_buffer[_t468_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
#else
                                                                  flick_cdr_decode_bcopy(_local_b->_buffer, sizeof(long) * _local_b->_length, iiop);
#endif
                                                                  flick_iiop_decode_end_glob(108);
                                                                  flick_corba_init_environment();
                                                                  _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(136);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t476_array_iter;
                                                                        unsigned long int _t478_array_iter;
                                                                        unsigned long int _t480_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, _local_b->_length);
                                                                        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t476_array_iter = 0; _t476_array_iter < _local_b->_length; _t476_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _local_b->_buffer[_t476_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_b->_buffer, sizeof(long) * _local_b->_length, iiop);
#endif /* alway bcopy */
                                                                        CORBA_flick_free(_local_b->_buffer);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, (*_local_c)->_length);
                                                                        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t478_array_iter = 0; _t478_array_iter < (*_local_c)->_length; _t478_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, (*_local_c)->_buffer[_t478_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy((*_local_c)->_buffer, sizeof(long) * (*_local_c)->_length, iiop);
#endif /* alway bcopy */
                                                                        CORBA_flick_free((*_local_c)->_buffer);
                                                                        CORBA_flick_free(*_local_c);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, _return->_length);
                                                                        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t480_array_iter = 0; _t480_array_iter < _return->_length; _t480_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _return->_buffer[_t480_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return->_buffer, sizeof(long) * _return->_length, iiop);
#endif /* alway bcopy */
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(136);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(108);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(108);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(108);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(108);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(108);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(108);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(108);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(108);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(108);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(108);
          break;
        }
      }
  }
  }
  return 0;
}
